2010-03-17  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Projects.Dom.Parser/TypeResolverVisitor.cs:
	  Fixed 'Bug 588728 - ArgumentOutOfRangeException in parser
	  database type resolver'.

	* MonoDevelop.Projects.Dom.Parser/ProjectDom.cs: 

2010-03-17  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Projects.Formats.MSBuild/MSBuildProjectService.cs:
	  Don't try to get guids from unknown files. Fixes bug #588760
	  - Meaningless error message from mdtool.

2010-03-16  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Projects.Dom/DomMethod.cs: Corrected method help
	  url.

2010-03-16  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Projects.Dom.Parser/ProjectDom.cs:
	* MonoDevelop.Projects.Dom.Parser/ProjectDomDecorator.cs:
	* MonoDevelop.Projects.Dom.Parser/TypeResolverVisitor.cs:
	  Fixed unit tests.

2010-03-15  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Projects/ProjectFile.cs: Removed code
	  duplication.

2010-03-15  Mike Krüger  <mkrueger@novell.com>

	* Makefile.am:
	* MonoDevelop.Projects.csproj:
	* MonoDevelop.Projects.Dom/ResolveResult.cs:
	* MonoDevelop.Projects.Dom.Parser/ProjectDom.cs:
	* MonoDevelop.Projects.Dom/DomTypeParameterType.cs:
	* MonoDevelop.Projects.Dom/InstantiatedParameterType.cs:
	* MonoDevelop.Projects.Dom.Parser/TypeResolverVisitor.cs:
	  Worked on the DOM.

2010-03-15  Lars Magnusson <lavima@gmail.com>

	* MonoDevelop.Projects.Formats.MSBuild/MSBuildProjectService.cs: 
	  Add method LoadProjectTypeGuids for reading typeGuid from 
	  project file and add fallbacks for LoadItem and 
	  FindHandlerForFile
	* MonoDevelop.Projects.Formats.MSBuild/MSBuildFileFormat.cs:
	  Add logic for checking the dotnet subtype extensions in 
	  GetValidFormatName.
	* MonoDevelop.Projects.Extensions/DotNetProjectNode.cs: Add
	  CanHandleFile override that checks the for dotnet support
	  if base call fails.
	* MonoDevelop.Projects.Extensions/DotNetProjectSubtypeNode.cs:
	  Add field and property for forced extension.
	  Add CanHandleFile that checks for matching typeGuid and 
	  extension.
	  
2010-03-15  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Projects/Solution.cs:
	* MonoDevelop.Projects/WorkspaceItem.cs: Moved here the code
	  for loading user properties for the solution.

	* MonoDevelop.Projects/Project.cs:
	* MonoDevelop.Projects/SolutionItem.cs:
	* MonoDevelop.Projects/SolutionEntityItem.cs: Implemented
	  GetCustomTags method, which returns a list of tags which can
	  be used to parse strings using the StringParserService.

	* MonoDevelop.Projects/ProjectConfiguration.cs: Use the new
	  GetCustomTags method to process environment variable
	  strings.

	* MonoDevelop.Projects/CustomCommand.cs: Use the new
	  GetCustomTags method.

2010-03-15  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Projects/ProjectService.cs:
	* MonoDevelop.Projects.Dom.Parser/ProjectDomService.cs:
	* MonoDevelop.Projects.Extensions/ProjectExtensionUtil.cs:
	* MonoDevelop.Projects.Formats.MSBuild/MSBuildProjectHandler.cs:
	* MonoDevelop.Projects.Dom.Serialization/CodeCompletionDatabase.cs:
	  Use the new timing counters.

	* Makefile.am:
	* MonoDevelop.Projects.csproj:
	* MonoDevelop.Projects.Formats.MSBuild/RemoteLogger.cs:
	* MonoDevelop.Projects.Formats.MSBuild/RemoteLoggerController.cs:
	  Remove unused files.

2010-03-15  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Projects.Dom/DomMethod.cs:
	* MonoDevelop.Projects.Dom.Parser/ProjectDom.cs:
	* MonoDevelop.Projects.Dom/ITypeParameterMember.cs:
	* MonoDevelop.Projects.Dom.Parser/TypeResolverVisitor.cs:
	* MonoDevelop.Projects.Dom/AbstractTypeParameterMember.cs:
	  Fixed 'Bug 587549 - Intellisense does not work with override
	  constraints'.

2010-03-15  Mike Krüger  <mkrueger@novell.com>

	* Makefile.am:
	* MonoDevelop.Projects.csproj:
	* MonoDevelop.Projects.Dom/IType.cs:
	* MonoDevelop.Projects.Dom/IMethod.cs:
	* MonoDevelop.Projects.Dom/DomType.cs:
	* MonoDevelop.Projects.Dom/DomMethod.cs:
	* MonoDevelop.Projects.Dom/ResolveResult.cs:
	* MonoDevelop.Projects.Dom.Parser/ProjectDom.cs:
	* MonoDevelop.Projects.Dom/DomTypeParameterType.cs:
	* MonoDevelop.Projects.Dom/ITypeParameterMember.cs:
	* MonoDevelop.Projects.Dom/InstantiatedParameterType.cs:
	* MonoDevelop.Projects.Dom.Parser/TypeResolverVisitor.cs:
	* MonoDevelop.Projects.Dom.Parser/ProjectDomDecorator.cs:
	* MonoDevelop.Projects.Dom/AbstractTypeParameterMember.cs:
	  Fixed 'Bug 587543 - Intellisense ignores interface
	  constraints'.

2010-03-15  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Projects.Policies/PolicyContainer.cs: Add
	  missing null check.

2010-03-15  Mike Krüger  <mkrueger@novell.com>

	* Makefile.am:
	* MonoDevelop.Projects.csproj:
	* MonoDevelop.Projects.Dom/DomType.cs:
	* MonoDevelop.Projects.Dom/Modifiers.cs:
	* MonoDevelop.Projects.Dom/ResolveResult.cs:
	* MonoDevelop.Projects.Dom/AbstractMember.cs:
	* MonoDevelop.Projects.Dom/CompilationUnit.cs:
	* MonoDevelop.Projects.Dom.Parser/ProjectDom.cs:
	* MonoDevelop.Projects.Dom/SearchTypeRequest.cs:
	* MonoDevelop.Projects.Dom.Parser/TypeResolverVisitor.cs:
	* MonoDevelop.Projects.Dom.Parser/ProjectDomDecorator.cs:
	* MonoDevelop.Projects.Dom.Serialization/CodeCompletionDatabase.cs:
	  Changed the way to look up for types slightly for beeing
	  able to support method generic constraints.

2010-03-15  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Projects.Dom/LocalVariable.cs: Fixed unit test
	  build.

2010-03-09  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Projects.Dom.Parser/ProjectDom.cs: Fixed 'Bug
	  586164 - C# binding doesn't deal correctly with
	  namespace/class+ctor clashes'.

2010-03-09  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Projects.Dom/DomType.cs:
	* MonoDevelop.Projects.Dom/DomMethod.cs: Fixed 'Bug 586304 -
	  Intellisense does not show several linq extenion methods
	  when using nested generic type'.

2010-03-03  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Projects/ProjectFile.cs: Add
	  CustomToolNamespace, LastGenOutput, Link standard MSBuild
	  properties. Add ProjectVirtualPath and IsLink properties to
	  facilitate using the Link path.

	* MonoDevelop.Projects/ProjectFileCollection.cs:
	  GetFileWithVirtualPath and GetFilesInVirtualPath methods,
	  for getting files while taking Link paths into account.

	* MonoDevelop.Projects/ProjectPathItemPropertyAttribute.cs:
	  Added new class for handling serialization of relative
	  paths, needed for Link property.

	* MonoDevelop.Projects/Project.cs: Track ProjectFile Link API.

	* MonoDevelop.Projects.Formats.MSBuild/MSBuildProjectService.cs:
	  Added utility methods ToMSBuildPathRelative and
	  FromMSBuildPathRelative, needed for Link property.

	* MonoDevelop.Projects.Formats.MSBuild/MSBuildProjectHandler.cs:
	  Handle CustomToolNamespace, LastGenOutput, Link properties

2010-03-02  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Projects/ProjectItem.cs: When reading a project
	  store unknown project items, and write them back when
	  saving.

	* MonoDevelop.Projects/DotNetProject.cs:
	* MonoDevelop.Projects.Extensions/IAssemblyReferenceHandler.cs:
	  Allow overriding the list of assemblies that a project is
	  referencing. By default this list is generated from the
	  references list, but custom projects or project handlers can
	  inject references to assemblies which are not in the
	  references list.

	* MonoDevelop.Projects.Formats.MSBuild/RemoteProjectBuilder.cs:
	* MonoDevelop.Projects.Formats.MSBuild/MSBuildProjectService.cs:
	* MonoDevelop.Projects.Formats.MSBuild/MSBuildProjectHandler.cs:
	  Updated to allow getting the list of assembly references
	  from the msbuild project.

	* Makefile.am:
	* MonoDevelop.Projects.csproj:
	* MonoDevelop.Projects.Extensions/IPathHandler.cs:
	* MonoDevelop.Projects.Extensions/IResourceHandler.cs:
	* MonoDevelop.Projects.Extensions/ISolutionItemHandler.cs:
	  Moved some interfaces to its own file.

	* MonoDevelop.Projects.Dom.Serialization/ProjectCodeCompletionDatabase.cs:
	  Use GetReferencedAssemblies to get the list of assemblies.

2010-03-01  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Projects.Dom/DomProperty.cs:
	* MonoDevelop.Projects.Dom.Parser/ProjectDom.cs: Fix the rest
	  of the failing DomProperty tests.

2010-03-01  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Projects.Dom/IProperty.cs:
	* MonoDevelop.Projects.Dom/DomProperty.cs:
	* MonoDevelop.Projects.Dom/CopyDomVisitor.cs:
	* MonoDevelop.Projects.Dom.Output/Ambience.cs:
	* MonoDevelop.Projects.Dom/DomCecilProperty.cs:
	* MonoDevelop.Projects.Dom.Serialization/DomPersistence.cs:
	* MonoDevelop.Projects.Dom.Serialization/CodeCompletionDatabase.cs:
	  Fixed 'Bug 583515 - No code completion for set-only
	  properties'.

2010-03-01  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Projects.Policies/PolicyService.cs: When saving
	  don't diff agains the Invariant policy, since it is not
	  available in old MDs.

2010-03-01  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Projects/IAssemblyProject.cs:
	* MonoDevelop.Projects/CompiledAssemblyProject.cs:
	* MonoDevelop.Projects.Formats.MSBuild/MSBuildProjectHandler.cs:
	  Some fixes to better support compiled assembly projects.

	* MonoDevelop.Projects.Formats.MSBuild/MSBuildProjectService.cs:
	  Provide the parent process id to the msbuild external
	  process.

2010-03-01  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Projects.Dom/DomType.cs:
	* MonoDevelop.Projects.Dom/ResolveResult.cs: Added unresolved
	  member resolve result.

2010-03-01  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Projects.Dom.Output/OutputFlags.cs:
	* MonoDevelop.Projects.Dom.Output/OutputSettings.cs: Ambiences
	  can now format delegates & take formatting policies.

2010-02-26  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Projects.CodeGeneration/BaseRefactorer.cs:
	  Refactored monotouch model attribute lookup to a method.

2010-02-26  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Projects.CodeGeneration/BaseRefactorer.cs:
	  Worked on 'Bug 583014 - Need a way to stop override
	  generating base call'.

2010-02-26  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Projects.Dom/CopyDomVisitor.cs:
	* MonoDevelop.Projects.Dom.Parser/TypeResolverVisitor.cs:
	  Fixed attribute type lookup.

2010-02-25  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Projects.Formats.MSBuild/MSBuildProjectHandler.cs:
	  Properly track duplicate items. Fixes bug #582510 -
	  Duplicate items in project keep on increasing.

2010-02-25  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Projects.Dom.Parser/ProjectDomService.cs: Set
	  the queueEmptied event in the ConsumeParsingQueue method,
	  when there is nothing left to parse. In this way the event
	  is set not when the queue is emptied, but after the last
	  dequeued job has been completed.

2010-02-25  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Projects.Dom.Parser/TypeResolverVisitor.cs:
	  Fixed failing unit test.

2010-02-25  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Projects.CodeGeneration/BaseRefactorer.cs: Fixed
	  'Bug 583014 - Need a way to stop override generating base
	  call'

2010-02-24  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Projects.Text/TextFile.cs: Remove annoying debug
	  code.

2010-02-24  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Projects/CompiledAssemblyProject.cs: Use new
	  icon.

2010-02-24  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Projects/CompiledAssemblyProject.cs: Read
	  project files from debug info.

2010-02-24  Lluis Sanchez Gual  <lluis@novell.com>

	* Makefile.am:
	* MonoDevelop.Projects.csproj:
	* MonoDevelop.Projects.addin.xml:
	* MonoDevelop.Projects/DotNetProject.cs:
	* MonoDevelop.Projects/ProjectService.cs:
	* MonoDevelop.Projects/IAssemblyProject.cs:
	* MonoDevelop.Projects/ItemConfiguration.cs:
	* MonoDevelop.Projects/ProjectConfiguration.cs:
	* MonoDevelop.Projects/CompiledAssemblyProject.cs:
	* MonoDevelop.Projects.Formats.MSBuild/CompiledAssemblyProjectMSBuildHandler.cs:
	  Added support for standalone assembly projects.

	* MonoDevelop.Projects.Formats.MSBuild/SlnFileFormat.cs:
	* MonoDevelop.Projects.Formats.MSBuild/MSBuildHandler.cs:
	* MonoDevelop.Projects.Formats.MSBuild/MSBuildFileFormat.cs:
	* MonoDevelop.Projects.Formats.MSBuild/MSBuildProjectService.cs:
	* MonoDevelop.Projects.Formats.MSBuild/MSBuildProjectHandler.cs:
	  Added new api which allows projects to store data in the
	  solution file.

	* MonoDevelop.Projects.Extensions/ItemTypeNode.cs:
	* MonoDevelop.Projects.Extensions/SolutionItemNode.cs:
	* MonoDevelop.Projects.Extensions/DotNetProjectNode.cs: Allow
	  specifying a custom solution item handler.

2010-02-24  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Projects.Text/TextFile.cs: Added the ability to
	  determine if a BOM was used or not.

2010-02-23  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Projects.Dom.Parser/TypeResolverVisitor.cs:
	  Fixed 'Bug 582017 - C# Generic Type Constraints'.

2010-02-19  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Projects.Dom/DomReturnType.cs: fixed bug in set
	  array dimension.

2010-02-18  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Projects/Project.cs:
	* MonoDevelop.Projects.Dom/DomType.cs:
	* MonoDevelop.Projects.Dom/DomField.cs:
	* MonoDevelop.Projects.Dom/DomEvent.cs:
	* MonoDevelop.Projects.Dom/DomMethod.cs:
	* MonoDevelop.Projects.Dom/Namespace.cs:
	* MonoDevelop.Projects.Dom/DomProperty.cs:
	* MonoDevelop.Projects.Dom/IBaseMember.cs:
	* MonoDevelop.Projects.Dom/DomParameter.cs:
	* MonoDevelop.Projects.Dom/LocalVariable.cs:
	* MonoDevelop.Projects.Dom/AbstractMember.cs:
	* MonoDevelop.Projects.Dom/DomMemberDecorator.cs: Use the new
	  IconId type.

2010-02-16  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Projects/ProjectService.cs:
	* MonoDevelop.Projects.Extensions/ItemTypeCondition.cs:
	* MonoDevelop.Projects.Extensions/ProjectLanguageCondition.cs:
	  Cache the extension chain per-thread, to avoid recreating it
	  at every call.

2010-02-16  Lluis Sanchez Gual  <lluis@novell.com>

	* Makefile.am:
	* MonoDevelop.Projects.csproj:
	* MonoDevelop.Projects.Extensions/ProjectLanguageCondition.cs:
	  ActiveLanguageCondition has been replaced by
	  ProjectLanguageCondition in MD.Projects.

	* MonoDevelop.Projects.addin.xml: Allow using item type and
	  languge name conditions when registering project service
	  extensions.

	* MonoDevelop.Projects/ProjectService.cs: Project service
	  extensions now support some conditions, so we have to create
	  a new context for every extension chain request.

2010-02-12  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Projects/ProjectService.cs:
	* MonoDevelop.Projects.Extensions/DataTypeCodon.cs:
	* MonoDevelop.Projects.Extensions/ItemPropertyCodon.cs: Use
	  the new api which allows lazy loading serializable types and
	  properties.

	* MonoDevelop.Projects/HelpService.cs: Added missing
	  initialization check.

	* MonoDevelop.Projects.addin.xml:
	* MonoDevelop.Projects.Dom.Parser/ProjectDomService.cs: Delay
	  initialization of parser list.

2010-02-12  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Projects.Dom.Serialization/ParserDatabase.cs:
	  fixed crash on Mono.Cecil.Binary.ImageFormatException: The
	  image is not a managed assembly.

2010-02-12  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Projects/SolutionItem.cs: Fix NeedsBuilding
	  check. If the item is not buildable for the current
	  configuration, there is no need to check if it needs
	  building or not.

2010-02-09  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Projects.Dom.Parser/ProjectDomService.cs:
	  delayed parser database initalization.

2010-02-09  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Projects.Dom.Parser/ProjectDomService.cs: Add
	  startup trace calls.

2010-02-08  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Projects/HelpService.cs: Add startup trace
	  calls.

2010-02-03  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Projects.Dom/INode.cs: some DOM changes 

2010-02-02  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Projects.Dom/INode.cs: Fix C# binding build.

2010-02-02  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Projects.Dom/INode.cs: made the addchild methods
	  public.

2010-02-02  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Projects/SolutionItem.cs: Propagate parent
	  folder to internal children.

2010-01-28  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Projects.Formats.MSBuild/MSBuildProjectHandler.cs:
	* MonoDevelop.Projects.Formats.MSBuild/IMSBuildImportProvider.cs:
	  Keep unknown imports when saving a project.

	* Makefile.am:
	* MonoDevelop.Projects.csproj:
	* MonoDevelop.Projects.addin.xml:
	* MonoDevelop.Projects.Text/XmlDefinitionCodon.cs: Remove
	  unused extension.

2010-01-25  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Projects/SolutionItem.cs: Added method for
	  registering/unregistering internal children.

2010-01-22  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Projects/HelpService.cs: Oops, include tree
	  files too.

2010-01-22  Michael Hutchinson  <mhutchinson@novell.com>

	* Makefile.am:
	* MonoDevelop.Projects.csproj:
	* MonoDevelop.Projects.addin.xml:
	* MonoDevelop.Projects/HelpService.cs:
	* MonoDevelop.Projects.Extensions/MonoDocSourceNode.cs: Added
	  new HelpService for collecting MonoDoc functionality in one
	  place. It also has an extension point for addins to add
	  MonoDoc help sources, from which it builds a merged "cache"
	  of symlinks as a new root dir for MonoDoc to use.

	* MonoDevelop.Projects.Dom.Parser/ProjectDomService.cs: Moved
	  help tree to HelpService.

2010-01-22  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Projects.Dom/INode.cs:
	* MonoDevelop.Projects.Dom/DomType.cs:
	* MonoDevelop.Projects.Dom/DomUsing.cs:
	* MonoDevelop.Projects.Dom/DomAttribute.cs:
	* MonoDevelop.Projects.Dom/DomParameter.cs:
	* MonoDevelop.Projects.Dom/LocalVariable.cs:
	* MonoDevelop.Projects.Dom/DomReturnType.cs:
	* MonoDevelop.Projects.Dom/AbstractMember.cs:
	* MonoDevelop.Projects.Dom/CompilationUnit.cs:
	* MonoDevelop.Projects.Dom/DomMemberDecorator.cs: Worked on
	  dom tree model.

2010-01-20  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Projects.CodeGeneration/BaseRefactorer.cs: fixed
	  bug with windows line endings.

2010-01-18  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Projects.Policies/PolicyService.cs:
	* MonoDevelop.Projects.Policies/PolicyContainer.cs: Properly
	  read invariant policies from the invariant policy set.

2010-01-18  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Projects.Policies/PolicySet.cs:
	* MonoDevelop.Projects.Policies/PolicyService.cs:
	* MonoDevelop.Projects.Extensions/PolicySetNode.cs:
	* MonoDevelop.Projects.Policies/PolicyContainer.cs: Add
	  support for hidden policy sets (which can be used when
	  serializing, but which are not shown to the user). Added
	  Invariant policy set, which will always return the same
	  default settings, no matter what the user changed.

	* MonoDevelop.Projects.addin.xml: Define invariant policy.

	* MonoDevelop.Projects.Text/IFormatter.cs:
	* MonoDevelop.Projects.Text/IPrettyPrinter.cs: The formatting
	  interfaces now take a PolicyContainer as parent policy
	  provider, instead of a solution item.

	* MonoDevelop.Projects.Text/Formatter.cs:
	* MonoDevelop.Projects.Text/TextFileService.cs: Added new
	  Formatter class which wraps IFormatter and IPrettyPrinter.

	* Makefile.am:
	* MonoDevelop.Projects.csproj: New Formatter class that wraps
	  IFormatter and IPrettyPrinter.

2010-01-15  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Projects/ProjectService.cs: Fix another warning.

2010-01-15  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Projects.Formats.MD1/MD1ProjectService.cs: Fix
	  warning issued by mcs trunk.

2010-01-12  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Projects.Formats.MD1/MD1DotNetProjectHandler.cs:
	  Don't copy "support assemblies"; such assemblies should be
	  referenced directly.

2010-01-05  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Projects.Dom/ResolveResult.cs: fixed 'Bug 568204
	  - Inconsistency in resolution'.

2010-01-04  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Projects/DotNetProject.cs: Fix NRE with
	  standalone C# files.

2010-01-04  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Projects.Dom/IReturnType.cs:
	* MonoDevelop.Projects.Dom/DomReturnType.cs:
	* MonoDevelop.Projects.Dom/CopyDomVisitor.cs:
	* MonoDevelop.Projects.Dom.Parser/TypeResolverVisitor.cs:
	* MonoDevelop.Projects.Dom.Serialization/DomPersistence.cs:
	* MonoDevelop.Projects.Dom.Serialization/CodeCompletionDatabase.cs:
	  Fixed 'Bug 567906 - Given error of .NET 3.0 in .NET 3.5
	  project'.

2010-01-04  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Projects.Dom/PreProcessorDefine.cs: fixed 'Bug
	  560510 - Preprocessor enabled code shows as comment anyway'.

2009-12-14  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Projects.Dom.Serialization/ParserDatabase.cs:
	  Remove pointless overhead, as we no longer do deep type
	  searches recursing into refs.

2009-12-14  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Projects/DotNetProject.cs: Mark all assemblies
	  in the solution as user code, not just explictly referenced
	  ones. Some may be loaded dynamically.

2009-12-10  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Projects/SolutionItem.cs:
	* MonoDevelop.Projects/WorkspaceItem.cs:
	* MonoDevelop.Projects/ProjectService.cs:
	* MonoDevelop.Projects/SolutionEntityItem.cs:
	* MonoDevelop.Projects/ProjectServiceExtension.cs:
	* MonoDevelop.Projects.Extensions/ProjectExtensionUtil.cs: Add
	  a generic mechanism for getting a service implemented in a
	  solution or project. The new GetService method takes a type
	  as parameter and looks for an implementation in the same
	  object or in the project service extensions.

2009-12-10  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Projects/SolutionConfigurationSelector.cs:
	  Implement ToString().

2009-12-02  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Projects/Solution.cs: Name threads to make
	  debugging easier.

2009-12-02  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Projects.Dom.Parser/ProjectDomService.cs: Name
	  the parser thread.

2009-12-01  Mike Krüger  <mkrueger@novell.com>

	* Makefile.am:
	* MonoDevelop.Projects.csproj:
	* MonoDevelop.Projects.Dom.Parser/ProjectDom.cs:
	* MonoDevelop.Projects.Dom.Parser/ProjectDomDecorator.cs:
	  Added project dom decorator.

2009-12-01  Lluis Sanchez Gual  <lluis@novell.com>

	* Makefile.am:
	* MonoDevelop.Projects.csproj:
	* MonoDevelop.Projects/Project.cs:
	* MonoDevelop.Projects/Solution.cs:
	* MonoDevelop.Projects/Workspace.cs:
	* MonoDevelop.Projects/BuildTool.cs:
	* MonoDevelop.Projects/IBuildTarget.cs:
	* MonoDevelop.Projects/SolutionItem.cs:
	* MonoDevelop.Projects/WorkspaceItem.cs:
	* MonoDevelop.Projects/DotNetProject.cs:
	* MonoDevelop.Projects/CustomCommand.cs:
	* MonoDevelop.Projects/SolutionFolder.cs:
	* MonoDevelop.Projects/ProjectService.cs:
	* MonoDevelop.Projects/ProjectReference.cs:
	* MonoDevelop.Projects/ItemConfiguration.cs:
	* MonoDevelop.Projects/SolutionEntityItem.cs:
	* MonoDevelop.Projects/UnknownSolutionItem.cs:
	* MonoDevelop.Projects/SolutionConfiguration.cs:
	* MonoDevelop.Projects/ConfigurationSelector.cs:
	* MonoDevelop.Projects/IDotNetLanguageBinding.cs:
	* MonoDevelop.Projects/CustomCommandExtension.cs:
	* MonoDevelop.Projects/ProjectServiceExtension.cs:
	* MonoDevelop.Projects/CustomCommandCollection.cs:
	* MonoDevelop.Projects/SolutionItemConfiguration.cs:
	* MonoDevelop.Projects/ItemConfigurationSelector.cs:
	* MonoDevelop.Projects/DefaultConfigurationSelector.cs:
	* MonoDevelop.Projects/SolutionConfigurationSelector.cs:
	* MonoDevelop.Projects.Formats.MSBuild/MSBuildHandler.cs:
	* MonoDevelop.Projects.Extensions/SolutionItemHandler.cs:
	* MonoDevelop.Projects.Extensions/ISolutionItemHandler.cs:
	* MonoDevelop.Projects.Formats.MD1/MD1DotNetProjectHandler.cs:
	* MonoDevelop.Projects.Formats.MSBuild/MSBuildProjectHandler.cs:
	* MonoDevelop.Projects.Dom.MemoryDatabase/ProjectMemoryProjectDom.cs:
	* MonoDevelop.Projects.Dom.Serialization/ProjectCodeCompletionDatabase.cs:
	  Introduced the ConfigurationSelector class to all methods
	  that previously took a configuration name as string. This
	  eliminates the ambiguity between solution configuration
	  names and project configuration names.

2009-12-01  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Projects.Dom/ResolveResult.cs: fixed 'Bug 559249
	  - Types of IEnumerable extensions on arrays are wrong'.

2009-11-24  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Projects/DotNetProject.cs: Make
	  GetUserAssemblyPaths look recursively in project refs.

2009-11-24  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Projects.Formats.MSBuild/MSBuildProject.cs:
	* MonoDevelop.Projects.Formats.MSBuild/MSBuildProjectHandler.cs:
	  When saving items, try to reuse the items that already exist
	  in the msbuild file. Fixes bug #557566.

2009-11-23  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Projects.Formats.MSBuild/MSBuildProjectHandler.cs:
	  When a hint path can't be resolved and the reference is
	  added as GAC, store the hint path and write it back when
	  saving. Partially solves bug #557566.

2009-11-20  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Projects/DotNetProject.cs: Add API for getting
	  the list of project assemblies.

	* MonoDevelop.Projects/Project.cs: Pass solution configuration
	  to DoExecute.

2009-11-20  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Projects/ProjectService.cs:
	* MonoDevelop.Projects/CustomCommandExtension.cs: Get correct
	  configuration when execution custom commands. Fixes bug
	  #556589.

2009-11-18  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Projects.Policies/PolicyService.cs: Improve
	  error message.

2009-11-18  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Projects.Dom/DomReturnType.cs: Checked
	  dimensions - fixing bug "Bug 556395 - Exception in
	  DomReturnType.ToInvariantString".

2009-11-17  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Projects.Dom/DomReturnType.cs: Remove
	  unnecessary string constructions. StringBuilder can add
	  multiple chars directly.

2009-11-16  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Projects.Dom/ResolveResult.cs: Fixed 'Bug 555523
	  - C# code completion gets confused by extension methods with
	  same names as properties'.

2009-11-13  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Projects.Dom.Serialization/CodeCompletionDatabase.cs:
	  Improve error reporting when a database can't be created.

2009-11-11  Lluis Sanchez Gual  <lluis@novell.com>

	* Makefile.am:
	* MonoDevelop.Projects.csproj:
	* MonoDevelop.Projects/DotNetProjectParameters.cs: Add
	  DotNetProjectParameters.

	* MonoDevelop.Projects/DotNetProject.cs: Implemented
	  StripImplicitNamespace.

	* MonoDevelop.Projects.Dom.Serialization/AssemblyCodeCompletionDatabase.cs:
	  Improve error checking.

2009-11-10  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Projects/WorkspaceItem.cs:
	* MonoDevelop.Projects/SolutionFolder.cs:
	* MonoDevelop.Projects/SolutionEntityItem.cs: Disable the file
	  system watchers for now.

2009-11-09  Carlo Kok  <ck@remobjects.com>

	* MonoDevelop.Projects.csproj: Fixed project to use the 
	  3.5 msbuild reference.

2009-11-09  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Projects.CodeGeneration/BaseRefactorer.cs: Fixed
	  'Bug 553529 - Stetic created methods are tabbed in too far
	  on windows'.

2009-11-09  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Projects.Text/TextFile.cs: Added support for
	  mac/windows line endings.

2009-11-06  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Projects.Dom.Parser/ProjectDom.cs: Set a
	  compilation unit for array types.

2009-11-06  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Projects.Dom/ResolveResult.cs: Fixed 'Bug 553092
	  - Go to definition doesn't work on extension methods'.

2009-11-05  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Projects/Solution.cs:
	* MonoDevelop.Projects/WorkspaceItem.cs:
	* MonoDevelop.Projects/SolutionFolder.cs:
	* MonoDevelop.Projects/SolutionEntityItem.cs: Added
	  ReloadRequired event, which is fired when the NeedsReload
	  property changes.

2009-11-05  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Projects/DotNetProject.cs:
	* MonoDevelop.Projects.Formats.MD1/MD1DotNetProjectHandler.cs:
	  Use a runtime-dependent method for getting the debug info
	  file of an assembly.

2009-10-30  Lluis Sanchez Gual  <lluis@novell.com>

	* AssemblyInfo.cs:
	* MonoDevelop.Projects.addin.xml: Bump MD version.

2009-10-30  Carlo Kok  <ck@remobjects.com>

	* MonoDevelop.Projects.Dom/DomMethod.cs:
	* MonoDevelop.Projects.Dom/DomProperty.cs: use Parameters not parameters.

2009-10-30  Carlo Kok  <ck@remobjects.com>

	* MonoDevelop.Projects.Dom/DomMethod.cs:
	* MonoDevelop.Projects.Dom/DomProperty.cs: CompareTo and Equals
	  on properties and methods take in account the parameters.

2009-10-30  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Projects.CodeGeneration/BaseRefactorer.cs: Fixed
	  'Bug 551327 - Methods incorrectly formatted when adding a
	  handler'.

2009-10-30  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Projects.Dom.Output/AmbienceService.cs: Fixed
	  'Bug 550928 - Parameters tooltip shows too much
	  documentation'.

2009-10-29  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Projects.Dom/ResolveResult.cs: Added type nucc
	  check (extension methods can be called directly without
	  extension).

2009-10-29  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Projects.Dom/ExtensionMethod.cs: added argument
	  checks.

2009-10-29  Lluis Sanchez Gual  <lluis@novell.com>

	* md1format.xml:
	* MonoDevelop.Projects/SolutionItemConfiguration.cs: Add
	  missing fallback types.

	* MonoDevelop.Projects/Project.cs: Unknown projects can't be
	  built nor executed.

2009-10-28  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Projects.Dom.Output/AmbienceService.cs: More
	  robust cleaning of empty docs.

2009-10-28  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Projects.Dom/DomMethod.cs: Fixed 'Bug 550185 -
	  Intellisence for extension methods'.

2009-10-26	Rodrigo B. de Oliveira <rbo@acm.org>

	* MonoDevelop.Projects.Dom/DomType.cs: made DomType.CreateDelegate
		more generally applicable by using IEnumerable<IParameter>
		insteaof of List<IParameter>

2009-10-22  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Projects.CodeGeneration/IRefactorer.cs:
	* MonoDevelop.Projects.CodeGeneration/CodeRefactorer.cs:
	* MonoDevelop.Projects.CodeGeneration/BaseRefactorer.cs: Fixed
	  "Bug 549130 - "resolve" adds using st. at wrong place when
	  namespace and classname conflict".

2009-10-21  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Projects.CodeGeneration/BaseRefactorer.cs:
	  Overworked generated member positioning code.

2009-10-20  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Projects.CodeGeneration/BaseRefactorer.cs: Fixed
	  'Bug 547938 - class override/implement puts method in the
	  wrong position and indentation'.

2009-10-20  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Projects.Dom/CompoundType.cs:
	* MonoDevelop.Projects.Dom.Parser/ProjectDom.cs: Fixed 'Bug
	  547949 - Rename partial classes does not rename both
	  classes'.

2009-10-20  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Projects.CodeGeneration/CodeRefactorer.cs: fixed
	  'Bug 548239 - Code completion offers incorrect items'.

2009-10-15  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Projects.Dom.Serialization/ParserDatabase.cs:
	  Fixed 'Bug 547178 - Missing intellisense item XmlReader
	  .ReadSubtree'.

2009-10-14  Carlo Kok  <ck@remobjects.com>

	* MonoDevelop.Projects.Dom/CopyDomVisitor.cs: Make sure 
	  parameter type is assigned before visiting it.

2009-10-14  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Projects.Dom/ResolveResult.cs: generalized API.

2009-10-13  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Projects.Dom/DomType.cs: Fix stock icon id.

2009-10-12  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Projects/ItemConfiguration.cs: fixed null
	  reference.

2009-10-09  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Projects.Dom/CompilationUnit.cs: Exposed
	  builtintypes.

2009-10-09  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Projects.Dom/ResolveResult.cs:
	* MonoDevelop.Projects.Dom/DomReturnType.cs:
	* MonoDevelop.Projects.Dom.Parser/ProjectDom.cs:
	* MonoDevelop.Projects.Dom/InstantiatedParameterType.cs:
	* MonoDevelop.Projects.Dom.Parser/TypeResolverVisitor.cs:
	  Fixed 'Bug 545189 - C# resolver bug'.

2009-10-08  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Projects/DotNetProject.cs: Don't try to update
	  resource ids for directories.

	* MonoDevelop.Projects.csproj: Flush.

2009-10-08  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Projects.Dom/DomType.cs:
	* MonoDevelop.Projects.Dom.Parser/ProjectDom.cs: Fixed unit
	  tests / worked on 545189

2009-10-08  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Projects.Dom/DomType.cs:
	* MonoDevelop.Projects.Dom/IReturnType.cs:
	* MonoDevelop.Projects.Dom/DomCecilType.cs:
	* MonoDevelop.Projects.Dom/DomReturnType.cs:
	* MonoDevelop.Projects.Dom/DomCecilMethod.cs:
	* MonoDevelop.Projects.Dom.Parser/ProjectDom.cs: Worked on
	  cecil representation of return types from types in
	  innertypes in types with generics.

2009-10-07  Lluis Sanchez Gual  <lluis@novell.com>

	* AssemblyInfo.cs:
	* MonoDevelop.Projects.addin.xml: Update license.

2009-10-07  Lluis Sanchez Gual  <lluis@novell.com>

	* AssemblyInfo.cs:
	* MonoDevelop.Projects.addin.xml: Bump MD version.

2009-10-07  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Projects.Dom/DomType.cs:
	* MonoDevelop.Projects.Dom/DomCecilType.cs:
	* MonoDevelop.Projects.Dom/DomCecilField.cs:
	* MonoDevelop.Projects.Dom/DomCecilEvent.cs:
	* MonoDevelop.Projects.Dom/DomCecilMethod.cs:
	* MonoDevelop.Projects.Dom/DomCecilProperty.cs:
	* MonoDevelop.Projects.Dom/DomCecilParameter.cs:
	* MonoDevelop.Projects.Dom/DomCecilCompilationUnit.cs:
	* MonoDevelop.Projects.Dom.MemoryDatabase/AssemblyProjectDom.cs:
	* MonoDevelop.Projects.Dom.Serialization/AssemblyCodeCompletionDatabase.cs:
	  Optimized cecil loading.

2009-10-07  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Projects.Dom/DomCecilCompilationUnit.cs: Cecil
	  compilation unit now preserves module information.

	* MonoDevelop.Projects.Dom/DomCecilAttribute.cs: No need to
	  hold the cecil attribute, all information is extracted.

2009-10-06  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Projects/DotNetProject.cs:
	* MonoDevelop.Projects/ProjectService.cs:
	* MonoDevelop.Projects/ItemConfiguration.cs:
	* MonoDevelop.Projects/ProjectCreateInformation.cs: Added
	  support for specifying a default platform for projects.

	* MonoDevelop.Projects/SolutionFolder.cs: When adding an item
	  with createSolutionConfigurations option, don't create
	  configuration if the config name matches, even if the
	  platform doesn't.

2009-10-06  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Projects.Dom.Output/Ambience.cs:
	* MonoDevelop.Projects.Dom.Output/AmbienceService.cs: Worked
	  on documentation output.

2009-10-06  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Projects.Dom/IUsing.cs:
	* MonoDevelop.Projects.Dom/DomType.cs:
	* MonoDevelop.Projects.Dom/DomUsing.cs:
	* MonoDevelop.Projects.Dom/DomEvent.cs:
	* MonoDevelop.Projects.Dom/DomMethod.cs:
	* MonoDevelop.Projects.Dom/IParameter.cs:
	* MonoDevelop.Projects.Dom/IAttribute.cs:
	* MonoDevelop.Projects.Dom/DomProperty.cs:
	* MonoDevelop.Projects.Dom/IReturnType.cs:
	* MonoDevelop.Projects.Dom/IBaseMember.cs:
	* MonoDevelop.Projects.Dom/DomAttribute.cs:
	* MonoDevelop.Projects.Dom/CompoundType.cs:
	* MonoDevelop.Projects.Dom/DomParameter.cs:
	* MonoDevelop.Projects.Dom/DomCecilType.cs:
	* MonoDevelop.Projects.Dom/TypeParameter.cs:
	* MonoDevelop.Projects.Dom/DomReturnType.cs:
	* MonoDevelop.Projects.Dom/LocalVariable.cs:
	* MonoDevelop.Projects.Dom/DomCecilEvent.cs:
	* MonoDevelop.Projects.Dom/DomCecilField.cs:
	* MonoDevelop.Projects.Dom/DomCecilMethod.cs:
	* MonoDevelop.Projects.Dom/ITypeParameter.cs:
	* MonoDevelop.Projects.Dom/AbstractMember.cs:
	* MonoDevelop.Projects.Dom/CompilationUnit.cs:
	* MonoDevelop.Projects.Dom/ExtensionMethod.cs:
	* MonoDevelop.Projects.Dom/ICompilationUnit.cs:
	* MonoDevelop.Projects.Dom/DomCecilProperty.cs:
	* MonoDevelop.Projects.Dom/DomCecilParameter.cs:
	* MonoDevelop.Projects.Dom/DomCecilAttribute.cs:
	* MonoDevelop.Projects.Dom/InstantiatedMethod.cs:
	* MonoDevelop.Projects.Dom/DomMemberDecorator.cs:
	* MonoDevelop.Projects.Dom/DomCecilCompilationUnit.cs: Took
	  out the dispose chain - doesn't solve the huge chunk of
	  memory allocation :/

2009-10-06  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Projects.Dom/DomReturnType.cs:
	* MonoDevelop.Projects.Dom/DomCecilCompilationUnit.cs: Fixed
	  type parameter conversion.

2009-10-05  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Projects.Dom/DomCecilType.cs: dispose already
	  takes care of cleaning members.

2009-10-05  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Projects.Dom/IUsing.cs:
	* MonoDevelop.Projects.Dom/DomType.cs:
	* MonoDevelop.Projects.Dom/DomEvent.cs:
	* MonoDevelop.Projects.Dom/DomUsing.cs:
	* MonoDevelop.Projects.Dom/DomMethod.cs:
	* MonoDevelop.Projects.Dom/IParameter.cs:
	* MonoDevelop.Projects.Dom/IAttribute.cs:
	* MonoDevelop.Projects.Dom/DomProperty.cs:
	* MonoDevelop.Projects.Dom/IReturnType.cs:
	* MonoDevelop.Projects.Dom/IBaseMember.cs:
	* MonoDevelop.Projects.Dom/DomAttribute.cs:
	* MonoDevelop.Projects.Dom/CompoundType.cs:
	* MonoDevelop.Projects.Dom/DomParameter.cs:
	* MonoDevelop.Projects.Dom/DomCecilType.cs:
	* MonoDevelop.Projects.Dom/TypeParameter.cs:
	* MonoDevelop.Projects.Dom/DomReturnType.cs:
	* MonoDevelop.Projects.Dom/LocalVariable.cs:
	* MonoDevelop.Projects.Dom/DomCecilEvent.cs:
	* MonoDevelop.Projects.Dom/DomCecilField.cs:
	* MonoDevelop.Projects.Dom/AbstractMember.cs:
	* MonoDevelop.Projects.Dom/DomCecilMethod.cs:
	* MonoDevelop.Projects.Dom/ITypeParameter.cs:
	* MonoDevelop.Projects.Dom/CompilationUnit.cs:
	* MonoDevelop.Projects.Dom/ExtensionMethod.cs:
	* MonoDevelop.Projects.Dom/DomCecilProperty.cs:
	* MonoDevelop.Projects.Dom/DomCecilParameter.cs:
	* MonoDevelop.Projects.Dom/DomCecilAttribute.cs:
	* MonoDevelop.Projects.Dom/DomMemberDecorator.cs:
	* MonoDevelop.Projects.Dom/InstantiatedMethod.cs:
	* MonoDevelop.Projects.Dom/DomCecilCompilationUnit.cs: Added
	  dispose chain.

2009-10-05  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Projects.Dom.Parser/ProjectDomService.cs: Don't
	  initialize the help tree if not requested.

	* MonoDevelop.Projects.Dom.Serialization/DomPersistence.cs:
	  Use a custom binary serializer to serialize CodeExpression
	  objects. Fixes issues with Mono changing internal fields.

	* MonoDevelop.Projects.Dom.Serialization/CodeCompletionDatabase.cs:
	  Bump database version.

2009-10-05  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Projects.Dom/AbstractMember.cs: Fixed failing
	  unit test.

2009-10-05  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Projects.Dom/Modifiers.cs:
	* MonoDevelop.Projects.Dom/ResolveResult.cs:
	* MonoDevelop.Projects.Dom/AbstractMember.cs: Added support
	  for protected and internal / protected or internal
	  modifiers.

2009-10-05  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Projects.Dom/DomType.cs:
	* MonoDevelop.Projects.Dom/DomMethod.cs:
	* MonoDevelop.Projects.Dom/ResolveResult.cs:
	* MonoDevelop.Projects.Dom/ExtensionMethod.cs: some extension
	  methods were missing in completion.

2009-10-05  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Projects.Dom/DomMethod.cs: added check for
	  dimensions.

2009-10-02  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Projects.Dom.Parser/ProjectDomService.cs:
	* MonoDevelop.Projects.Dom.Serialization/ProjectCodeCompletionDatabase.cs:
	* MonoDevelop.Projects.Dom.Serialization/AssemblyCodeCompletionDatabase.cs:
	  Added some strings to the translation database.

2009-10-01  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Projects/ProjectReference.cs: Took back the
	  latest changes, there is another way doing this.

2009-10-01  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Projects/ProjectReference.cs:
	* MonoDevelop.Projects.Dom.Parser/TypeResolverVisitor.cs:
	  GetReferencedFileNames now go through required packages.

2009-09-29  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Projects.Dom.Parser/ProjectDomService.cs:
	  Handled file i/o error in project DOM service.

2009-09-29  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Projects.Formats.MSBuild/MSBuildProjectHandler.cs:
	  Include new configurations to the configurations list, so it
	  can be found later on.

2009-09-29  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Projects.Dom/DomType.cs: Corrected GetMemberAt
	  (field lookup).

2009-09-29  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Projects/DotNetProjectConfiguration.cs:
	* MonoDevelop.Projects.Formats.MSBuild/MergeToProjectAttribute.cs:
	  Support loading AssemblyKeyFile from global properties.

2009-09-29  Lluis Sanchez Gual  <lluis@novell.com>

	* md1format.xml:
	* MonoDevelop.Projects/ProjectConfiguration.cs:
	* MonoDevelop.Projects/DotNetProjectConfiguration.cs: Moved
	  SignAssembly and AssemblyKeyFile to
	  DotNetProjectConfiguration. Use the new MergeToProject flags
	  for them.

	* MonoDevelop.Projects/Solution.cs: Set correct default value
	  for the version property.

	* MonoDevelop.Projects.Formats.MSBuild/MSBuildProjectHandler.cs:
	* MonoDevelop.Projects.Formats.MSBuild/MergeToProjectAttribute.cs:
	  Added support for MergeToProjectAttribute. When applied to a
	  property of a project configuration, MD will check if the
	  value of that property is the same for all configurations.
	  If they are the same, the value will be stored in the main
	  property group, insted of individually in each
	  configuration.

	* Makefile.am:
	* MonoDevelop.Projects.csproj: Added MergeToProjectAttribute.

2009-09-28  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Projects/DotNetAssemblyProject.cs: Add missing
	  file.

2009-09-28  Lluis Sanchez Gual  <lluis@novell.com>

	* Makefile.am:
	* md1format.xml:
	* MonoDevelop.Projects.csproj:
	* MonoDevelop.Projects.addin.xml:
	* MonoDevelop.Projects/DotNetProject.cs:
	* MonoDevelop.Projects/DotNetProjectBinding.cs:
	* MonoDevelop.Projects.Formats.MSBuild/MSBuildProjectHandler.cs:
	  Use the new DotNetAssemblyProject class instead of
	  DotNetProject, which is now abstract.

2009-09-28  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Projects.Dom.Serialization/ParserDatabase.cs:
	  Don't share the name table, since it now holds temporary ids
	  which are exclusive to specific database serialization
	  contexts. Should fix bug #469562 - Invalid integer value in
	  completion DB.

	* MonoDevelop.Projects.Dom.Serialization/CodeCompletionDatabase.cs:
	  Don't share the name table, since it now holds temporary ids
	  which are exclusive to specific database serialization
	  contexts.

2009-09-26  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Projects.Dom/DomMethod.cs: Fixed parameter
	  helpurl string.

2009-09-24  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Projects.Dom/INode.cs:
	* MonoDevelop.Projects.Dom.Parser/ProjectDom.cs: Added new
	  roles.

2009-09-23  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Projects.Dom/INode.cs: fixed build

2009-09-23  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Projects/ProjectService.cs:
	* MonoDevelop.Projects.Dom.Parser/ProjectDomService.cs:
	* MonoDevelop.Projects.Dom.Serialization/AssemblyCodeCompletionDatabase.cs:
	  Added some counters.

2009-09-23  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Projects.Dom/DomReturnType.cs:
	* MonoDevelop.Projects.Dom/ExpressionResult.cs:
	* MonoDevelop.Projects.Dom/SearchTypeRequest.cs: Fixed some
	  small issues with the dom.

2009-09-22  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Projects.Dom/INode.cs: Extended abstract node a
	  bit.

2009-09-22  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Projects.Dom.Output/AmbienceService.cs: Filtered
	  'empty' documentation.

2009-09-21  Mike Krüger  <mkrueger@novell.com>

	* Makefile.am:
	* MonoDevelop.Projects.csproj:
	* MonoDevelop.Projects.Dom/INode.cs:
	* MonoDevelop.Projects.Dom/IUsing.cs:
	* MonoDevelop.Projects.Dom/DomType.cs:
	* MonoDevelop.Projects.Dom/DomMethod.cs:
	* MonoDevelop.Projects.Dom/IAttribute.cs:
	* MonoDevelop.Projects.Dom/IDomVisitor.cs:
	* MonoDevelop.Projects.Dom/IBaseMember.cs:
	* MonoDevelop.Projects.Dom/IReturnType.cs:
	* MonoDevelop.Projects.Dom/CopyDomVisitor.cs:
	* MonoDevelop.Projects.Dom.Output/Ambience.cs:
	* MonoDevelop.Projects.Dom/CompilationUnit.cs:
	* MonoDevelop.Projects.Dom/ICompilationUnit.cs:
	* MonoDevelop.Projects.Dom/DomMemberDecorator.cs:
	* MonoDevelop.Projects.Dom.Output/OutputSettings.cs:
	* MonoDevelop.Projects.Dom/DomCecilCompilationUnit.cs:
	* MonoDevelop.Projects.CodeGeneration/BaseRefactorer.cs:
	* MonoDevelop.Projects.CodeGeneration/INameValidator.cs:
	* MonoDevelop.Projects.Dom.Parser/TypeResolverVisitor.cs:
	* MonoDevelop.Projects.Dom.MemoryDatabase/MemoryProjectDom.cs:
	  Renamed IDomVisitable -> INode

2009-09-18  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Projects/DotNetProject.cs: If default namespace
	  is blank, set it to the project name instead of treating
	  that as the project name. Improves VS compatibility.

2009-09-18  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Projects.Dom.Parser/ProjectDomService.cs: Remove
	  warning since the null db seems to be valid in some cases.

2009-09-18  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Projects.Dom/ExpressionContext.cs: Filter
	  internal "value__" field for enums.

2009-09-18  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Projects.Dom.Output/OutputFlags.cs:
	* MonoDevelop.Projects.Dom.Output/OutputSettings.cs: Added
	  flag to display the full name of an inner type without
	  namespace.

2009-09-18  Carlo Kok  <ck@remobjects.com>

	* MonoDevelop.Projects.Dom.Serialization/CodeCompletionDatabase.cs:
	  Ability to run delegates with a lock on the project completion 
	  database to have a synchronized context to run from.

2009-09-18  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Projects.Dom/DomType.cs: Fixed GetComponentType
	  method.

2009-09-17  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Projects.Dom/IUsing.cs:
	* MonoDevelop.Projects.Dom/DomUsing.cs:
	* MonoDevelop.Projects.Dom/CompilationUnit.cs: Usings now
	  contain a region in which they're valid.

2009-09-17  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Projects.Dom.Parser/TypeResolverVisitor.cs:
	  Fixed alias resolving.

2009-09-17  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Projects.Dom/DomCecilCompilationUnit.cs: Add a
	  FIXME regarding custom assembly resolver for cecil.

2009-09-17  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Projects.Dom.Parser/ProjectDomService.cs: Warn
	  when a DB cannot be loaded for a particular URI.

2009-09-17  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Projects.Dom/DomUsing.cs: Improved alias
	  tostring output.

2009-09-17  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Projects.Dom/DomCecilAttribute.cs: Avoid crash
	  if the custom attribute can't be resolved. Fixes bug #539793
	  - Completion database error.

2009-09-17  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Projects.Dom.Parser/ProjectDomService.cs: Fixed
	  path lookup.

2009-09-16  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Projects.Dom.Parser/ProjectDomService.cs: fixing
	  assembly lookup.

2009-09-16  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Projects.Dom.Parser/ProjectDomService.cs: Fixed
	  bug in the assembly lookup.

2009-09-16  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Projects.csproj: upped the warning level to 4.

2009-09-16  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Projects.Dom/ExpressionContext.cs: Removed new
	  keyword.

2009-09-16  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Projects.Dom/ExpressionContext.cs: Merged Type
	  and TypeNameExpected context.

2009-09-16  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Projects.Dom/ExpressionContext.cs: Added type
	  name expected context.

2009-09-14  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Projects.Text/TextFile.cs: Fixed 'Bug 538827 –
	  Pango crash when opening a specific file'.

2009-09-11  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Projects.Dom/ResolveResult.cs: Multiple
	  ResolveExtensionMethods calls now work.

2009-09-11  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Projects.Dom/ResolveResult.cs: Added new
	  constructor.

2009-09-11  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Projects.CodeGeneration/CodeRefactorer.cs: Fixed
	  'Bug 538257 - Crash in FindReferences'.

2009-09-10  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Projects.Text/IPrettyPrinter.cs: Changed pretty
	  printer interface.

2009-09-04  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Projects.Dom/DomType.cs: fixed "Bug 529499 -
	  error in text editor extension chain".

2009-09-03  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Projects/DotNetProject.cs: When copying an
	  assembly reference, recursively copy the assemblies it
	  references if they are located in the same directory. Fixes
	  bug #513889 - Fails to copy recursive assembly dependencies.

2009-09-03  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Projects.Dom/DomType.cs: Overworked nested type
	  instantiation (Bug 536111 - Nested generic types should not
	  show <> on code completion when inner generic type is the
	  same)

2009-09-02  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Projects.Dom/DomCecilMethod.cs:
	* MonoDevelop.Projects.Dom/DomCecilProperty.cs: Retrieve the
	  explicit interfaces from cecil.

2009-09-02  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Projects.Dom/CompilationUnit.cs: Check type
	  name.

2009-09-02  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Projects/Solution.cs:
	* MonoDevelop.Projects/SolutionEntityItem.cs: Added option for
	  synchronizing project release versions with the solution
	  version.

	* MonoDevelop.Projects.Formats.MSBuild/MSBuildProjectHandler.cs:
	  Use a black list instead of a white list when deciding if a
	  property of SolutionEntityItem can be serialized.

	* md1format.xml: Update.

2009-09-02  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Projects.Dom/DomType.cs:
	* MonoDevelop.Projects.Dom/CopyDomVisitor.cs:
	* MonoDevelop.Projects.Dom/InstantiatedType.cs: Fixed "Bug
	  536111 - Nested generic types should not show <> on code
	  completion".

2009-09-01  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Projects/BuildResult.cs: Update the
	  failedBuildCount when adding errors.

2009-09-01  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Projects.Formats.MD1/MD1DotNetProjectHandler.cs:
	  Fix bug #469211 - Satellite assembly names truncated when
	  primary assembly name contains dot. Patch by Dean Brettle.

2009-09-01  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Projects.Formats.MSBuild/MSBuildProjectHandler.cs:
	  Use case insensitive compare when looking for project guids.
	  Fixes bug #512459 - duplicated ProjectTypeGuids.

2009-09-01  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Projects.Dom/CompilationUnit.cs: Check if built
	  in types are shortened (they don't need to).

2009-09-01  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Projects.Dom/CompilationUnit.cs:
	* MonoDevelop.Projects.Dom/ICompilationUnit.cs: Added shorten
	  type name overload.

2009-09-01  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Projects.Dom/CompilationUnit.cs:
	* MonoDevelop.Projects.Dom/ICompilationUnit.cs: Moved shorten
	  type name method to compilation unit.

2009-09-01  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Projects.Dom/DomUsing.cs:
	* MonoDevelop.Projects.Dom/CompilationUnit.cs:
	* MonoDevelop.Projects.Dom/ICompilationUnit.cs: Added some
	  helper functions.

2009-08-31  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Projects.Formats.MSBuild\SlnFileFormat.cs: Fix
	  infinite loop when loading an invalid solution.

2009-08-28  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Projects.Dom/ParsedDocument.cs: Don't add folds
	  for single-line properties.

2009-08-28  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Projects/DotNetProject.cs: Fixed output string.

2009-08-28  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Projects.Dom.Parser/ProjectDom.cs: Fixed "Bug
	  534678 - Extra namespaces available in Intellisense".

2009-08-27  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Projects/UnknownProjectVersionException.cs:
	  Remove unused file.

	* MonoDevelop.Projects.CodeGeneration/CodeRefactorer.cs: Fix
	  build on Windows.

2009-08-27  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Projects.CodeGeneration/CodeRefactorer.cs: Added
	  new refactory scope for private members.

2009-08-27  Lluis Sanchez Gual  <lluis@novell.com>

	* md1format.xml: Add missing skipEmpty flag.

2009-08-27  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Projects.Formats.MSBuild/MSBuildProject.cs:
	  StringWriter.Encoding always returns UTF16. We need it to
	  return UTF8, so the XmlDocument will write the UTF8 header.

2009-08-27  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Projects.Dom/LocalVariable.cs: Fixed unit test
	  failure.

2009-08-27  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Projects/ProjectConfiguration.cs: Fix typo.

2009-08-26  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Projects/ProjectReference.cs:
	* MonoDevelop.Projects.Formats.MSBuild/MSBuildProjectHandler.cs:
	  when reading an assembly reference, if the path is absolute,
	  write it as absolute when saving. 

	* MonoDevelop.Projects.Formats.MSBuild/MSBuildProjectService.cs:
	  when reading an assembly reference, if the path is absolute,
	  write it as absolute when saving. If the path is an absolute
	  windows path (with drive letter), show it as invalid when
	  not running on windows.

2009-08-26  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Projects/ProjectService.cs: In ReadSolutionItem,
	  if the reference has no id, try to find the project in the
	  provided workspace list.

	* MonoDevelop.Projects/BuildResult.cs:
	* MonoDevelop.Projects/SolutionItemReference.cs: Improve
	  ToString.

	* MonoDevelop.Projects.Extensions/ItemTypeNode.cs:
	* MonoDevelop.Projects.Formats.MSBuild/MSBuildFileFormat.cs:
	* MonoDevelop.Projects.Formats.MSBuild/MSBuildProjectService.cs:
	  Create an ItemTypeNode for mdproj, and use it like any other
	  item type. There is no need to special-case it anymore.

2009-08-26  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Projects/SolutionConfiguration.cs: Never assign
	  a null configuration name.

	* MonoDevelop.Projects/SolutionItem.cs:
	* MonoDevelop.Projects/DotNetProject.cs: Before running a
	  target on a project, make sure the target framework is
	  installed.

2009-08-26  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Projects.dll.config: Make dll mappings work in
	  FreeBSD. Fixes bug #496269. Patch by Romain Tartière.

2009-08-25  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Projects.Dom/SearchTypeRequest.cs: Changed List
	  -> IList as requirement for a search type request generic
	  parameter list.

2009-08-25  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Projects.Dom/DomCecilField.cs:
	* MonoDevelop.Projects.Dom/DomCecilEvent.cs:
	* MonoDevelop.Projects.Dom/AbstractMember.cs:
	* MonoDevelop.Projects.Dom/DomCecilMethod.cs:
	* MonoDevelop.Projects.Dom/DomCecilProperty.cs: Tested remove
	  backing store refactoring.

2009-08-25  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Projects.Dom/ExpressionResult.cs:
	* MonoDevelop.Projects.Dom.Parser/ProjectDom.cs:
	* MonoDevelop.Projects.Dom/ExpressionContext.cs:
	* MonoDevelop.Projects.CodeGeneration/CodeRefactorer.cs:
	* MonoDevelop.Projects.CodeGeneration/BaseRefactorer.cs: Fixed
	  "Bug 531510 - Refactoring of generic types fails with
	  exception".

2009-08-25  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Projects.Dom.Output/AmbienceService.cs: Added a
	  max line length option for xml doc formatting.

2009-08-24  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Projects.Formats.MSBuild/MSBuildProjectService.cs:
	  Spaces have to be scaped as '_' only in the directory, not
	  in the file name.

2009-08-24  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Projects.Dom/DomType.cs: 

2009-08-24  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Projects.Dom/DomType.cs: Fixed small issue in
	  generic instantination that lead to a bug with indexers.

2009-08-24  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Projects.Dom/CopyDomVisitor.cs:
	* MonoDevelop.Projects.Dom.Parser/ProjectDom.cs:
	* MonoDevelop.Projects.Dom.Serialization/DomPersistence.cs:
	* MonoDevelop.Projects.Dom.Serialization/CodeCompletionDatabase.cs:
	  Correctly serialize indexer parameters.

2009-08-24  Mike Krüger  <mkrueger@novell.com>

	* Makefile.am:
	* MonoDevelop.Projects.csproj:
	* MonoDevelop.Projects.Dom/IMember.cs:
	* MonoDevelop.Projects.Dom/IMethod.cs:
	* MonoDevelop.Projects.Dom/IProperty.cs:
	* MonoDevelop.Projects.Dom/DomMethod.cs:
	* MonoDevelop.Projects.Dom/IParameter.cs:
	* MonoDevelop.Projects.Dom/DomProperty.cs:
	* MonoDevelop.Projects.Dom/IBaseMember.cs:
	* MonoDevelop.Projects.Dom/DomParameter.cs:
	* MonoDevelop.Projects.Dom/LocalVariable.cs:
	* MonoDevelop.Projects.Dom/AbstractMember.cs:
	* MonoDevelop.Projects.Dom/DomMemberDecorator.cs: Made it a
	  bit easier to work with the DOM.

2009-08-24  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Projects.Formats.MSBuild/MSBuildProjectService.cs:
	  Properly escape spaces in resource names. Fixes bug #533043
	  - ResourceID for resx files on localized forms is incorrect
	  if the name contains spaces.

2009-08-24  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Projects/WorkspaceItem.cs:
	* MonoDevelop.Projects/SolutionEntityItem.cs: Properly set the
	  last write time flag after loading a project.

	* MonoDevelop.Projects.Formats.MSBuild/MSBuildProjectHandler.cs:
	  Make sure the Load operation is started before creating the
	  solution item, otherwise it will not be included in the
	  loading context.

2009-08-24  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Projects.Dom/ExpressionResult.cs: It's now
	  possible to determine the parent expression contexts.

2009-08-24  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Projects/WorkspaceItem.cs:
	* MonoDevelop.Projects/IWorkspaceObject.cs:
	* MonoDevelop.Projects/SolutionEntityItem.cs: Added
	  ItemFilesChanged. Returns true if the project files have
	  changed since the last save.

	* MonoDevelop.Projects.Dom.Serialization/ProjectCodeCompletionDatabase.cs:
	  Added null check.

2009-08-24  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Projects.Dom/DomType.cs: Fixed "Bug 531035 -
	  Automcompleted delegate callback generation for TEventArgs
	  could be better?".

2009-08-20  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Projects/SolutionFolder.cs:
	* MonoDevelop.Projects/SolutionConfiguration.cs: When adding a
	  new project to the solution, try to find the best matching
	  configuration for each solution configuration. In any case,
	  make sure the assigned configuration does exist. Fixes bug
	  #473704.

2009-08-20  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Projects/SolutionConfiguration.cs: Build for a
	  project is disabled if the selected target configuration
	  doesn't exist.

2009-08-20  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Projects/FileFormatManager.cs: Added helper
	  method for getting the file format of a file.

	* MonoDevelop.Projects.Formats.MSBuild/MSBuildFileFormat.cs:
	  Fixed false positive in the file format check. Fixes bug
	  #525112 - VS2003 not migrated correctly.

2009-08-20  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Projects.Formats.MSBuild/MSBuildProjectHandler.cs:
	  Properly deserialize properties with dots in the name.

2009-08-20  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Projects/ProjectReference.cs: Added a protected
	  member to be used by custom reference implementations to
	  initialize the reference.

	* md1format.xml: Fix md1 format mappings. A member has
	  changed.

2009-08-19  Lluis Sanchez Gual  <lluis@novell.com>

	* Makefile.am:
	* MonoDevelop.Projects.csproj:
	* MonoDevelop.Projects/Project.cs:
	* MonoDevelop.Projects/ProjectFile.cs:
	* MonoDevelop.Projects/ProjectEventArgs.cs: Rewritten gpl
	  code. Patch by Viktoria Dudka.

2009-08-19  Lluis Sanchez Gual  <lluis@novell.com>

	* Makefile.am:
	* MonoDevelop.Projects.csproj:
	* MonoDevelop.Projects.addin.xml:
	* MonoDevelop.Projects.Formats.MSBuild/MSBuildProject.cs:
	* MonoDevelop.Projects.Formats.MSBuild/MSBuildProjectHandler.cs:
	* MonoDevelop.Projects.Formats.MSBuild/IMSBuildImportProvider.cs:
	  Added extension point for Import providers, which can inject
	  custom import items in msbuild files.

2009-08-19  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Projects/WorkspaceItem.cs:
	* MonoDevelop.Projects/ProjectReference.cs: Updated license
	  headers. Those files have been rewritten.

2009-08-18  Viktoria Dudka  <viktoriad@remobjects.com>

	* MonoDevelop.Projects/DotNetProject.cs: Rewritten GPL parts.

2009-08-19  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Projects.Dom.Parser/ProjectDomService.cs: Fixed
	  a bug that happens when the parser returns null (happens for
	  the delphi parser).

2009-08-18  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Projects.Dom.Serialization/AssemblyCodeCompletionDatabase.cs:
	  Regen assembly databases for packages when the assembly file
	  changes, instead of when the package version changes. Add an
	  env var flag, MD_ASM_DB_UPDATE_POLICY=PKGVERSION, for
	  re-enabling the old behaviour.

2009-08-18  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Projects/SolutionEntityItem.cs: When setting the
	  name, don't try to update the file name if the project is
	  being deserialized. Fixes bug #527937 - Project names
	  truncate after opening solution.

2009-08-17  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Projects/DotNetProject.cs:
	* MonoDevelop.Projects/ProjectService.cs: Added missing null
	  checks.

2009-08-15  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Projects.Dom/ResolveResult.cs: fixed "Bug 531525
	  - Refactoring + Renaming fails for delegate".

2009-08-13  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Projects.Dom.Serialization/ProjectCodeCompletionDatabase.cs:
	  Don't need to use FindInstalledAssembly now that
	  GetAssemblyforVersion is fixed.

2009-08-13  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Projects/DotNetProject.cs:
	* MonoDevelop.Projects/ProjectReference.cs:
	* MonoDevelop.Projects.Dom.Serialization/ProjectCodeCompletionDatabase.cs:
	  Added an AssemblyContext property to DotNetProject, to be
	  used from now on to resolve assemblies for the project.

	* MonoDevelop.Projects.Dom.MemoryDatabase/ProjectMemoryProjectDom.cs:
	* MonoDevelop.Projects.Dom.Serialization/SimpleCodeCompletionDatabase.cs:
	* MonoDevelop.Projects.Dom.Serialization/AssemblyCodeCompletionDatabase.cs:
	  Track api changes.

2009-08-11  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Projects/ProjectConvertTool.cs: Allow converting
	  solutions.

2009-08-10  Lluis Sanchez Gual  <lluis@novell.com>

	* md1format.xml: Updated field names for ProjectConfiguration.

2009-08-10  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Projects.Formats.MSBuild\MSBuildProjectHandler.cs:
	  Track api changes.

	* MonoDevelop.Projects.Formats.MSBuild\MSBuildProjectService.cs:
	  Properly dispose project builders.

2009-08-07  Viktoria Dudka  <viktoriad@remobjects.com>

	* MonoDevelop.Projects/ProjectConfiguration.cs: Rewritten from scratch
	  to make it NON-GPL.
	  
2009-08-10  Viktoria Dudka  <viktoriad@remobjects.com>

	* MonoDevelop.Projects/IDotNetLanguageBinding.cs: Rewrittent from
	  scratch to make it NON-GPL.

2009-08-07  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Projects/DotNetProject.cs: After loading a
	  project, reset any previously allocated resource handler,
	  since the naming policy may have changed. Fixes bug #481898.

2009-08-07  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Projects/ProjectService.cs:
	* MonoDevelop.Projects.Dom.Serialization/CodeCompletionDatabase.cs:
	  Fix type counters.

	* MonoDevelop.Projects.Formats.MSBuild/MSBuildProjectHandler.cs:
	  Fix memory leak caused by unsubscribed event.

2009-08-06  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Projects/Solution.cs:
	* MonoDevelop.Projects/ProjectService.cs:
	* MonoDevelop.Projects/SolutionEntityItem.cs:
	* MonoDevelop.Projects.Dom.Parser/ProjectDomService.cs:
	* MonoDevelop.Projects.Dom.Serialization/CodeCompletionDatabase.cs:
	* MonoDevelop.Projects.Dom.Serialization/ProjectCodeCompletionDatabase.cs:
	* MonoDevelop.Projects.Dom.Serialization/AssemblyCodeCompletionDatabase.cs:
	  Added some counters.

2009-08-05  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Projects.Dom/DomReturnType.cs: Added bool as
	  static return type.

2009-08-05  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Projects/ProjectService.cs:
	* MonoDevelop.Projects/SolutionConfiguration.cs: Updated
	  license. Those files were rewritten long time ago.

2009-08-04  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Projects.Formats.MSBuild/MSBuildProjectService.cs:
	  Escape/unscape special character when writing/reading file
	  names. Fixes bug #526353.

2009-08-04  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Projects/SolutionFolder.cs:
	* MonoDevelop.Projects/SolutionItemEventArgs.cs: When firing
	  the ItemRemoved event, provide the parent solution in the
	  args (the ParentSolution property of the item is already
	  reset at this stage).

2009-08-04  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Projects.Dom/DomMethod.cs: Fixed constructor xml
	  documentation from monodoc source.

2009-08-03  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Projects.Dom/IMember.cs:
	* MonoDevelop.Projects.Dom/DomMethod.cs:
	* MonoDevelop.Projects.Dom/CopyDomVisitor.cs:
	* MonoDevelop.Projects.Dom/DomMemberDecorator.cs:
	* MonoDevelop.Projects.Dom/DomCecilCompilationUnit.cs:
	* MonoDevelop.Projects.Dom.Serialization/AssemblyCodeCompletionDatabase.cs:
	  Load xml documentation for referenced assemblies (doc need
	  to have the same full path with ".xml" extension instead of
	  ".dll")

2009-08-03  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Projects.Dom.Output/AmbienceService.cs: fixed
	  bug in GetDocumentation method.

2009-08-01  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Projects.Dom/DomType.cs:
	* MonoDevelop.Projects.Dom/IReturnType.cs:
	* MonoDevelop.Projects.Dom/CopyDomVisitor.cs:
	* MonoDevelop.Projects.Dom/DomCecilCompilationUnit.cs: Fixed
	  "Bug 527337 - Wrong return type in code competion (should be
	  array of string instead of string)".

2009-07-31  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Projects.Dom.Serialization/ProjectCodeCompletionDatabase.cs:
	  Resolve corlib name for the current runtime version. Fixes
	  errors with Moonlight and iPhone addins.

2009-07-31  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Projects/ProjectReference.cs: Don't try to
	  resolve assemblies before project (and hence target
	  framework) is set.

2009-07-31  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Projects/SolutionFolder.cs: When reloading an
	  item, make sure parent add/remove events are sent tot he
	  parent solution.

2009-07-31  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Projects.Formats.MSBuild/MSBuildProject.cs:
	  Preserve empty lines at the end of the file.

2009-07-31  Lluis Sanchez Gual  <lluis@novell.com>

	* Makefile.am:
	* MonoDevelop.Projects.csproj:
	* MonoDevelop.Projects.Formats.MSBuild/RemoteProjectBuilder.cs:
	* MonoDevelop.Projects.Formats.MSBuild/MSBuildProjectHandler.cs:
	* MonoDevelop.Projects.Formats.MSBuild/MSBuildProjectService.cs:
	  When trying to build a project using msbuild and the target
	  runtime is not the running runtime, load the msbuild project
	  in a separate process.

2009-07-30  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Projects.Dom.Output/AmbienceService.cs: Worked
	  on formatting xml documentation.

2009-07-30  Lluis Sanchez Gual  <lluis@novell.com>

	* Makefile.am:
	* MonoDevelop.Projects.csproj:
	* MonoDevelop.Projects.Formats.MSBuild/RemoteLogger.cs:
	* MonoDevelop.Projects.Formats.MSBuild/MSBuildProjectHandler.cs:
	* MonoDevelop.Projects.Formats.MSBuild/RemoteLoggerController.cs:
	  Add support for building with xbuild.

	* MonoDevelop.Projects.Extensions/IFileFormat.cs: Add some
	  documentation.

2009-07-29  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Projects.CodeGeneration/IRefactorer.cs:
	* MonoDevelop.Projects.CodeGeneration/CodeRefactorer.cs:
	* MonoDevelop.Projects.CodeGeneration/BaseRefactorer.cs: Added
	  the functionalaty to search inside xml documentation.

2009-07-29  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Projects.Formats.MSBuild/MSBuildProjectHandler.cs:
	  When loading a project, if no framework is specified, it
	  means the format is VS2005, so the default framework must be
	  2.0.

	* MonoDevelop.Projects.Formats.MSBuild/MSBuildFileFormat.cs:
	  The 3.0 and 3.5 frameworks are allowed in VS2005, but they
	  are not supported natively, so the target framework element
	  should not be written for those.

2009-07-28  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Projects.Formats.MSBuild/MSBuildProjectHandler.cs:
	  Temporary workaround for bug 526176.

2009-07-28  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Projects.Formats.MSBuild/MSBuildFileFormat.cs:
	  The MSBuild file format can write all types of projects. If
	  there isn't a handler for a project, will use a generic
	  handler.


2009-07-28  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Projects.Formats.MSBuild/MSBuildFileFormat.cs:
	  Added missing null check.

2009-07-28  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Projects.Dom.Serialization\CodeCompletionDatabase.cs:
	  Use FileShare.Read when opening a pidb file. This is
	  required since the file has to be copied if it is already
	  open.

2009-07-28  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Projects.Formats.MSBuild/MSBuildFileFormat.cs:
	  Add support for fx 3.0 and 3.5 in the VS 2005 file format.
	  VS 2005 can reference 3.0 and 3.5 assemblies if the
	  corresponding frameworks are installed.

2009-07-28  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Projects.Formats.MSBuild/MSBuildProjectHandler.cs:
	  When reading a VS 2005 project, if no framework is
	  specified, use 2.0 as default.

	* MonoDevelop.Projects.addin.xml: Change order of file
	  formats, so the most recent formats are shown first in the
	  lists and combos.

2009-07-28  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Projects.Dom/DomType.cs: Fixed IsAccessible for
	  types (fixing failing unit test).

2009-07-28  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Projects.Formats.MSBuild/MSBuildProjectHandler.cs:
	  Get the project name of a project reference from the path,
	  since the Name attribute may other stuff other than the
	  name.


2009-07-28  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Projects/SolutionItem.cs:
	* MonoDevelop.Projects.Formats.MSBuild/MSBuildFileFormat.cs:
	  Re-enabled check for supported frameworks when checking if
	  msbuild can write a project.

2009-07-28  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Projects/ProjectService.cs: In ReadSolutionItem
	  reset the NeedsReload flag after going through the whole
	  extension chain.

2009-07-27  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Projects/ProjectService.cs: Allow setting the
	  default framework.

2009-07-27  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Projects.Formats.MSBuild/MSBuildFileFormat.cs:
	  Revert change that is causing a regression.

2009-07-27  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Projects/FileFormat.cs:
	* MonoDevelop.Projects.Formats.MSBuild/MSBuildFileFormat.cs:
	* MonoDevelop.Projects.Formats.MSBuild/MSBuildProjectHandler.cs:
	  Don't allow saving VS project files targeting a framework
	  version which is not supported by the file format (e.g.
	  VS2005 files can't target .net 3.5).

	* MonoDevelop.Projects/DotNetProject.cs: Improved check for
	  supported frameworks.

	* Makefile.am:
	* MonoDevelop.Projects.csproj: Remove unused file.

2009-07-27  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Projects/SolutionFolder.cs:
	* MonoDevelop.Projects/SolutionFolderItemCollection.cs: Allow
	  moving an item between solution folders without having to
	  remove it from the solution. Now the add method will do a
	  move if the item already belongs to another folder.

	* MonoDevelop.Projects/SolutionItemCollection.cs: Remove
	  unused class.

2009-07-24  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Projects/DotNetProject.cs:
	* MonoDevelop.Projects/ProjectReference.cs: Properly rename
	  project references when a project is renamed.

	* MonoDevelop.Projects/IWorkspaceObject.cs: Added new methods.

2009-07-24  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Projects/DotNetProjectBinding.cs: Track api
	  changes.

	* MonoDevelop.Projects/ProjectCreateInformation.cs: Rewritten.

2009-07-22  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Projects/ProjectReference.cs: When checking if a
	  reference is the exact version, compare only the name and
	  version, and ignore other fields such as
	  processorArchitecure. Fixes bug #429257 -
	  processorArchitecture present in referenced assembly name
	  breaks build.

2009-07-22  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Projects/CustomCommand.cs: Strip the command
	  arguments when checking if the execution context supports
	  the command.

2009-07-22  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Projects/Project.cs:
	* MonoDevelop.Projects/DotNetProject.cs:
	* MonoDevelop.Projects/ProjectReference.cs: When an assembly
	  file is created or deleted, check if there is any reference
	  to that assembly, and notify a status change if required.

2009-07-21  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Projects/CustomCommand.cs: Added missing null
	  check. Fixes bug #521694 - Empty project custom command
	  breaks build/run cycle.

2009-07-21  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Projects.Formats.MSBuild/MSBuildProjectHandler.cs:
	  Added try/catch for IsWellFormadUriString, since old mono
	  versions may crash there. Fixes bug #520451 - MD SVN can not
	  open Old Project without errors. Based on a patch by Adam
	  Petaccia.

2009-07-20  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Projects.Text/CodeFormatDescription.cs: Made it
	  easier to track a specific pretty print settings description
	  bug.

2009-07-20  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Projects.CodeGeneration/CodeRefactorer.cs: Added
	  some null checks.

2009-07-09  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Projects.Dom/AbstractMember.cs: fixed possible
	  null reference.

2009-07-09  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Projects.Dom/AbstractMember.cs: Fixed
	  isAccessible.

2009-07-09  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Projects.Dom/AbstractMember.cs: Fixed
	  isaccessible bug.

2009-07-03  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Projects.Dom/IType.cs:
	* MonoDevelop.Projects.Dom/DomType.cs:
	* MonoDevelop.Projects.Dom/CompilationUnit.cs:
	* MonoDevelop.Projects.Dom/ICompilationUnit.cs: Worked on
	  refactoring support.

2009-07-02  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Projects/CustomCommandExtension.cs: Track api
	  changes.

2009-07-01  Mike Krüger  <mkrueger@novell.com>

	* Makefile.am:
	* MonoDevelop.Projects.csproj:
	* MonoDevelop.Projects.addin.xml:
	* MonoDevelop.Projects.Dom.Refactoring/Change.cs:
	* MonoDevelop.Projects.Dom.Refactoring/Refactoring.cs:
	* MonoDevelop.Projects.CodeGeneration/CodeRefactorer.cs:
	* MonoDevelop.Projects.CodeGeneration/RefactorerContext.cs:
	* MonoDevelop.Projects.Dom.Refactoring/RefactoringService.cs:
	  Moved refactoring infrastructure to MonoDevelop.Refactoring.

2009-07-01  Lluis Sanchez Gual  <lluis@novell.com>

	* Makefile.am:
	* MonoDevelop.Projects.csproj:
	* MonoDevelop.Projects/PropertyBag.cs: Moved PropertyBag to
	  MD.Core.

	* MonoDevelop.Projects/DotNetProject.cs: Make a copy of the
	  configuration env vars, since vars can change.

	* MonoDevelop.Projects.Formats.MSBuild/MSBuildProjectService.cs:
	  Use a const field for DefaultFormat instead of a property.

2009-06-26  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Projects.addin.xml:
	* MonoDevelop.Projects.Dom.Refactoring/Change.cs:
	* MonoDevelop.Projects.Dom.Refactoring/Refactoring.cs:
	* MonoDevelop.Projects.CodeGeneration/CodeRefactorer.cs:
	* MonoDevelop.Projects.Dom.Refactoring/RefactoringService.cs:
	  Worked on refactoring.

2009-06-26  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Projects.Formats.MSBuild/MSBuildProjectService.cs:
	  Get the default msbuild file format from a const property.

2009-06-26  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Projects/ProjectService.cs: Upgrade default
	  framework to 3.5.

2009-06-25  Lluis Sanchez Gual  <lluis@novell.com>

	* Makefile.am:
	* MonoDevelop.Projects.csproj:
	* MonoDevelop.Projects.Policies/PolicyBag.cs:
	* MonoDevelop.Projects.Policies/PolicySet.cs:
	* MonoDevelop.Projects.Policies/ScopedPolicy.cs:
	* MonoDevelop.Projects.Policies/PolicyService.cs:
	* MonoDevelop.Projects.Policies/PolicyContainer.cs:
	* MonoDevelop.Projects.Policies/PolicyDictionary.cs: Convert
	  IPolicyContainer into a new PolicyContainer class, which is
	  now the base class for PolicyBag and PolicySet. Refactored
	  most of funcitonality from PolicyBag and PolicySet into
	  PolicyContainer. All this was required due to a bug in the
	  mono 2.0 compiler.

2009-06-25  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Projects.Dom.Serialization/CodeCompletionDatabase.cs:
	  Added some still unused verification code.

2009-06-25  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Projects/Solution.cs:
	* MonoDevelop.Projects/SolutionItem.cs:
	* MonoDevelop.Projects/WorkspaceItem.cs: Added property bag
	  which can be used to store per-user properties.

	* MonoDevelop.Projects/PropertyBag.cs: Implement IDisposable,
	  which disposes the contained values. Added Remove method.

2009-06-23  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Projects.Dom.Parser/AbstractParser.cs: Use the
	  new DesktopService instead of PlatformService.

2009-07-23  Carlo Kok  <ck@remobjects.com>
	* MonoDevelop.Projects/UnknownProjectVersionException.cs: Deleted
	* MonoDevelop.Projects.Formats.MD1/CmbxFileFormat.cs:
	* MonoDevelop.Projects.Formats.MD1/MD1FileFormat.cs: New 
	  exception & removed references to the old one.

2009-06-23  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Projects/Project.cs:
	* MonoDevelop.Projects/DotNetProject.cs:
	* MonoDevelop.Projects/DotNetProjectConfiguration.cs:
	* MonoDevelop.Projects/AbstractProjectConfiguration.cs: Use
	  new FilePath class.

2009-06-22  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Projects/ProjectReference.cs: Fix build.

2009-06-22  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Projects/ProjectReference.cs: Use
	  StoredReference to compare references, since it never
	  changes, and Reference may change (depending on the current
	  framework). Improved error message.

	* MonoDevelop.Projects/DotNetProject.cs: There is no need to
	  re-add references which don't change. ResetReference will no
	  fire a StatusChanged event and the solution pad will be
	  updated.

2009-06-22  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Projects/ProjectReference.cs: Notify changes in
	  SpecificVersion.

2009-06-22  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Projects/ProjectReference.cs: Notify changes in
	  the status of the reference.

	* MonoDevelop.Projects/DotNetProject.cs: Update the project
	  references when the default runtime changes.

2009-06-19  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Projects.Dom.Output/OutputFlags.cs:
	* MonoDevelop.Projects.Dom.Output/OutputSettings.cs: Fixed
	  "Bug 514563 - Inconsistent treatment of nullable types for
	  comments and information".

2009-06-18  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Projects.Formats.MD1/MD1DotNetProjectHandler.cs:
	  Don't report the error about missing resgen if the tool is
	  not really necessary.

2009-06-18  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Projects.Dom\AbstractMember.cs: Allow internal
	  visibility between types from a file not bound to a project.

2009-06-17  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Projects.Formats.MD1/CmbxFileFormat.cs: Don't
	  reuse this serializer for children, since it has
	  solution-specific serialization code.

2009-06-16  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Projects/BuildResult.cs: Make Append more usable
	  by returning 'this' so it can be chained more easily. Also
	  ignore null values.

2009-06-16  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Projects.Policies/PolicyService.cs: Don't stop
	  with an error if a policy type is not known. The policy type
	  may be defined by an add-in which is not installed. Instead,
	  create a dummy policy object and serialize it back when
	  saving.

2009-06-15  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Projects/ProjectReference.cs: Use
	  TargetFramework for assembly lookups. Prioritize framework
	  assemblies over GAC assemblies.

	* MonoDevelop.Projects.Dom.Parser/IParserDatabase.cs:
	* MonoDevelop.Projects.Dom.Parser/ProjectDomService.cs:
	* MonoDevelop.Projects.Dom.Serialization/ParserDatabase.cs:
	* MonoDevelop.Projects.Dom.MemoryDatabase/MemoryDatabase.cs:
	* MonoDevelop.Projects.Dom.Serialization/ProjectCodeCompletionDatabase.cs:
	* MonoDevelop.Projects.Dom.Serialization/AssemblyCodeCompletionDatabase.cs:
	  Track assembly lookup APIs.

2009-06-11  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Projects/DotNetProject.cs: Track api changes.

2009-06-10  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Projects.Formats.MSBuild\MSBuildProjectHandler.cs:
	  Ignore WebReferences and WebReferenceUrl items. We don't
	  support them.

2009-06-10  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Projects.Formats.MD1\MD1DotNetProjectHandler.cs:
	  Show a proper error message when resgen can't be found.

2009-06-09  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Projects.Dom/Error.cs: Fix minor bug in one of
	  the constructors that caused it to ignore the errorType.

2009-06-09  Carlo Kok  <ck@remobjects.com>
	* MonoDevelop.Projects.Dom/ITypeParameter.cs:
	* MonoDevelop.Projects.Dom/TypeParameter.cs:
	* MonoDevelop.Projects.Dom/DomCecilMethod.cs:
	* MonoDevelop.Projects.Dom/DomCecilType.cs:
	* MonoDevelop.Projects.Dom/InstantiatedParameterType.cs: Type 
	  parameter variance support.
	* MonoDevelop.Projects.Dom/IParameter.cs:
	* MonoDevelop.Projects.Dom/DomParameter.cs:
	* MonoDevelop.Projects.Dom/DomCecilParameter.cs: Default 
	  parameter value support.
	* MonoDevelop.Projects.Dom.Serialization/CodeCompletionDatabase.cs:
	* MonoDevelop.Projects.Dom.Serialization/DomPersistence.cs:
	  Store generic variance & default parameter values properly

2009-06-09  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Projects.Policies/PolicyBag.cs: Fix MS.NET build
	  issue.

2009-06-09  Lluis Sanchez Gual  <lluis@novell.com>

	* Makefile.am:
	* MonoDevelop.Projects.csproj:
	* MonoDevelop.Projects.Ambience:
	* MonoDevelop.Projects/ConvertXml.cs:
	* MonoDevelop.Projects/SolutionItem.cs:
	* MonoDevelop.Projects/SolutionFolder.cs:
	* MonoDevelop.Projects/IProjectService.cs:
	* MonoDevelop.Projects/CombineEventArgs.cs:
	* MonoDevelop.Projects.Ambience/Ambience.cs:
	* MonoDevelop.Projects.Ambience/NetAmbience.cs:
	* MonoDevelop.Projects/ProjectRenameEventArgs.cs:
	* MonoDevelop.Projects.Ambience/AmbienceService.cs:
	* MonoDevelop.Projects.Ambience/ConversionFlags.cs:
	* MonoDevelop.Projects/CyclicDependencyException.cs:
	* MonoDevelop.Projects/CyclicBuildOrderException.cs: Removed
	  some unused files. Rewrote CyclicBuildOrderException. Based
	  on a patch by Carlo Kok.

2009-06-09  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Projects.Text/IPrettyPrinter.cs: Add support for
	  per-mimetype policies.

2009-06-09  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Projects.Policies/PolicyBag.cs:
	* MonoDevelop.Projects.Policies/PolicySet.cs:
	* MonoDevelop.Projects.Policies/PolicyService.cs:
	* MonoDevelop.Projects.Policies/PolicyChangedEventArgs.cs:
	  Added support for scoped policies (where scope can be a mime
	  type).

	* MonoDevelop.Projects.addin.xml: Added policy set for VS
	  settings.

	* MonoDevelop.Projects.Text/IFormatter.cs: Fixed to support
	  per mime-type formatting.

2009-06-05  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Projects.addin.xml:
	* MonoDevelop.Projects.Text/TextFileService.cs:
	* MonoDevelop.Projects.Text/CodeFormatDescription.cs: Worked
	  on code formatting.

2009-06-04  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Projects.Dom/IType.cs:
	* MonoDevelop.Projects.Dom/DomType.cs:
	* MonoDevelop.Projects.Dom/DomCecilType.cs:
	* MonoDevelop.Projects.Dom/CopyDomVisitor.cs:
	* MonoDevelop.Projects.Dom/DomCecilCompilationUnit.cs:
	* MonoDevelop.Projects.Dom.Serialization/ClassEntry.cs:
	* MonoDevelop.Projects.Dom.Serialization/DomTypeProxy.cs:
	* MonoDevelop.Projects.Dom.Serialization/DomPersistence.cs:
	* MonoDevelop.Projects.Dom.Serialization/CodeCompletionDatabase.cs:
	  Fixed "Bug 509620 - Auto-completion shows empty constructor
	  when there are no constructors available (because of being
	  private)".

2009-06-04  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Projects.Dom/DomCecilProperty.cs: Indexers may
	  have a name other than Item.

2009-05-27  Carlo Kok  <ck@remobjects.com>
	* MonoDevelop.Projects.Dom/IMember.cs: 
	* MonoDevelop.Projects.Dom/Namespace.cs:
	* MonoDevelop.Projects.Dom/DomEvent.cs:
	* MonoDevelop.Projects.Dom/DomField.cs:
	* MonoDevelop.Projects.Dom/DomMemberDecorator.cs:
	* MonoDevelop.Projects.Dom/DomMethod.cs:
	* MonoDevelop.Projects.Dom/AbstractMember.cs: added MemberType 
	  property to distinguish between different member types

	* MonoDevelop.Projects.Dom/IReturnType.cs:
	* MonoDevelop.Projects.Dom/DomReturnType.cs:
	* MonoDevelop.Projects.Dom/DomCecilMethod.cs: Added pointer to 
	  array support to IReturnType and cecil loading
	
	* MonoDevelop.Projects.Dom/IType.cs:
	* MonoDevelop.Projects.Dom/InstantiatedParameterType.cs: enum to 
	  distinguish between the different types.

	* MonoDevelop.Projects.Dom/DomType.cs: enum to distinguish between the 
	  different types. Small optimization to use the new enum for member
	  enumeration.

2009-06-02  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Projects.Dom.Serialization/ClassEntry.cs: Avoid
	  calling Class.ToString() since it may end recursively
	  calling ClassEntry.ToString().

2009-05-29  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Projects\DotNetProjectConfiguration.cs: Added
	  TargetRuntime property.

	* MonoDevelop.Projects.Formats.MD1\MD1DotNetProjectHandler.cs:
	  Rely on the runtime to get the correct path for resgen.

2009-05-26  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Projects.Policies/PolicySet.cs: Avoid throwing
	  some exceptions using preventive checks. Patch by Carlo Kok.

2009-05-25  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Projects\SolutionItem.cs: Optimized
	  GetBuildableReferencedItems.

2009-05-24  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Projects.Formats.MSBuild/SlnFileFormat.cs:
	  Remove useless leftover code.

2009-05-21  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Projects.Dom.Serialization/CodeCompletionDatabase.cs:
	* MonoDevelop.Projects.Dom.Serialization/ProjectCodeCompletionDatabase.cs:
	  Fix nullref when initializing the parser database (project
	  was not set).

2009-05-20  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Projects.Dom.Parser/CommentTasksChangedEventHandler.cs:
	  Properly store the project.

2009-05-20  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Projects.Dom.Serialization\CodeCompletionDatabase.cs:
	* MonoDevelop.Projects.Dom.Parser\CommentTasksChangedEventHandler.cs:
	  Provide the source project when notifying changes in comment
	  tasks.

	* MonoDevelop.Projects.Dom.Parser\ProjectDomService.cs: Moved
	  initialization of the parser database to the constructor.
	  Provide the source project when notifying changes in comment
	  tasks.

	* MonoDevelop.Projects.Dom.Serialization\DomTypeProxy.cs: If
	  something goes wrong when loading a class, attach it to
	  itself to avoid repeated crashes trying to load.

	* MonoDevelop.Projects.Dom.Serialization\AssemblyCodeCompletionDatabase.cs:
	  Properly escape drive separator when creating the file name
	  for cc databases.

2009-05-19  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Projects/Solution.cs:
	* MonoDevelop.Projects/SolutionItem.cs:
	* MonoDevelop.Projects/SolutionEntityItem.cs:
	* MonoDevelop.Projects/UnknownSolutionItem.cs:
	* MonoDevelop.Projects.CodeGeneration/RefactorerContext.cs:
	  More FilePath comparison fixes.

2009-05-19  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Projects.CodeGeneration/BaseRefactorer.cs:
	  Workaround for what seems to be a mcs bug. Looks like it
	  can't properly resolve the implicit conversion of null to
	  string.

2009-05-19  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Projects\Project.cs:
	* MonoDevelop.Projects\Solution.cs:
	* MonoDevelop.Projects\Workspace.cs:
	* MonoDevelop.Projects\IFileItem.cs:
	* MonoDevelop.Projects\ProjectFile.cs:
	* MonoDevelop.Projects\FileCopySet.cs:
	* MonoDevelop.Projects\IFolderItem.cs:
	* MonoDevelop.Projects\SolutionItem.cs:
	* MonoDevelop.Projects.Text\TextFile.cs:
	* MonoDevelop.Projects\DotNetProject.cs:
	* MonoDevelop.Projects\CustomCommand.cs:
	* MonoDevelop.Projects\WorkspaceItem.cs:
	* MonoDevelop.Projects\SolutionFolder.cs:
	* MonoDevelop.Projects\ProjectService.cs:
	* MonoDevelop.Projects.Text\ITextFile.cs:
	* MonoDevelop.Projects.Dom\CompoundType.cs:
	* MonoDevelop.Projects\IWorkspaceObject.cs:
	* MonoDevelop.Projects\SolutionEntityItem.cs:
	* MonoDevelop.Projects.Dom\CompilationUnit.cs:
	* MonoDevelop.Projects\UnknownSolutionItem.cs:
	* MonoDevelop.Projects.Dom\ICompilationUnit.cs:
	* MonoDevelop.Projects\UnknownWorkspaceItem.cs:
	* MonoDevelop.Projects\ProjectFileEventArgs.cs:
	* MonoDevelop.Projects.Dom.Parser\ProjectDom.cs:
	* MonoDevelop.Projects.Extensions\IFileFormat.cs:
	* MonoDevelop.Projects.Text\ITextFileProvider.cs:
	* MonoDevelop.Projects\ProjectServiceExtension.cs:
	* MonoDevelop.Projects.Formats.MD1\MD1FileFormat.cs:
	* MonoDevelop.Projects.CodeGeneration\IRefactorer.cs:
	* MonoDevelop.Projects.CodeGeneration\RefactorerContext.cs:
	* MonoDevelop.Projects\ProjectPathItemPropertyAttribute.cs:
	* MonoDevelop.Projects.Formats.MSBuild\MSBuildFileFormat.cs:
	* MonoDevelop.Projects.Dom.MemoryDatabase\MemoryProjectDom.cs:
	* MonoDevelop.Projects.Dom.Serialization\DatabaseProjectDom.cs:
	* MonoDevelop.Projects.Dom.MemoryDatabase\ProjectMemoryProjectDom.cs:
	* MonoDevelop.Projects.Dom.Serialization\ProjectCodeCompletionDatabase.cs:
	  Use the new FilePath class for handling file and directory
	  paths.

2009-05-12  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Projects.Dom.Output/OutputFlags.cs:
	* MonoDevelop.Projects.Dom.Output/OutputSettings.cs: Fixed
	  "Bug 501999 - Intellisense completion of new array: put
	  cursor inside brackets".

2009-05-11  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Projects.Policies\PolicyService.cs: Use new
	  method for renaming files.

	* MonoDevelop.Projects.Text\TextFile.cs: Fixed file content
	  decoding code. Use new api for doing atomic renames.

2009-05-08  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Projects.Formats.MSBuild\MSBuildProjectService.cs:
	  Avoid case insensitive path check when running on windows.

	* MonoDevelop.Projects.Text\TextFile.cs: Syscall.rename
	  doesn't work on windows. Added a replacement.

2009-05-08  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Projects.Dom/DomMethod.cs:
	* MonoDevelop.Projects.Dom/ResolveResult.cs:
	* MonoDevelop.Projects.Dom/CopyDomVisitor.cs: Fixed failing
	  unit test.

2009-05-08  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Projects.Dom/ResolveResult.cs: Finally tracked &
	  fixed a code completion lookup bug. This one never occured
	  until a bugfix for a minor code completion issue. 

2009-05-05  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Projects.Dom.Parser/TypeResolverVisitor.cs:
	  Fixed possible null reference exception (Bug 500612 -
	  Frequent NRE on the typeResolver).

2009-05-04  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Projects.Formats.MSBuild/MSBuildProjectHandler.cs:
	  Add another assembly name casing hack, for silverlight's
	  "system".

2009-05-04  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Projects.Dom.Serialization/ProjectCodeCompletionDatabase.cs:
	  Add all project files to the parse DB, since some files may
	  generate type information but not be "compiled".

2009-05-04  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Projects.csproj: Disable overflow checking.

2009-04-30  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Projects.addin.xml: Registered code formatting
	  policy.

2009-04-29  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Projects/DotNetProject.cs: The configuration
	  provided to OnGetCanExecute is the solution configuration,
	  so GetActiveConfiguration has to be used to get the correct
	  project config. Fix by Zach Lute.

2009-04-29  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Projects/SolutionConfiguration.cs: When copying
	  the configuration don't overwrite the parent solution if it
	  is already set.

2009-04-28  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Projects/LanguageBindingService.cs: Warn about
	  requesting bindings for null languages or filenames. Ideally
	  we'd throw exceptions, but that would likely cause
	  regressions.

2009-04-28  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Projects/ProjectService.cs:
	* MonoDevelop.Projects/SolutionItemReference.cs: When creating
	  a SolutionItemReference use a special id for root folders,
	  since the id for those is not stored.

2009-04-27  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Projects/DotNetProject.cs: Fix nullref.

2009-04-27  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Projects.Formats.MSBuild/MSBuildProjectHandler.cs:
	  Throw an error when trying to load a project of an unknown
	  type. Fixes bug #497351 - MD opens projects with subtype
	  GUIDs it cannot handle.

	* MonoDevelop.Projects.Formats.MSBuild/SlnFileFormat.cs: If
	  there is an error while loading the project of a solution,
	  create the project as an UnknownSolutionItem, so it will
	  still be shown in the solution pad.

2009-04-27  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Projects/DotNetProject.cs: Fixed possible
	  endless loop.

2009-04-27  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Projects.csproj:
	* MonoDevelop.Projects/DotNetProject.cs:
	* MonoDevelop.Projects/ILanguageBinding.cs:
	* MonoDevelop.Projects/ProjectsServices.cs:
	* MonoDevelop.Projects/DotNetProjectBinding.cs:
	* MonoDevelop.Projects/LanguageBindingService.cs:
	* MonoDevelop.Projects.Dom.Output/AmbienceService.cs:
	* MonoDevelop.Projects.CodeGeneration/CodeRefactorer.cs:
	  Reimplemented language binding service.

2009-04-24  Mike Krüger  <mkrueger@novell.com>

	* Makefile.am:
	* MonoDevelop.Projects.csproj: 

	* MonoDevelop.Projects.Dom.Serialization/IParserService.cs:
	  Removed some unused code.

2009-04-23  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Projects.Text/TextEncoding.cs: Added some
	  encodings.

	* MonoDevelop.Projects.Text/TextFile.cs: Re-enabled the check
	  for user selected encodings when opening a file. Use
	  PtrToStringAnsi instead of PtrToStringAuto, which gives
	  wrong values in windows.

2009-04-21  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Projects/ProjectService.cs: GetTargetFile should
	  do nothing in windows.

2009-04-20  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Projects/ILanguageBinding.cs: Track comment tag
	  API.

2009-04-20  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Projects/DotNetProject.cs:
	* MonoDevelop.Projects/CustomCommand.cs: Track
	  IExecutionHandler api changes.

2009-04-17  Mike Kestner  <mkestner@novell.com>

	* MonoDevelop.Projects.csproj: remove TreatWarningsAsErrors as
	we have obsolete warnings in System.Xml 3.5 on .net.

2009-04-17  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Projects/BuildResult.cs: Added clear method.

2009-04-17  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Projects/Project.cs:
	* MonoDevelop.Projects/DotNetProject.cs:
	* MonoDevelop.Projects/IDotNetLanguageBinding.cs: Removed icon
	  service.

2009-04-16  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Projects.Dom.Serialization/AssemblyCodeCompletionDatabase.cs:
	  Correct the argument ordering in GenerateDatabase call.
	  Should fix generation of code completion databases.

2009-04-16  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Projects/DotNetProject.cs:
	* MonoDevelop.Projects/ProjectService.cs:
	* MonoDevelop.Projects/ProjectReference.cs:
	* MonoDevelop.Projects/DotNetProjectConfiguration.cs:
	* MonoDevelop.Projects.Dom.Parser/IParserDatabase.cs:
	* MonoDevelop.Projects.Dom.Parser/ProjectDomService.cs:
	* MonoDevelop.Projects.Dom.Serialization/ParserDatabase.cs:
	* MonoDevelop.Projects.Dom.MemoryDatabase/MemoryDatabase.cs:
	* MonoDevelop.Projects.Formats.MSBuild/MSBuildProjectHandler.cs:
	* MonoDevelop.Projects.Dom.MemoryDatabase/ProjectMemoryProjectDom.cs:
	* MonoDevelop.Projects.Dom.Serialization/ProjectCodeCompletionDatabase.cs:
	* MonoDevelop.Projects.Dom.Serialization/AssemblyCodeCompletionDatabase.cs:
	  Moved SystemAssemblyService and related classes to the
	  namespace MonoDevelop.Core.Assemblies.

2009-04-15  Lluis Sanchez Gual  <lluis@novell.com>

	* AssemblyInfo.cs:
	* MonoDevelop.Projects.addin.xml: Bump MD version.

2009-04-15  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Projects/DotNetProject.cs:
	* MonoDevelop.Projects/ProjectReference.cs:
	* MonoDevelop.Projects.Dom.Parser/IParserDatabase.cs:
	* MonoDevelop.Projects.Dom.Parser/ProjectDomService.cs:
	* MonoDevelop.Projects.Dom.Serialization/ParserDatabase.cs:
	* MonoDevelop.Projects.Dom.MemoryDatabase/MemoryDatabase.cs:
	* MonoDevelop.Projects.Dom.MemoryDatabase/ProjectMemoryProjectDom.cs:
	* MonoDevelop.Projects.Dom.Serialization/SimpleCodeCompletionDatabase.cs:
	* MonoDevelop.Projects.Dom.Serialization/ProjectCodeCompletionDatabase.cs:
	* MonoDevelop.Projects.Dom.Serialization/AssemblyCodeCompletionDatabase.cs:
	  Track api changes to support multiple target runtimes.

2009-04-07  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Projects.CodeGeneration/IRefactorer.cs:
	* MonoDevelop.Projects.CodeGeneration/BaseRefactorer.cs:
	* MonoDevelop.Projects.CodeGeneration/INameValidator.cs: Added
	  name validator for "Bug 414735 - Rename refactoring should
	  not allow invalid names".

	* Makefile.am:
	* MonoDevelop.Projects.csproj: 

2009-04-07  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Projects.CodeGeneration/IRefactorer.cs:
	* MonoDevelop.Projects.CodeGeneration/CodeRefactorer.cs:
	* MonoDevelop.Projects.CodeGeneration/BaseRefactorer.cs:
	  Implemented "Bug 492675 - New line & ; at end of line".

2009-04-06  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Projects.Dom/IType.cs:
	* MonoDevelop.Projects.Dom/IReturnType.cs:
	* MonoDevelop.Projects.Dom/ResolveResult.cs:
	* MonoDevelop.Projects.Dom.Parser/ProjectDom.cs:
	* MonoDevelop.Projects.CodeGeneration/IRefactorer.cs:
	* MonoDevelop.Projects.CodeGeneration/CodeRefactorer.cs:
	* MonoDevelop.Projects.CodeGeneration/BaseRefactorer.cs: Added
	  "resolve namespace" feature.

2009-04-03  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Projects.Dom/DomType.cs:
	* MonoDevelop.Projects.Dom/DomMethod.cs: Added extension
	  methods icons.

2009-04-03  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Projects.Dom/IMethod.cs:
	* MonoDevelop.Projects.Dom/DomType.cs:
	* MonoDevelop.Projects.Dom/DomMethod.cs:
	* MonoDevelop.Projects.Dom/ResolveResult.cs:
	* MonoDevelop.Projects.Dom/CopyDomVisitor.cs:
	* MonoDevelop.Projects.Dom/ExtensionMethod.cs:
	* MonoDevelop.Projects.Dom/InstantiatedType.cs: Worked on
	  issues resolving extension methods.

2009-04-03  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Projects.Dom/ExpressionContext.cs: Fixed "Bug
	  491019 - No intellisense for recursive generics".

2009-04-02  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Projects.Dom/DomType.cs:
	* MonoDevelop.Projects.Dom/DomReturnType.cs: Fixed "Bug 491017
	  - No intellisense for static LINQ queries".

2009-04-02  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Projects.Dom/AbstractMember.cs: Fixed unit test.

2009-04-02  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Projects.Dom/DomMethod.cs: Fixed anonymous
	  types.

2009-04-02  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Projects.Dom/DomType.cs:
	* MonoDevelop.Projects.Dom/DomMethod.cs:
	* MonoDevelop.Projects.Dom/ExtensionMethod.cs:
	* MonoDevelop.Projects.Dom.Parser/ProjectDom.cs: Fixed failing
	  unit test.

2009-04-01  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Projects.Dom/IMethod.cs:
	* MonoDevelop.Projects.Dom/DomType.cs:
	* MonoDevelop.Projects.Dom/DomMethod.cs:
	* MonoDevelop.Projects.Dom/ExtensionMethod.cs: fixed "Bug
	  491016 - No intellisense for lambdas inside linq query".

2009-04-01  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Projects.Dom/DomType.cs: fixed "Bug 487226 - No
	  intellisense in LINQ queries".

2009-03-31  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Projects.Dom/DomType.cs:
	* MonoDevelop.Projects.Dom/DomMethod.cs:
	* MonoDevelop.Projects.Dom/ExtensionMethod.cs: Worked on C#3
	  lambda resolving.

2009-03-30  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Projects.Dom/FoldingRegion.cs: Track api
	  changes.

2009-03-27  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Projects.Dom.Output/AmbienceService.cs:
	* MonoDevelop.Projects.Dom.MemoryDatabase/MemoryDatabase.cs:
	* MonoDevelop.Projects.Dom.MemoryDatabase/MemoryProjectDom.cs:
	* MonoDevelop.Projects.Dom.MemoryDatabase/ProjectMemoryProjectDom.cs:
	  Worked on memory project dom.

	* Makefile.am:
	* MonoDevelop.Projects.csproj: 

2009-03-26  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Projects.Dom/Error.cs:
	* MonoDevelop.Projects.Dom/TypeParameter.cs:
	* MonoDevelop.Projects.Dom.Parser/ProjectDom.cs:
	* MonoDevelop.Projects.Dom.Parser/ProjectDomService.cs:
	* MonoDevelop.Projects.Dom.MemoryDatabase/NamespaceEntry.cs:
	* MonoDevelop.Projects.Dom.MemoryDatabase/MemoryProjectDom.cs:
	* MonoDevelop.Projects.Dom.Serialization/DatabaseProjectDom.cs:
	  Worked on project dom & unit tests.

2009-03-25  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Projects.Dom.Parser/ProjectDomService.cs: Added
	  the ability to set the parser factory.

	* MonoDevelop.Projects.Dom.MemoryDatabase:
	* MonoDevelop.Projects.Dom.MemoryDatabase/NamespaceEntry.cs:
	* MonoDevelop.Projects.Dom.MemoryDatabase/MemoryDatabase.cs:
	* MonoDevelop.Projects.Dom.MemoryDatabase/MemoryProjectDom.cs:
	* MonoDevelop.Projects.Dom.MemoryDatabase/AssemblyProjectDom.cs:
	  Added more advanced form of "simpleprojectdom" - this'll be
	  used in the unit test suite because the database layer seems
	  not to work on my pc. (and later for speed comparisons
	  against the serialization layer)

	* MonoDevelop.Projects.Dom/InstantiatedType.cs: Forced
	  GenericParameters are always != null (was missing)

	* MonoDevelop.Projects.Dom.Database:
	* MonoDevelop.Projects.Dom.Database/SqliteUtils.cs:
	* MonoDevelop.Projects.Dom.Database/DatabaseType.cs:
	* MonoDevelop.Projects.Dom.Database/DateTimeUtil.cs:
	* MonoDevelop.Projects.Dom.Database/DatabaseField.cs:
	* MonoDevelop.Projects.Dom.Database/DatabaseEvent.cs:
	* MonoDevelop.Projects.Dom.Database/DatabaseMethod.cs:
	* MonoDevelop.Projects.Dom.Database/DatabaseProperty.cs:
	* MonoDevelop.Projects.Dom.Database/DatabaseParameter.cs:
	* MonoDevelop.Projects.Dom.Database/DatabaseProjectDom.cs:
	* MonoDevelop.Projects.Dom.Database/HyenaSqliteCommand.cs:
	* MonoDevelop.Projects.Dom.Database/HyenaSqliteConnection.cs:
	* MonoDevelop.Projects.Dom.Database/CodeCompletionDatabase.cs:
	* MonoDevelop.Projects.Dom.Database/DatabaseColumnAttribute.cs:
	* MonoDevelop.Projects.Dom.Database/MonoDevelopDatabaseConnection.cs:
	  Removed old sqlite database layer

	* Makefile.am:
	* MonoDevelop.Projects.csproj: 

2009-03-24  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Projects.CodeGeneration/BaseRefactorer.cs: In
	  AddMembers, get the updated class after adding each member.
	  Make sure the main part of the class is used everywhere.
	  When getting the position of a member, explicitly add a
	  separator line if there is a member already present. That
	  was implicitly done in GetNextLine, but it was removed. All
	  this fixes bug #487934 - Stetic throws exception while
	  adding event to control.

2009-03-24  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Projects.Dom/DomMethod.cs:
	* MonoDevelop.Projects.Dom/ResolveResult.cs:
	* MonoDevelop.Projects.Dom/ExtensionMethod.cs: Worked on
	  lambda expression resolving (fixing Bug 487203 - Extension
	  methods not working)

2009-03-23  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Projects.Dom/DomMethod.cs: Fixed "Bug 487206 -
	  Intellisense not working".

2009-03-22  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Projects.Dom/IExpressionFinder.cs: Added support
	  for contextual templates.

2009-03-22  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Projects.Text/IFormatter.cs:
	* MonoDevelop.Projects.Dom/AnonymousType.cs:
	* MonoDevelop.Projects.Text/IPrettyPrinter.cs:
	* MonoDevelop.Projects.Dom/ExtensionMethod.cs:
	* MonoDevelop.Projects.Dom.Refactoring/Change.cs:
	* MonoDevelop.Projects.Text/XmlDefinitionCodon.cs:
	* MonoDevelop.Projects.Text/CodeFormatDescription.cs:
	* MonoDevelop.Projects.Dom.Refactoring/Refactoring.cs:
	* MonoDevelop.Projects.Dom.Refactoring/RefactoringService.cs:
	  Fixed headers.

2009-03-22  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Projects.Dom/DomType.cs: fixed possible null
	  reference.

2009-03-20  Mike Krüger  <mkrueger@novell.com>

	* Makefile.am:
	* MonoDevelop.Projects.csproj: 

	* MonoDevelop.Projects.Dom.Refactoring:
	* MonoDevelop.Projects.Dom.Refactoring/Change.cs:
	* MonoDevelop.Projects.Dom.Refactoring/Refactoring.cs:
	* MonoDevelop.Projects.Dom.Refactoring/RefactoringService.cs:
	  Started refactoring changes.

	* MonoDevelop.Projects.Dom/DomType.cs: Added GetComponentType
	  method.

2009-03-19  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Projects.Policies/PolicyBag.cs: Expose method
	  for getting policy directly from the bag without cacading or
	  creating default values.

2009-03-19  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Projects.Dom.Parser/ProjectDom.cs:
	* MonoDevelop.Projects.Dom.Serialization/DatabaseProjectDom.cs:
	* MonoDevelop.Projects.Dom.Serialization/CodeCompletionDatabase.cs:
	* MonoDevelop.Projects.Dom.Serialization/ProjectCodeCompletionDatabase.cs:
	  Restore the old ForceUpdate behaviour for the parameterless
	  overload, since stetic sort of depends on it.

2009-03-19  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Projects/SolutionEntityItem.cs:
	  GetDefaultBaseDirectoru: return an empty string if the file
	  name is not yet set.

2009-03-19  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Projects/DotNetProject.cs: Fix for bug #486639 -
	  Configuration Manager creates project configurations with a
	  bad OutputPath (contains "|").

2009-03-18  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Projects.Dom.Parser/ProjectDom.cs: Make
	  ForceUpdate add items to the parse queue and block on the
	  queue, instead of parallel-parsing. Should kill possible
	  race conditions.

	* MonoDevelop.Projects.Dom.Parser/ProjectDomService.cs: Add
	  method that blocks until parsing queue is empty.

	* MonoDevelop.Projects.Dom.Serialization/DatabaseProjectDom.cs:
	* MonoDevelop.Projects.Dom.Serialization/SimpleCodeCompletionDatabase.cs:
	* MonoDevelop.Projects.Dom.Serialization/ProjectCodeCompletionDatabase.cs:
	* MonoDevelop.Projects.Dom.Serialization/AssemblyCodeCompletionDatabase.cs:
	  Track API.

	* MonoDevelop.Projects.Dom.Serialization/CodeCompletionDatabase.cs:
	  Track API. Add constructor parameter that can be used to
	  enable special comment events, instead of always
	  subscribing, so that remote assembly parser process doesn't
	  touch project DOM service and cause help tree to be loaded.

2009-03-17  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Projects/DotNetProjectConfiguration.cs:
	* MonoDevelop.Projects.Formats.MD1/MD1DotNetProjectHandler.cs:
	  Remove unused property.

	* MonoDevelop.Projects/DotNetProject.cs: Fully qualify the
	  output path of new configurations.

2009-03-17  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Projects.Dom.Parser/IParser.cs:
	* MonoDevelop.Projects.Dom.Parser/AbstractParser.cs:
	* MonoDevelop.Projects.Dom.Parser/ProjectDomService.cs:
	* MonoDevelop.Projects.CodeGeneration/RefactorerContext.cs:
	  Parser now gets the project the file belongs to. (required
	  for getting the compilation symbols defined in the project
	  settings).

2009-03-16  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Projects.Text/CodeFormatDescription.cs: Added
	  option categories.

2009-03-16  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Projects.Text/CodeFormatDescription.cs: Changed
	  return type of values.

2009-03-16  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Projects.Text/CodeFormatDescription.cs: Fixed
	  reading routine.

2009-03-15  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Projects.Text/CodeFormatDescription.cs: Worked
	  on code format.

2009-03-13  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Projects.csproj: 

2009-03-13  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Projects.Text/CodeFormatDescription.cs: fixed
	  compiler error.

2009-03-13  Mike Krüger  <mkrueger@novell.com>

	* Makefile.am:
	* MonoDevelop.Projects.csproj:
	* MonoDevelop.Projects.addin.xml:
	* MonoDevelop.Projects.Text/IFormatter.cs:
	* MonoDevelop.Projects.Text/IPrettyPrinter.cs:
	* MonoDevelop.Projects.Text/TextFileService.cs:
	* MonoDevelop.Projects.Text/CodeFormatDescription.cs: Worked
	  on code formatting.

2009-03-12  Michael Hutchinson  <mhutchinson@novell.com>

	* Makefile.am:
	* MonoDevelop.Projects.csproj: Remove unused references.

2009-03-12  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Projects.Text/IFormatter.cs:
	* MonoDevelop.Projects.Text/TextFileService.cs:
	* MonoDevelop.Projects.Text/CodeFormatDescription.cs: Worked
	  on code formatter.

2009-03-11  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Projects.Text/TextFileService.cs: Work around 
	  gmcs 2.2 bug that generated invalid IL.

2009-03-11  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Projects.Text/TextFileService.cs:
	* MonoDevelop.Projects.Text/CodeFormatDescription.cs: Worked
	  on code formatting.

2009-03-10  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Projects/ProjectReference.cs: Make sure missing
	  references are updated when changing the framework.

2009-03-10  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Projects/ProjectReference.cs: Don't store the
	  loaded reference for framework assemblies, since they must
	  always match the current target framework version. Fixes bug
	  #483981 - [Regression] C# Library projects have a bad
	  reference to the System library.

2009-03-10  Mike Krüger  <mkrueger@novell.com>

	* Makefile.am:
	* MonoDevelop.Projects.csproj:
	* MonoDevelop.Projects.addin.xml:
	* MonoDevelop.Projects.Text/IFormatter.cs:
	* MonoDevelop.Projects.Text/TextFileService.cs:
	* MonoDevelop.Projects.Text/XmlDefinitionCodon.cs:
	* MonoDevelop.Projects.Text/CodeFormatDescription.cs: Worked
	  on code formatting infrastructure.

2009-03-10  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Projects.Dom.Parser/ProjectDomService.cs: Added
	  null check.

2009-03-09  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Projects/SolutionItem.cs: Added some protection
	  in case GetDefaultBaseDirectory retuns an empty value.

2009-03-09  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Projects.Formats.MSBuild/MSBuildProjectHandler.cs:
	  Save the BaseDirectory property. Store all paths relative to
	  ItemDirectory, not BaseDirectory. Fixes bug #483134 -
	  Project base directory doesn't appear to be serialized
	  correctly.

2009-03-06  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Projects.Text/TextFile.cs: Added some more
	  encodings to bom detection.

2009-03-06  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Projects.Text/TextFile.cs: Use BOM to detect
	  source encodings. (We had a file that was miss-interpreted
	  as UTF-16)

2009-03-05  Mike Krüger  <mkrueger@novell.com>

	* Makefile.am:
	* MonoDevelop.Projects.csproj:
	* MonoDevelop.Projects.Dom/AnonymousType.cs: Added
	  anonymoustype representation.

2009-03-05  Mike Krüger  <mkrueger@novell.com>

	* Makefile.am:
	* MonoDevelop.Projects.csproj: 

	* MonoDevelop.Projects.Dom/DomMethod.cs:
	* MonoDevelop.Projects.Dom/DomReturnType.cs:
	* MonoDevelop.Projects.Dom/ResolveResult.cs:
	* MonoDevelop.Projects.Dom/ExtensionMethod.cs: Worked on code
	  completion.

2009-03-04  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Projects.Formats.MD1/MD1DotNetProjectHandler.cs:
	  Properly evaluate $(Platform) in conditions. Fixes bug
	  #480680.

2009-03-04  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Projects/DotNetProject.cs:
	* MonoDevelop.Projects/CustomCommand.cs:
	* MonoDevelop.Projects/ExecutionContext.cs: Changed the way
	  execution handlers work. We are not using platform ids
	  anymore. Instead, we use command strings when looking for
	  execution handlers. IExecutionHandlerFactory has been
	  removed and now everything is handled by IExecutionHandler,
	  which has a new CanExecute method. This model is more simple
	  and more generic.

2009-03-03  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Projects.Dom/DomCecilType.cs: added new
	  constructor.

2009-03-03  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Projects.Dom/IParameter.cs:
	* MonoDevelop.Projects.Dom/DomParameter.cs:
	* MonoDevelop.Projects.Dom/LocalVariable.cs: Added stock icon
	  properties for parameters & local variables.

2009-03-02  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Projects.Text/TextFile.cs:
	* MonoDevelop.Projects.Text/TextEncoding.cs: Worked on "Bug
	  480556 - MonoDevelop can't handle UTF-16 source files".

2009-02-27  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Projects.Formats.MSBuild/MSBuildProjectHandler.cs:
	  MSBuildified directory names should end with '\', not '/'.

2009-02-27  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Projects/ProjectReference.cs: Added missing null
	  ref check.

2009-02-26  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Projects.Formats.MSBuild/MSBuildProjectHandler.cs:
	  Attach certain extended properties to SolutionEntityItem
	  instead of Project. Fixes serialization of translation
	  projects.

2009-02-26  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Projects/ProjectReference.cs: Added property for
	  getting a validation error message.

	* MonoDevelop.Projects/DotNetProject.cs: Don't remove+add
	  invalid references when the target framework changes. Just
	  reset all cached values.

	* MonoDevelop.Projects.Dom.Parser/ProjectDomService.cs:
	  Decrement load count when unloading a project.

	* MonoDevelop.Projects.Dom/DomReturnType.cs: Memory use
	  optimization. The most common array of dimensions is 1 with
	  index=0.

2009-02-26  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Projects.Formats.MSBuild/MSBuildProject.cs:
	* MonoDevelop.Projects.Formats.MSBuild/MSBuildProjectHandler.cs:
	  Case insensitive compare for reading bools in references.

2009-02-26  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Projects/Project.cs:
	* MonoDevelop.Projects/BuildAction.cs: Worked on property pad
	  translation.

2009-02-26  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Projects/FileCopyMode.cs: Worked on propertygrid
	  localization.

2009-02-26  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Projects.Dom.Output/OutputSettings.cs: Changed
	  output settings space print after highlight

2009-02-26  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Projects.Dom.Output/OutputSettings.cs: fixed
	  keyword output issues.

2009-02-25  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Projects.Dom.Serialization/DomPersistence.cs: 

	* MonoDevelop.Projects.Dom/CompoundType.cs: fixed compound
	  type soureproject dom bug.

2009-02-25  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Projects.Dom/DomType.cs:
	* MonoDevelop.Projects.Dom/CompoundType.cs: Compound types now
	  have sourcedom set.

2009-02-25  Lluis Sanchez Gual  <lluis@novell.com>

	* Makefile.am:
	* md1format.xml:
	* MonoDevelop.Projects.csproj:
	* MonoDevelop.Projects/DotNetProject.cs:
	* MonoDevelop.Projects/ProjectParameters.cs:
	* MonoDevelop.Projects/LanguageBindingService.cs:
	* MonoDevelop.Projects/IDotNetLanguageBinding.cs:
	* MonoDevelop.Projects/ConfigurationParameters.cs:
	* MonoDevelop.Projects/DotNetProjectConfiguration.cs:
	* MonoDevelop.Projects/AbstractProjectConfiguration.cs:
	* MonoDevelop.Projects.Formats.MSBuild/MSBuildProjectHandler.cs:
	  Added support for ProjectParameters in DotNetProject.
	  Language bindings can store project global settings there.
	  Added a new base class for configuration parameters and
	  project parameters.

2009-02-24  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Projects.Dom.Parser/ProjectDom.cs:
	* MonoDevelop.Projects.Dom.Output/AmbienceService.cs:
	* MonoDevelop.Projects.Dom.Serialization/DatabaseProjectDom.cs:
	  Fixed "Bug 472597 - New completion does not include array
	  types".

2009-02-23  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Projects.Extensions/ItemTypeCondition.cs: Moved
	  ItemTypeCondition from MD.Projects.Gui.

	* Makefile.am:
	* MonoDevelop.Projects.csproj: Updated.

	* MonoDevelop.Projects/IFileItem.cs:
	* MonoDevelop.Projects/ProjectFile.cs:
	* MonoDevelop.Projects/IFolderItem.cs:
	* MonoDevelop.Projects/IWorkspaceObject.cs: Added new
	  IFileItem and IFolderItem interfaces, which are used by the
	  ide (e.g. by the solution pad) to provide generic operations
	  on files and folders.

2009-02-23  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Projects.Dom/DomMethod.cs:
	* MonoDevelop.Projects.Dom/DomReturnType.cs:
	* MonoDevelop.Projects.Dom/ResolveResult.cs:
	* MonoDevelop.Projects.Dom/ExpressionContext.cs:
	* MonoDevelop.Projects.Dom.Parser/ProjectDom.cs: Fixed some
	  resolving issues.

2009-02-23  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Projects.Dom/DomMethod.cs: removed debug
	  message.

2009-02-23  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Projects.Dom/DomMethod.cs:
	* MonoDevelop.Projects.Dom/ResolveResult.cs: Worked on
	  implicit generic method parameters.

2009-02-23  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Projects.Dom/DomType.cs:
	* MonoDevelop.Projects.Dom/DomMethod.cs:
	* MonoDevelop.Projects.Dom/ResolveResult.cs: Worked on
	  explicit generic method parameters.

2009-02-23  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Projects.Dom/AbstractMember.cs: Fixed inner type
	  bug.

2009-02-23  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Projects.Dom.Parser/ProjectDom.cs:
	* MonoDevelop.Projects.Dom.Serialization/CodeCompletionDatabase.cs:
	  Fixed inner type access issues.

2009-02-23  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Projects.Dom/ExpressionContext.cs: Added
	  AttributeArguments context.

2009-02-20  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Projects/DotNetProject.cs: Allow templates to
	  set a target framework version.

2009-02-21  Ankit Jain  <jankit@novell.com>

	Merge r127549 from mcs.
	Fix #449683.
	* MonoDevelop.Projects.Formats.MSBuild.Conditions/ConditionTokenizer.cs:
	Handle unquoted item references (with or w/o transforms) in conditions.
	* MonoDevelop.Projects.Formats.MSBuild.Conditions/ConditionParser.cs:
	Parse unquoted item, property references.
	eg. Condition = " @(Foo->'%(Extension)') == '.exe' "
	* MonoDevelop.Projects.Formats.MSBuild.Conditions/Token.cs
	(Token.ToString): Override.
	(TokenType.Transform): Uncomment.

2009-02-20  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Projects.Dom.Parser/ProjectDom.cs: fixed "Bug
	  477641 - Completion showing incorrect members for a
	  parameter".

2009-02-19  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Projects.Dom/IType.cs:
	* MonoDevelop.Projects.Dom/DomType.cs:
	* MonoDevelop.Projects.Dom.Serialization/ClassEntry.cs:
	* MonoDevelop.Projects.Dom.Serialization/DomTypeProxy.cs:
	  Added new flag for classes which contain extension methods.

	* MonoDevelop.Projects.Dom.Serialization/DomPersistence.cs:
	* MonoDevelop.Projects.Dom.Serialization/CodeCompletionDatabase.cs:
	  Avoid storing duplicate strings when saving a type. The name
	  table will now generate ids for new strings.

2009-02-19  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Projects/SolutionFolder.cs: Don't automatically
	  remove references when a file is deleted. Fixes bug 477517 -
	  Clean on a project causes the deletion of a reference in
	  another.

2009-02-19  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Projects.Dom/CompoundType.cs:
	* MonoDevelop.Projects.Dom.Parser/ProjectDom.cs:
	* MonoDevelop.Projects.CodeGeneration/CodeRefactorer.cs:
	* MonoDevelop.Projects.CodeGeneration/BaseRefactorer.cs: Fixed
	  "Bug 402388 - Several refactory commands are not aware of
	  partial classes".

2009-02-18  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Projects.CodeGeneration/BaseRefactorer.cs: fixed
	  "Bug 404706 - Refactorer is not aware of existing regions
	  when inserting members".

2009-02-18  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Projects/ProjectReference.cs:
	* MonoDevelop.Projects.Formats.MSBuild/MSBuildProjectHandler.cs:
	  When saving references, save the loaded reference, not the
	  one resolved by MD. Fixes bug #Bug 467137 - Target GTK#
	  version is "upgraded" when version addins are not installed.

	* MonoDevelop.Projects.Extensions/DotNetProjectSubtypeNode.cs:
	* MonoDevelop.Projects.Formats.MSBuild/MSBuildProjectService.cs:
	  Properly handle subtypes of subtypes of projects.

2009-02-17  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Projects/SolutionItem.cs:
	* MonoDevelop.Projects/WorkspaceItem.cs:
	* MonoDevelop.Projects/IWorkspaceObject.cs: Added
	  ItemDirectory property which returns the pysical directory
	  where the item is located (not the one provided by the
	  user).

	* MonoDevelop.Projects.Formats.MSBuild/SlnFileFormat.cs: Use
	  the physical base dir when saving relative project
	  locations, not the user provided one.

2009-02-17  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Projects/SolutionItem.cs:
	* MonoDevelop.Projects/SolutionFolder.cs: Fixed bug Bug 436432
	  - Solution building breaks on first error.

2009-02-17  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Projects/ProjectReference.cs: Added Package
	  property, which returns the package to which the referenced
	  assembly belongs.

	* MonoDevelop.Projects/DotNetProject.cs: Track api changes.
	  Don't update references when setting the project framework
	  for the first time.

	* MonoDevelop.Projects.Formats.MSBuild/MSBuildProjectHandler.cs:
	  When storing references, store the package name if it is a
	  non-gac package.

	* MonoDevelop.Projects.Dom.Parser/IParserDatabase.cs:
	* MonoDevelop.Projects.Dom.Parser/ProjectDomService.cs:
	* MonoDevelop.Projects.Dom.Serialization/ParserDatabase.cs:
	* MonoDevelop.Projects.Dom.Serialization/SimpleCodeCompletionDatabase.cs:
	* MonoDevelop.Projects.Dom.Serialization/ProjectCodeCompletionDatabase.cs:
	* MonoDevelop.Projects.Dom.Serialization/AssemblyCodeCompletionDatabase.cs:
	  Always use the assembly file name to idenify assembly code
	  completion databases. Loading a CC database using an
	  assembly full name as id is not supported anymore.

	* MonoDevelop.Projects.Dom/AssemblyCodeCompletionDatabase.cs:
	  Removed unused file.

	* MonoDevelop.Projects.Formats.MD1/MD1DotNetProjectHandler.cs:
	  Improve warning message.

2009-02-17  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Projects.CodeGeneration/CodeRefactorer.cs: fixed
	  "Bug 405704 - Implement implicit interface should bypass
	  already implemented members in the base class".

2009-02-17  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Projects.CodeGeneration/CodeRefactorer.cs: Fixed
	  possible endless loop.

2009-02-16  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Projects.CodeGeneration/CodeRefactorer.cs: fixed
	  "Bug 325171 - Rename fails with overloads".

2009-02-16  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Projects.CodeGeneration/CodeRefactorer.cs: 

	* MonoDevelop.Projects.CodeGeneration/BaseRefactorer.cs: fixed
	  "Bug 325171 - Rename fails with overloads".

2009-02-16  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Projects.Dom/AbstractMember.cs: implemented
	  equals for abstract member.

2009-02-13  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Projects.CodeGeneration/BaseRefactorer.cs: fixed
	  "Bug 402343 - 'Implement interface' command places new
	  members outside of the existing class body, for one-line
	  classes)".

2009-02-13  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Projects/Project.cs: Don't delete files from the
	  output directory if they were directly referenced from that
	  directory. Fixes bug #472620 - Doing a Clean or Rebuild
	  removes all referenced assemblies from output dir even if
	  they aren't built.

2009-02-13  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Projects/ProjectService.cs: Dereference symbolic
	  links when opening a project or solution. Fixes bug #441886
	  - Opening a solution by it's link makes solution's root
	  directory the same as link's.

2009-02-13  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Projects/ProjectReference.cs:
	* MonoDevelop.Projects.Formats.MD1/MD1DotNetProjectHandler.cs:
	  Improved error reporting when a reference is not found at
	  build time. Fixes bug #390291 - Lack of local referenced
	  assembly should report the affected project (and maybe
	  should be a warning, not an error).

2009-02-12  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Projects.Formats.MSBuild/MSBuildProjectService.cs:
	  Use a case-insensitive compare for bools.

2009-02-12  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Projects/CustomCommand.cs:
	* MonoDevelop.Projects/ProjectService.cs:
	* MonoDevelop.Projects/CustomCommandCollection.cs: Make sure
	  the 'Execute' custom command can be executed using the
	  provided execution context.

	* MonoDevelop.Projects/CustomCommandExtension.cs: Use the
	  default execution handler for running the
	  After/BeforeExecute commands. The main handler is only for
	  the debugged application.

	* MonoDevelop.Projects/Project.cs: Consider the project dirty
	  if the project file has changed. Fixes bug #473696.

2009-02-12  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Projects.Dom/AbstractMember.cs: fixed possible
	  null reference exception.

2009-02-11  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Projects.Dom.Parser/CommentTag.cs: Fix ;/: bug
	  that was breaking parse DB loading. Make parse of the
	  serialised tags more robust.

2009-02-11  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Projects.Dom.Serialization/CodeCompletionDatabase.cs:
	  Fix the build.

2009-02-11  Lluis Sanchez Gual  <lluis@novell.com>

	* Makefile.am:
	* MonoDevelop.Projects.csproj:
	* MonoDevelop.Projects/Project.cs:
	* MonoDevelop.Projects/ProjectFile.cs:
	* MonoDevelop.Projects/ProjectItem.cs:
	* MonoDevelop.Projects/DotNetProject.cs:
	* MonoDevelop.Projects/SolutionFolder.cs:
	* MonoDevelop.Projects/ProjectReference.cs:
	* MonoDevelop.Projects/SimpleProjectItem.cs:
	* MonoDevelop.Projects/SolutionEntityItem.cs:
	* MonoDevelop.Projects/ProjectItemCollection.cs:
	* MonoDevelop.Projects/ProjectFileCollection.cs:
	* MonoDevelop.Projects/IDotNetLanguageBinding.cs:
	* MonoDevelop.Projects/ProjectServiceExtension.cs:
	* MonoDevelop.Projects/ProjectReferenceCollection.cs:
	* MonoDevelop.Projects.Formats.MD1/MD1CustomDataItem.cs:
	* MonoDevelop.Projects.Formats.MSBuild/MSBuildProject.cs:
	* MonoDevelop.Projects.Formats.MD1/MD1DotNetProjectHandler.cs:
	* MonoDevelop.Projects.Formats.MSBuild/MSBuildProjectHandler.cs:
	* MonoDevelop.Projects.Formats.MSBuild/MSBuildImportAttribute.cs:
	  Added support for generic ProjectItems. A solution item now
	  has a collection of ProjectItem which contains all items,
	  including files and references. Arbitrary ProjectItem
	  subclasses can be added, and they are mapped to MSBuild
	  items.

	* MonoDevelop.Projects.Dom.Parser/CommentTag.cs:
	* MonoDevelop.Projects.Dom.Parser/ProjectDomService.cs: Added
	  proper api for managing the special comment tags.

	* MonoDevelop.Projects.Dom.Serialization/CodeCompletionDatabase.cs:
	  Use the new special tags api. Make sure the LastParseTime is
	  properly set when forcing a manual update of the database.

2009-02-11  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Projects.Dom/ResolveResult.cs: made primary
	  resolve result public in aggregated resolve results.

2009-02-11  Mike Krüger  <mkrueger@novell.com>

	* Makefile.am:
	* MonoDevelop.Projects.csproj:
	* MonoDevelop.Projects.addin.xml:
	* MonoDevelop.Projects.Text/IFormatter.cs:
	* MonoDevelop.Projects.Text/TextFileService.cs: Added text
	  formatter infrastructure.

2009-02-11  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Projects.CodeGeneration/BaseRefactorer.cs: fixed
	  "Bug 434752 - Encapsulate field, encapsulates in wrong
	  order".

2009-02-11  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Projects.Dom/ResolveResult.cs: fixed "Bug 470954
	  - using System.Windows.Forms is not honored".

2009-02-10  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Projects/WorkspaceItem.cs: Remove accidental
	  serializization attribute that was causing solutions to be
	  automatically renamed. Fixes "Bug 438856 - Welcome page
	  incorrectly records recently opened solutions".

2009-02-10  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Projects.Policies/PolicyService.cs: Add some
	  more error checks to try to track down serialisation bugs.

2009-02-10  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Projects.Dom.Parser/ProjectDom.cs:
	* MonoDevelop.Projects.Dom.Serialization/CodeCompletionDatabase.cs:
	  fixed "Bug 474199 - Code completion not working for a nested
	  class".

2009-02-09  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Projects.Policies/PolicyService.cs: Disable
	  default values on serialiser. Improve error messages; warn
	  about null values in policies.

2009-02-09  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Projects.Dom/AbstractMember.cs: fixed little
	  issue in IsAccessible when it's tested, if a member is
	  accessible from a type instead of a member of the type (may
	  happen when editing fields).

2009-02-08  Michael Hutchinson  <mhutchinson@novell.com>

	* Makefile.am: Fix distcheck.

2009-02-07  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Projects.dll.config:
	* MonoDevelop.Projects.dll.config.in: Replace generated dllmap
	  with a multiplatform one. Removes another autotools build
	  dependency.

2009-02-06  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Projects.Dom/DomCecilType.cs: private & internal
	  nested types are now recognizing the loadInternal flag.

2009-02-06  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Projects.Dom/DomType.cs: Optimized
	  GetAccessibleExtensionTypes.

2009-02-06  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Projects.mdp:
	* MonoDevelop.Projects.csproj: Migrated to MSBuild file
	  format.

2009-02-05  Michael Hutchinson  <mhutchinson@novell.com>

	* md1format.xml: Add skipEmpty flag for Solution's policies
	  object.

2009-02-05  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Projects.Text/TextFile.cs:
	* MonoDevelop.Projects.Text/IEditableTextFile.cs: fixed "Bug
	  472714 - MonoDevelop automatic indentation does not follow
	  "Convert tabs to spaces" option".

2009-02-05  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Projects.Formats.MSBuild/MSBuildFileFormat.cs:
	  Assume 2.0 if no tools version is specified in the msbuild
	  file. Fixes bug 470713 - trouble opening .csproj files.

2009-02-04  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Projects.Dom.Output/NetAmbience.cs: Handle
	  HideGenericParameterNames flag.

	* MonoDevelop.Projects.Dom.Output/OutputFlags.cs:
	* MonoDevelop.Projects.Dom.Output/OutputSettings.cs: Add a
	  HideGenericParameterNames flag.

2009-02-04  Lluis Sanchez Gual  <lluis@novell.com>

	* Makefile.am:
	* MonoDevelop.Projects.mdp:
	* MonoDevelop.Projects.Text/TextFormatter.cs: Added new
	  TextFormatter class.

2009-02-04  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Projects.Dom/DomCecilType.cs:
	* MonoDevelop.Projects.Dom/DomCecilMethod.cs:
	*
	  MonoDevelop.Projects.Dom.Serialization/CodeCompletionDatabase.cs:
	  fixed 'Bug 469998 - Nested classes contained in inherited
	  class function poorly in code completion'.

2009-02-03  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Projects.Dom/CopyDomVisitor.cs: Propagate
	  source project dom when copying types.

2009-02-03  Lluis Sanchez Gual  <lluis@novell.com>

	* AssemblyInfo.cs:
	* MonoDevelop.Projects.addin.xml: Bump MD version.

2009-02-02  Lluis Sanchez Gual  <lluis@novell.com>

	* md1format.xml:
	* MonoDevelop.Projects/Project.cs:
	* MonoDevelop.Projects/ProjectFile.cs:
	* MonoDevelop.Projects/DotNetProject.cs:
	* MonoDevelop.Projects/ProjectService.cs:
	* MonoDevelop.Projects.Policies/DotNetNamingPolicy.cs:
	* MonoDevelop.Projects.Extensions/DotNetProjectNode.cs:
	* MonoDevelop.Projects.Formats.MD1/MD1CustomDataItem.cs:
	* MonoDevelop.Projects.Extensions/ISolutionItemHandler.cs:
	* MonoDevelop.Projects.Formats.MSBuild/MSBuildProjectHandler.cs:
	*
	  MonoDevelop.Projects.Formats.MSBuild/MSBuildProjectService.cs:
	  Add support for resource naming policies.

2009-02-01  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Projects.Policies/PolicyChangedEventArgs.cs:
	  EventArgs for policy change events.

2009/02/01  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Projects.Policies/PolicySet.cs: Add policy
	  change event.

	* MonoDevelop.Projects.Policies/PolicyChangedEventArgs.cs:
	  EventArgs for policy change events.

	* MonoDevelop.Projects.Policies/PolicyBag.cs: Add policy
	  change event, and a mechanism for propagating change events
	  to children.

	* Makefile.am:
	* MonoDevelop.Projects.mdp: Updated.

2009/01/30  Michael Hutchinson  <mhutchinson@novell.com>

	* md1format.xml: Skip policies node when it's empty. Removed
	  unused useParentDirectoryAsNamespace mapping.

2009-01-30  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Projects/DotNetProject.cs: Fix default namespaces for
	project's root directories. Remove unused properties.

2009-01-30  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Projects.Policies/PolicySet.cs:
	* MonoDevelop.Projects.Policies/PolicyService.cs: Use diff serialisation
	for user policy sets.

2009-01-30  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Projects.Dom/IMethod.cs:
	* MonoDevelop.Projects.Dom/DomMethod.cs:
	* MonoDevelop.Projects.Dom/CopyDomVisitor.cs:
	* MonoDevelop.Projects.Dom/DomCecilMethod.cs:
	* MonoDevelop.Projects.Dom/InstantiatedMethod.cs:
	* MonoDevelop.Projects.Dom/DomCecilCompilationUnit.cs:
	* MonoDevelop.Projects.CodeGeneration/BaseRefactorer.cs:
	* MonoDevelop.Projects.Dom.Parser/TypeResolverVisitor.cs:
	* MonoDevelop.Projects.Dom.Serialization/DomPersistence.cs:
	* MonoDevelop.Projects.Dom.Serialization/CodeCompletionDatabase.cs:
	Added support for generic constraints in methods.

	* MonoDevelop.Projects.Dom/ResolveResult.cs:
	* MonoDevelop.Projects.Dom.Parser/ProjectDom.cs: When getting members of
	a class, include extension methods for the interfaces that the class
	implements. Don't explicitly add IList when resolving an array type.
	This is not needed anymore due to the previous change and the new
	GetArrayType method.

	* Makefile.am:
	* MonoDevelop.Projects.mdp: Updated.

2009-01-30  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Projects.Policies/PolicySet.cs:
	* MonoDevelop.Projects.Policies/PolicyService.cs: Better readonly checks
	on PolicySet.

2009-01-30  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Projects.Extensions/PolicySetNode.cs: Better error
	reporting.

	* MonoDevelop.Projects.Policies/PolicyService.cs: Fix deserialisation of
	sets with multiple policies. Add accessor for the default policy set.

	* MonoDevelop.Projects.Policies/PolicySet.cs: Tweak setter
	accessibility.

2009-01-29  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Projects.Policies/PolicyBag.cs:
	* MonoDevelop.Projects.Policies/PolicySet.cs:
	* MonoDevelop.Projects.Policies/PolicyService.cs: Implement storage for
	user-preferred default policies.

2009-01-29  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Projects.Dom.Parser/ProjectDom.cs: handled type == null
	case.

2009-01-29  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Projects.Policies/PolicyService.cs: Fix incorrect cast.
	When reading policy sets, ensure the reader is properly positioned
	when checking for EOF.

	* MonoDevelop.Projects.addin.xml: Added default Mono policy.

2009-01-29  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Projects.Policies/PolicyService.cs: Added GetMatchingSet.

2009-01-27  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Projects.Dom.Parser/ProjectDom.cs: Fix issue when
	resolving inner types.

	* MonoDevelop.Projects.Dom.Parser/ProjectDomService.cs:
	* MonoDevelop.Projects.Dom.Serialization/ProjectCodeCompletionDatabase.cs:
	Fix some issues with the file parsing queue.

	* MonoDevelop.Projects.Dom.Serialization/CodeCompletionDatabase.cs:
	Reuse FindInnerType from ProjectDom.

2009-01-27  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Projects.Dom/CompoundType.cs:
	* MonoDevelop.Projects.Dom.Serialization/CodeCompletionDatabase.cs:
	Fixed issue with partial classes defined in the same file.
	Reimplemented CopyClass using CopyDomVisitor.

2009-01-27  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Projects.Dom/InstantiatedParameterType.cs: Avoid cyclic
	references in type constraints.

	* MonoDevelop.Projects.Dom/TypeParameter.cs:
	* MonoDevelop.Projects.Dom/CopyDomVisitor.cs:
	* MonoDevelop.Projects.Dom/ITypeParameter.cs:
	* MonoDevelop.Projects.Dom.Serialization/DomPersistence.cs:
	* MonoDevelop.Projects.Dom.Serialization/CodeCompletionDatabase.cs:
	Added flags to TypeParameter for handling the class, struct and new()
	constraints.

2009-01-27  Lluis Sanchez Gual  <lluis@novell.com>

	* Makefile.am:
	* MonoDevelop.Projects.mdp:
	* MonoDevelop.Projects.Dom/IType.cs:
	* MonoDevelop.Projects.Dom/DomType.cs:
	* MonoDevelop.Projects.Dom/DomEvent.cs:
	* MonoDevelop.Projects.Dom/DomField.cs:
	* MonoDevelop.Projects.Dom/DomMethod.cs:
	* MonoDevelop.Projects.Dom/IReturnType.cs:
	* MonoDevelop.Projects.Dom/DomProperty.cs:
	* MonoDevelop.Projects.Dom/DomAttribute.cs:
	* MonoDevelop.Projects.Dom/DomParameter.cs:
	* MonoDevelop.Projects.Dom/TypeParameter.cs:
	* MonoDevelop.Projects.Dom/DomReturnType.cs:
	* MonoDevelop.Projects.Dom/CopyDomVisitor.cs:
	* MonoDevelop.Projects.Dom/ITypeParameter.cs:
	* MonoDevelop.Projects.Dom/AbstractMember.cs:
	* MonoDevelop.Projects.Dom.Parser/ProjectDom.cs:
	* MonoDevelop.Projects.Dom.Parser/ProjectDomService.cs:
	* MonoDevelop.Projects.Dom/InstantiatedParameterType.cs:
	* MonoDevelop.Projects.Dom.Serialization/DomTypeProxy.cs:
	* MonoDevelop.Projects.Dom.Parser/TypeResolverVisitor.cs: Replaced
	ITypeResolver by the IDomVisitor infrastructure.

2009-01-27  Ankit Jain  <jankit@novell.com>

	* MonoDevelop.Projects.Formats.MD1/MD1DotNetProjectHandler.cs
	(IsResgenRequired): File must be a .resx
	* Monodevelop.Projects/DotNetProject.cs (CheckNeedsBuild): Check only
	resx files for resgen.

2009-01-27  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Projects.Formats.MSBuild/SlnFileFormat.cs: Properly encode
	and decode strings when serializing values. Fixes bug #469142.

2009-01-27  Ankit Jain  <jankit@novell.com>

	Fix bug #325200.
	* MonoDevelop.Projects.Formats.MD1/MD1DotNetProjectHandler.cs
	(GetResourceId): Use the new IsResgenRequired method.
	(IsResgenRequired): New. Checks the resx and the files referenced by the
	resx.
	(IsFileNewerThan): New.
	* Monodevelop.Projects/Project.cs (CheckNeedsBuild): Change return type
	from 'void' to 'bool'. Don't change 'isDirty' state here.
	(OnGetNeedsBuilding): Set isDirty if required.
	* Monodevelop.Projects/DotNetProject.cs (CheckNeedsBuild): Override and
	check resx files with IsResgenRequired method.

2009-01-26  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Projects.mdp: Flush project format changes.

2009-01-26  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Projects.Dom.Parser/ProjectDom.cs: Improve support for
	generic arguments by properly resolving constraints.

	* MonoDevelop.Projects.Dom/CompoundType.cs:
	* MonoDevelop.Projects.Dom.Parser/ProjectDomService.cs:
	* MonoDevelop.Projects.Dom.Serialization/ParserDatabase.cs:
	* MonoDevelop.Projects.Dom.Serialization/CodeCompletionDatabase.cs:
	Properly resolve IReturnType objects composed by several parts.

	* MonoDevelop.Projects.Dom/ResolveResult.cs: Provide the calling class
	when querying types.

	* MonoDevelop.Projects.Dom/DomType.cs:
	* MonoDevelop.Projects.Dom/IReturnType.cs:
	* MonoDevelop.Projects.Dom/TypeParameter.cs: Added Resolved flag, used
	by the parser service to know whether a type is already resolved or
	not. ITypeResolver now has a ContextType property which always has a
	reference to the enclosing type. Properly resolved contraint types.

	* MonoDevelop.Projects.Dom/DomReturnType.cs: Fixes to better support
	IReturnType objects with several parts.

	* MonoDevelop.Projects.Dom/InstantiatedParameterType.cs: New class used
	to represent a generic argument. When the generic argument has a
	constraint, it is used as a base class, so code completion will show
	the correct members when the type is used in a method.

	* MonoDevelop.Projects.Dom/SearchTypeRequest.cs: Require a reference to
	the calling class when resolving an IReturnType.

	* MonoDevelop.Projects.Dom/DomMethod.cs: Properly resolve generic
	arguments defined by generic methods.

	* Makefile.am:
	* MonoDevelop.Projects.mdp: Updated.

	* MonoDevelop.Projects.CodeGeneration/CodeRefactorer.cs: In
	FindOverridables, resolve the main class at the begining, to make
	sure all referenced types are properly resolved.

	* MonoDevelop.Projects.Dom.Serialization/ProjectCodeCompletionDatabase.cs:
	When all classes in file can't be fully resolved, make sure the file
	is parsed again even if it is not modified.

	* MonoDevelop.Projects.Dom.Serialization/DomPersistence.cs: Properly
	save IReturnType objects composed by several parts. Bumped database
	version because of this.

2009-01-26  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Projects.Dom.Parser/ProjectDomService.cs: Replace a
	Console.WriteLine with a logging service call.

2009-01-23  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Projects.Policies/PolicySet.cs: Return the policy, not its
	type.

	* MonoDevelop.Projects.Policies/PolicyService.cs: Properly deserialise
	the data nodes from names policies. Load type registrations before
	named sets, so the named sets can deserialise.

	* MonoDevelop.Projects.addin.xml: Comment out test node.

	* MonoDevelop.Projects.mdp: Updated.

	* MonoDevelop.Projects.Extensions/PolicySetNode.cs: Load child nodes.

2009-01-23  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Projects.Dom/CompilationUnit.cs:
	* MonoDevelop.Projects.Dom/ICompilationUnit.cs: Added GetTypeAt method
	to compilation unit.

2009-01-22  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Projects.Dom.Serialization/DomPersistence.cs: Limit the
	amout of objects that can be read as part of a collection. Avoids
	huge memory consumptions in case of file corruption.

	* MonoDevelop.Projects.Dom.Serialization/CodeCompletionDatabase.cs:
	Properly look for registered ClassEntry when updating the database
	after parsing. There was an issue with generic partial types. Fixes
	bug #468412 - MD corrupts pidb files.

2009-01-22  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Projects/ProjectService.cs:
	* MonoDevelop.Projects.Extensions/ItemPropertyCodon.cs:
	* MonoDevelop.Projects.Formats.MSBuild/MSBuildProjectHandler.cs: Added
	support for SkipEmpty in the serializer. When set to true for a
	property, if the element generated by the property is empty, it will
	not be serialized.

2009-01-21  Michael Hutchinson  <mhutchinson@novell.com>

	* md1format.xml:
	* MonoDevelop.Projects/Solution.cs:
	* MonoDevelop.Projects/SolutionItem.cs:
	* MonoDevelop.Projects.Formats.MSBuild/MSBuildProjectHandler.cs: Fix
	policy serialisation for MD and MSBuild projects.

2009-01-21  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Projects.Formats.MSBuild/MSBuildProjectHandler.cs: Fix
	NRE.

2009-01-21  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Projects.Formats.MSBuild/MSBuildProjectHandler.cs:
	Specially handle SolutionItem.Policies, since the default MSBuild
	serialisation ignores it.

2009-01-21  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Projects.Dom/DomType.cs: Use a (faster) ordinal compare
	when searching for members.

2009-01-21  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Projects/Solution.cs:
	* MonoDevelop.Projects/SolutionItem.cs: Add Policies properties to
	Solution and SolutionItem.

	* MonoDevelop.Projects/DotNetProject.cs: Use new DotNetNamingPolicy for
	default namespaces of new files. Implement support for hierachical
	directory-based namespaces, and for using the default namespace as a
	prefix.

	* MonoDevelop.Projects.Policies: Added.

	* MonoDevelop.Projects.Policies/PolicyBag.cs:
	* MonoDevelop.Projects.Policies/PolicySet.cs:
	* MonoDevelop.Projects.Policies/PolicyService.cs: Implement cascading
	per-project policy infrastructure with sets of named policies.

	* MonoDevelop.Projects.Policies/DotNetNamingPolicy.cs: Add a policy type
	for defining directory-namespace relations and resource naming
	styles.

	* MonoDevelop.Projects.addin.xml:
	* MonoDevelop.Projects.Extensions/PolicyNode.cs:
	* MonoDevelop.Projects.Extensions/PolicySetNode.cs: Added new policy and
	policy type extension points.

	* Makefile.am:
	* MonoDevelop.Projects.mdp: Updated.

2009-01-20  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Projects/PropertyBag.cs: Avoid doubly serialising nodes
	that have not been accessed and lazily deserialised. Prevents user
	data loss.

2009-01-20  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Projects.Dom/ResolveResult.cs:
	* MonoDevelop.Projects.Dom/AbstractMember.cs: fixed "Bug 467409 - Bad
	code completion options".

2009-01-20  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Projects.Dom.Parser/ProjectDom.cs: In GetInheritanceTree
	there is no need to resolve base types, since the type being queried
	is already resolved, so all types it references are also resolved.
	Added method for removing instantiated generic types from the cache.

	* MonoDevelop.Projects.Dom.Serialization/CodeCompletionDatabase.cs: When
	a generic type is updated, remove all instances of that type from the
	instantiated type cache.

2009-01-19  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Projects.Dom/DomType.cs: In ToString, get the correct
	member count.

	* MonoDevelop.Projects.Dom.Serialization/DomTypeProxy.cs: Use correct
	binary operator for logic or.

	* MonoDevelop.Projects.Dom.Serialization/CodeCompletionDatabase.cs: Make
	sure instantiated types are created only for generic types. Should
	fix bug #467410.

2009-01-19  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Projects.Formats.MSBuild/MSBuildFileFormat.cs: Fixed
	ReadToolsVersion. The version number wasn't properly read.

2009-01-15  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Projects/Project.cs: Fix local copy path for external
	files.

2009-01-15  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Projects.Dom.Serialization/DomTypeProxy.cs: Fixed type
	proxy.

2009-01-15  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Projects.Dom.Serialization/DomTypeProxy.cs: fixed 'Bug
	466337 - Incorrect intelisense for class attribute'.

2009-01-15  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Projects.Dom.Output/OutputSettings.cs: fixed markup bug.

2009-01-15  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Projects.Dom.Output/OutputSettings.cs: Added some markup
	features for ambiences.

2009-01-13  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Projects.Dom/TypeUpdateInformation.cs:
	* MonoDevelop.Projects.Dom.Parser/ProjectDomService.cs: Provide the
	project reference when in the TypesUpdated event.

	* MonoDevelop.Projects.Dom.Output/OutputSettings.cs: Avoid using
	delegates when not really necessary.

	* MonoDevelop.Projects.Dom.Output/Ambience.cs: Optimized.
	GetString(Modifiers) now stores results in a cached.

2009-01-12  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Projects/DotNetProject.cs: Allow setting invalid
	(!library) compile target for library projects while loading. Fixes
	"Bug 459502 - Impossible to load ASP.NET projects created with MD
	1.0".

2009-01-12  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Projects/Project.cs:
	* MonoDevelop.Projects/FileCopySet.cs: Make CopyToOutputDirectory files
	include the project-relative path. Fixes "Bug 459311 - Copying files
	to output directory in MonoDevelop".

2009-01-09  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Projects.Dom/DomType.cs:
	* MonoDevelop.Projects.Dom.Parser/ProjectDom.cs:
	* MonoDevelop.Projects.Dom.Serialization/CodeCompletionDatabase.cs:
	Moved CreateInstantiatedGenericType to ProjectDom, which takes care
	of caching instantiated types.

2009-01-09  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Projects.Dom/IDomVisitor.cs:
	* MonoDevelop.Projects.CodeGeneration/IRefactorer.cs:
	* MonoDevelop.Projects.CodeGeneration/CodeRefactorer.cs:
	* MonoDevelop.Projects.CodeGeneration/BaseRefactorer.cs: Worked on
	refactoring code/fixing Bug 456576 - refactor: rename field is not
	working.

2009-01-08  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Projects/Project.cs: Unsubscribe the file changed event
	when disposing.

2009-01-08  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Projects.Formats.MSBuild/MSBuildProjectHandler.cs: When
	saving  configuration, make sure that old compilation parameters are
	deleted. Fixes bug #461105 - Reverting C# language version to Default
	does not work.

2009-01-07  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Projects.Dom/DomType.cs:
	* MonoDevelop.Projects.Dom/InstantiatedType.cs: Fixed help urls for
	generic types.

2009-01-07  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Projects.Dom/ResolveResult.cs:
	* MonoDevelop.Projects.Dom/ExpressionContext.cs: Worked on on the fly
	type resolving.

2009-01-07  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Projects.Dom.Output/NetAmbience.cs: Net ambience now
	outputs property parameters.

2009-01-06  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Projects.Dom/ResolveResult.cs:
	* MonoDevelop.Projects.Dom.Parser/ProjectDom.cs: fixed 'Bug 459682 -
	Static methods/properties don't show up in subclasses'.

2009-01-06  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Projects.Dom/ResolveResult.cs: fixed 'Bug 457237 - code
	completion doesn't show static methods when setting global variable'.

2009-01-06  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Projects.CodeGeneration/CodeRefactorer.cs: fixed "Bug
	456579 - implement interface on inner class adds methods to outer
	class".

2009-01-05  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Projects.Dom/DomCecilMethod.cs: fixed 'Bug 444112 -
	Generic parameters missing in code completion (reopened)'

2009-01-05  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Projects.Dom.Parser/ProjectDom.cs: Fixed unit test for bug
	444110.

2009-01-02  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Projects.CodeGeneration/BaseRefactorer.cs: fixed 'Bug
	460232 - Override/Implement doesn't work'.

2008-12-30  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Projects/ProjectService.cs:
	* MonoDevelop.Projects.Extensions/ItemPropertyCodon.cs: Allow
	registering new properties which are not external.

2008-12-18  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Projects.Dom/DomRegion.cs:
	* MonoDevelop.Projects.Dom/DomLocation.cs: Fix build for recent mcs
	versions.

2008-12-17  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Projects.Dom.Serialization/ParserDatabase.cs: Added
	workaround for a mono bug.

2008-12-17  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Projects.Dom.Serialization/ParserDatabase.cs: Fix infinite
	loop when searching subclasses of System.Object.

2008-12-16  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Projects.Dom.Parser/ProjectDom.cs: Remove debug code.

2008-12-16  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Projects.Dom.Parser/ProjectDom.cs:
	* MonoDevelop.Projects.Dom.Serialization/ProjectCodeCompletionDatabase.cs:
	Fixed some issues raised by unit tests.

	* MonoDevelop.Projects.Dom.Parser/ProjectDomService.cs: Removed the
	lastUpdateSize cache because it is not 100% reliable and it is
	problematic when we want to force a file reparse (e.g. to resolve
	types which were unresolved in previous parsings).

	* MonoDevelop.Projects.Dom/DomType.cs: Little optimization.

	* MonoDevelop.Projects.mdp: Updated.

	* MonoDevelop.Projects.Dom.Serialization/ParserDatabase.cs:
	* MonoDevelop.Projects.Dom.Serialization/DatabaseProjectDom.cs:
	* MonoDevelop.Projects.Dom.Serialization/CodeCompletionDatabase.cs: Many
	fixes in GetSubclasses. It now supports inner types and generic types
	much better. All covered by unit tests.

	* MonoDevelop.Projects.Dom.Serialization/NamespaceEntry.cs: Moved
	GetName to ParserDatabase since it is now being used in other
	classes.

2008-12-12  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Projects.Formats.MD1/MD1CustomDataItem.cs: Avoid
	duplicating the targetFramework attribute.

2008-12-11  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Projects.mdp: No more warnings.

2008-12-11  Lluis Sanchez Gual  <lluis@novell.com>

	* Makefile.am:
	* MonoDevelop.Projects.mdp:
	* MonoDevelop.Projects/Project.cs:
	* MonoDevelop.Projects.Dom/DomType.cs:
	* MonoDevelop.Projects/DotNetProject.cs:
	* MonoDevelop.Projects.Dom/DomReturnType.cs:
	* MonoDevelop.Projects.Dom/ParsedDocument.cs:
	* MonoDevelop.Projects/ItemConfigurationCollection.cs:
	* MonoDevelop.Projects.Dom.Parser/ProjectDomService.cs:
	* MonoDevelop.Projects.CodeGeneration/CodeRefactorer.cs:
	* MonoDevelop.Projects.CodeGeneration/BaseRefactorer.cs:
	* MonoDevelop.Projects.Formats.MD1/MD1DotNetProjectHandler.cs:
	* MonoDevelop.Projects.Dom.Parser/AssemblyInformationEventHandler.cs:
	* MonoDevelop.Projects.Dom.Serialization/ProjectCodeCompletionDatabase.cs:
	No more warnings in MD.Projects.

2008-12-11  Lluis Sanchez Gual  <lluis@novell.com>

	* md1format.xml:
	* MonoDevelop.Projects/DotNetProject.cs:
	* MonoDevelop.Projects/ProjectService.cs:
	* MonoDevelop.Projects/DotNetProjectConfiguration.cs:
	* MonoDevelop.Projects.Formats.MD1/MD1CustomDataItem.cs:
	* MonoDevelop.Projects.Formats.MSBuild/MSBuildProject.cs:
	* MonoDevelop.Projects.Formats.MSBuild/MSBuildHandler.cs:
	* MonoDevelop.Projects.Formats.MSBuild/MSBuildFileFormat.cs:
	* MonoDevelop.Projects.Formats.MD1/MD1DotNetProjectHandler.cs:
	* MonoDevelop.Projects.Formats.MSBuild/MSBuildProjectService.cs:
	* MonoDevelop.Projects.Formats.MSBuild/MSBuildProjectHandler.cs:
	Implemented support for the new TargetFramework model.

	* MonoDevelop.Projects/FileFormat.cs:
	* MonoDevelop.Projects.Extensions/IFileFormat.cs:
	* MonoDevelop.Projects.Formats.MD1/MD1FileFormat.cs: Added new
	GetCompatibilityWarnings which can return a list of warnings to show
	when trying to convert a solution to a format.

	* MonoDevelop.Projects/ProjectReference.cs: Added new IsValid property
	which returns false if the reference is not valid for the current
	project (e.g. it may no be available for the project's framework).

	* MonoDevelop.Projects.Dom/DomType.cs: Fix warning.

	* MonoDevelop.Projects.Dom.Serialization/SimpleCodeCompletionDatabase.cs:
	* MonoDevelop.Projects.Dom.Serialization/ProjectCodeCompletionDatabase.cs:
	Track api changes.

2008-12-09  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Projects.mdp: Don't require a specific version of
	Mono.Addins.

2008-12-09  Lluis Sanchez Gual  <lluis@novell.com>

	* md1format.xml:
	* MonoDevelop.Projects/ProjectReference.cs:
	* MonoDevelop.Projects.Formats.MD1/MD1DotNetProjectHandler.cs:
	* MonoDevelop.Projects.Formats.MSBuild/MSBuildProjectHandler.cs: Added
	support for SpecificVersion flag.

2008-12-09  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Projects/BuildTool.cs: Use the default configuration if
	none is specified. Fixes bug #449441 - 'mdtool -f:<sln_file>' fails
	to compile applications.

2008-12-09  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Projects/WorkspaceItem.cs: Properly set the default file
	name when setting the name.

	* MonoDevelop.Projects/ProjectService.cs: Fix invalid check.

	* MonoDevelop.Projects.Formats.MSBuild/SlnData.cs:
	* MonoDevelop.Projects.Formats.MSBuild/SlnFileFormat.cs:
	* MonoDevelop.Projects.Formats.MSBuild/MSBuildHandler.cs:
	* MonoDevelop.Projects.Formats.MSBuild/MSBuildProject.cs:
	* MonoDevelop.Projects.Formats.MSBuild/MSBuildFileFormat.cs:
	* MonoDevelop.Projects.Formats.MSBuild/MSBuildProjectHandler.cs: Added
	more information about Visual Studio versions. There are several
	version numbers: product version (VS release), tools version (msbuild
	tools version), and sln version. Now versions are properly saved
	according to the file format. Fixes bug #431726.

	* MonoDevelop.Projects.addin.xml: Registered VS 2010 format.

2008-12-05  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Projects.Formats.MSBuild/MSBuildProjectService.cs: Don't
	try to resolve paths beyond the root directory. E.g.
	/aa/bb/../../../..

2008-12-04  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Projects/CustomCommandExtension.cs: Don't run the
	after-build custom command if the build failed. Fixes bug #456239 -
	After Build Custom Command firing when build fails.

	* MonoDevelop.Projects/DotNetProject.cs: Fix null ref.

2008-12-04  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Projects/ProjectService.cs: Moved BeforeCompilationAction
	enum to MD.Ide.

2008-12-03  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Projects.Dom.Serialization/SimpleCodeCompletionDatabase.cs:
	fixed 'Bug 455892 - Crash when closing tabs'.

2008-12-02  Michael Hutchinson  <mhutchinson@novell.com>

	* Makefile.am:
	* MonoDevelop.Projects.mdp:
	* MonoDevelop.Projects.Dom.Parser/ParseInformation.cs:
	* MonoDevelop.Projects.Dom.Parser/ParseInformationEventHandler.cs:
	Remove unused GPLed files.

2008-12-02  Michael Hutchinson  <mhutchinson@novell.com>

	* Makefile.am:
	* AssemblyInfo.cs:
	* AssemblyInfo.cs.in:
	* MonoDevelop.Projects.mdp: Add AssemblyInfo.cs files that are
	autogenerated from the addin manifests.

2008-12-02  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Projects.Formats.MSBuild/MSBuildProjectHandler.cs: Added
	missing null check.

2008-12-02  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Projects.Formats.MSBuild/MSBuildProjectHandler.cs: Read
	project type guids from the project file. Fixes bug 447811 -
	ProjectTypeGuids are erased from MSBuild files.

2008-11-29  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Projects.Dom/DomType.cs:
	* MonoDevelop.Projects.Dom/DomField.cs:
	* MonoDevelop.Projects.Dom/DomUsing.cs:
	* MonoDevelop.Projects.Dom/DomEvent.cs:
	* MonoDevelop.Projects.Dom/Namespace.cs:
	* MonoDevelop.Projects.Dom/DomMethod.cs:
	* MonoDevelop.Projects.Dom/IDomVisitor.cs:
	* MonoDevelop.Projects.Dom/DomProperty.cs:
	* MonoDevelop.Projects.Dom/DomParameter.cs:
	* MonoDevelop.Projects.Dom/DomAttribute.cs:
	* MonoDevelop.Projects.Dom/LocalVariable.cs:
	* MonoDevelop.Projects.Dom/DomReturnType.cs:
	* MonoDevelop.Projects.Dom/AbstractMember.cs:
	* MonoDevelop.Projects.Dom/CompilationUnit.cs:
	* MonoDevelop.Projects.Dom.Output/Ambience.cs:
	* MonoDevelop.Projects.Dom.Output/OutputFlags.cs:
	* MonoDevelop.Projects.Dom.Output/NetAmbience.cs:
	* MonoDevelop.Projects.Dom/DomMemberDecorator.cs:
	* MonoDevelop.Projects.Dom.Output/OutputSettings.cs: Refactored
	ambiences/domoutputvisitor.

2008-11-28  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Projects.Dom.Output/Ambience.cs:
	* MonoDevelop.Projects.Dom.Output/NetAmbience.cs: Taken back last
	change.

2008-11-28  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Projects.Dom.Output/Ambience.cs:
	* MonoDevelop.Projects.Dom.Output/NetAmbience.cs: added strongly typed
	overloads for getstring.

2008-11-27  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Projects.Dom.Output/Ambience.cs:
	* MonoDevelop.Projects.Dom.Output/OutputSettings.cs: Changed postprocess
	synopsis.

2008-11-27  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Projects.Dom.Output/Ambience.cs:
	* MonoDevelop.Projects.Dom.Output/NetAmbience.cs:
	* MonoDevelop.Projects.Dom.Output/OutputSettings.cs: Worked on
	ambiences.

2008-11-26  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Projects.Dom.Output/AmbienceService.cs: Add property for
	getting default ambience directly.

2008-11-26  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Projects.Dom.Output/DocumentationService.cs: Stub for
	upcoming doc service.

	* MonoDevelop.Projects.Dom.Output/Ambience.cs: Ambience should not claim
	it's valid for all filenames. More efficient & thourough string
	escaping. Remove unused code.

	* Makefile.am:
	* MonoDevelop.Projects.mdp: Updated.

2008-11-26  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Projects.Dom/DomMethod.cs:
	* MonoDevelop.Projects.Dom/DomProperty.cs:
	* MonoDevelop.Projects.Dom.Output/Ambience.cs:
	* MonoDevelop.Projects.Dom/DomCecilProperty.cs: Worked on ambiences/dom
	output.

2008-11-26  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Projects.Dom.Output/Ambience.cs: fixed ambience modifier
	outputs too many spaces.

2008-11-26  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Projects.Dom.Output/Ambience.cs: ambience strings now can
	be post processed.

2008-11-24  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Projects.Formats.MSBuild/MSBuildProjectHandler.cs:
	Temporary workaround for Bug 447811 - ProjectTypeGuids are erased
	from MSBuild files.

2008-11-24  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Projects.Dom/CompoundType.cs:
	* MonoDevelop.Projects.Dom/AbstractMember.cs: Bug 447636 - Code
	completion window throws exception, then never opens again

2008-11-21  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Projects.Formats.MSBuild/MSBuildProjectHandler.cs: Fix
	spelling.

2008-11-21  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Projects.CodeGeneration/IRefactorer.cs: fixed compilation
	error.

2008-11-20  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Projects/DotNetProject.cs: Cache ambience.

2008-11-20  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Projects.addin.xml: Remove NetAmbience from ambience
	extension points, as it was intercepting all filenames (including
	C#), and it's the ambience service's default fallback anyway.

	* MonoDevelop.Projects.Dom.Output/AmbienceService.cs: Implement
	GetAmbienceForLanguage correctly (it was treating the language name
	as a filename?!).

2008-11-20  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Projects/WorkspaceItem.cs:
	* MonoDevelop.Projects/ProjectService.cs: Added SetLocation method to
	WorkspaceItem, which allows setting the path and name of an item, and
	avoids having to specify a concrete file name.

	* MonoDevelop.Projects/Project.cs:
	* MonoDevelop.Projects/SolutionItem.cs:
	* MonoDevelop.Projects/SolutionFolder.cs: Take into account the build
	time of dependencies when checking if the project needs to be
	rebuilt. Fixes bug #447058.

2008-11-20  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Projects.Dom/AbstractMember.cs: fixed 'Bug 444911 -
	Refactor options not shown'.

2008-11-19  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Projects.Formats.MSBuild/MSBuildProjectHandler.cs: MSBuild
	does not support dots in element names. Replaced by dashes. Fixes bug
	#424746 - .Desktop made VS unable to load project.

2008-11-19  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Projects.Formats.MSBuild/MSBuildProjectHandler.cs:
	ToMSBuildPath returns an empty string when the path is the project
	path. Handled this case. Fixes bug #445126 - Unable to export mds
	solution to msbuild.

2008-11-19  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Projects/BuildTool.cs: Fix help message.

2008-11-19  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Projects.Dom.Serialization/ParserDatabase.cs:
	* MonoDevelop.Projects.Dom.Serialization/NamespaceEntry.cs:
	* MonoDevelop.Projects.Dom.Serialization/DatabaseProjectDom.cs:
	* MonoDevelop.Projects.Dom.Serialization/CodeCompletionDatabase.cs:
	Fixed bug with templates that could lead to an infinite loop.

2008-11-19  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Projects.Dom.Output/NetAmbience.cs:
	* MonoDevelop.Projects.Dom.Output/OutputFlags.cs: Worked on .NET
	ambience.

2008-11-19  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Projects.Dom.Serialization/ParserDatabase.cs:
	* MonoDevelop.Projects.Dom.Serialization/DatabaseProjectDom.cs: worked
	on "Bug 444547 - Invalid options shown when completing 'new'
	operator".

2008-11-18  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Projects.Dom/DomCecilAttribute.cs: Load constructor
	arguments from assembly.

	* MonoDevelop.Projects.Dom/DomAttribute.cs: Add a ToString override.

2008-11-18  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Projects.Dom.Parser/ProjectDom.cs: fixed unit tests.

2008-11-17  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Projects.Dom/Error.cs: Allow errors to contain a region
	instead of just a line/col location.

2008-11-17  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Projects.Dom/ExpressionContext.cs: fixed 'Bug 444538 -
	Namespaces missing when completing 'new' operator'.

2008-11-14  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Projects.Dom.Serialization/FileEntry.cs: Use File class
	instead of FileInfo to get the last write time. It is faster.

2008-11-14  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Projects.Dom/DomType.cs:
	* MonoDevelop.Projects.Dom.Parser/ProjectDomService.cs: Load the help
	tree asynchronously. Reduces startup time.

2008-11-14  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Projects.Dom.Parser/ProjectDomService.cs: Don't crash if
	something goes wrong with Monodoc initialization. Removed
	UpdateReferences call in Load(). This call was added to fix bug
	#427285, but this is the wrong fix. Everything seems to work fine
	without it, and it is a performance bottleneck.

2008-11-14  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Projects.Dom/ResolveResult.cs: fixed 'Bug 444643 -
	Extension methods don't show up on array types'.

2008-11-13  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Projects.Dom.Parser/ProjectDom.cs:
	* MonoDevelop.Projects.Dom.Serialization/ParserDatabase.cs:
	* MonoDevelop.Projects.Dom.Serialization/DatabaseProjectDom.cs:
	* MonoDevelop.Projects.Dom.Serialization/CodeCompletionDatabase.cs:
	Modify GetSubclasses API to allow limiting by namespaces and
	disabling of deep searching. Move some 1.1 code to generics.

2008-11-12  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Projects.Dom.Serialization/NamespaceEntry.cs: Reduce
	string allocation.

2008-11-12  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Projects.Dom/Error.cs:
	* MonoDevelop.Projects.Dom/DomType.cs:
	* MonoDevelop.Projects.Dom/Comment.cs:
	* MonoDevelop.Projects.Dom/DomUsing.cs:
	* MonoDevelop.Projects.Dom/DomEvent.cs:
	* MonoDevelop.Projects.Dom/DomField.cs:
	* MonoDevelop.Projects.Dom/DomRegion.cs:
	* MonoDevelop.Projects.Dom/DomMethod.cs:
	* MonoDevelop.Projects.Dom/DomProperty.cs:
	* MonoDevelop.Projects.Dom/DomLocation.cs:
	* MonoDevelop.Projects.Dom/DomParameter.cs:
	* MonoDevelop.Projects.Dom/DomCecilType.cs:
	* MonoDevelop.Projects.Dom/DomAttribute.cs:
	* MonoDevelop.Projects.Dom/CompoundType.cs:
	* MonoDevelop.Projects.Dom/ResolveResult.cs:
	* MonoDevelop.Projects.Dom/DomCecilField.cs:
	* MonoDevelop.Projects.Dom/TypeParameter.cs:
	* MonoDevelop.Projects.Dom/DomCecilEvent.cs:
	* MonoDevelop.Projects.Dom/DomReturnType.cs:
	* MonoDevelop.Projects.Dom/DomCecilMethod.cs:
	* MonoDevelop.Projects.Dom/AbstractMember.cs:
	* MonoDevelop.Projects.Dom/CompilationUnit.cs:
	* MonoDevelop.Projects.Dom/DomCecilProperty.cs:
	* MonoDevelop.Projects.Dom/ExpressionResult.cs:
	* MonoDevelop.Projects.Dom/DomCecilAttribute.cs:
	* MonoDevelop.Projects.Dom/ExpressionContext.cs:
	* MonoDevelop.Projects.Dom/ConditionalRegion.cs:
	* MonoDevelop.Projects.Dom/DomCecilParameter.cs:
	* MonoDevelop.Projects.Dom/PreProcessorDefine.cs: Optimized & cleaned
	the dom layer.

2008-11-11  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Projects.Dom.Parser/ProjectDom.cs:
	* MonoDevelop.Projects.Dom.Serialization/DatabaseProjectDom.cs: Added an
	ForceUpdate method which forces the updating of the database.

	* Makefile.am: Fixes for parallel make building.

2008-11-07  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Projects.Formats.MSBuild/MSBuildProjectHandler.cs: When
	writing back the project, reuse the old properties in the msbuild
	file, so the order will not change.

2008-11-06  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Projects/Project.cs: Add API for automatically setting
	build action on new files.

	* MonoDevelop.Projects/ProjectFile.cs: Set default build action so it's
	never null.

2008-11-06  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Projects.Dom.Serialization/CodeCompletionDatabase.cs:
	upped code completion format for "Bug 442147 - Autocompletion shows
	get_ and set_ methods that should not be shown.".

2008-11-05  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Projects.addin.xml: Bump MD version.

2008-11-05  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Projects.Dom.Parser/ProjectDom.cs: optimized
	GetNamespaceContents

2008-11-05  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Projects.Dom/IMethod.cs:
	* MonoDevelop.Projects.Dom/DomMethod.cs:
	* MonoDevelop.Projects.Dom/ResolveResult.cs: Fixed bug 'Bug 441671 -
	Finalisers show up in code completion'.

2008-11-04  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Projects/DotNetProjectConfiguration.cs: Strongly type
	ParentItem.

2008-11-04  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Projects/DotNetProject.cs: New IsLibraryBasedProjectType
	property consolidates code in base class and allows language
	bindings' GUIs to disable compilation options that shouldn't be
	altered for ASP.NET and Moonlight projects.

2008-11-04  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Projects.Formats.MSBuild/SlnData.cs:
	* MonoDevelop.Projects.Formats.MSBuild/SlnFileFormat.cs:
	* MonoDevelop.Projects.Formats.MSBuild/MSBuildFileFormat.cs: Properly
	save the product number when converting between msbuild formats.

2008-11-04  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Projects.Formats.MD1/MD1DotNetProjectHandler.cs: Use the
	original assembly name as base name for satellite assemblies.

	* MonoDevelop.Projects.Dom.Serialization/AssemblyCodeCompletionDatabase.cs:
	Don't try to read an existing db when creating a new temporary one.

2008-11-04  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Projects.Dom/IType.cs:
	* MonoDevelop.Projects.Dom/DomType.cs:
	* MonoDevelop.Projects.Dom/DomMethod.cs: fixed 'Bug 441061 - Completion
	broken for arrays'.

2008-11-03  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Projects.Formats.MSBuild/MSBuildProjectHandler.cs:
	Properly read the clr version. It must be assigned to the project in
	addition to assigning to the configurations.

2008-11-03  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Projects.Dom/DomCecilType.cs: fixed 'Bug 440366 - Cannot
	override base methods'.

2008-10-31  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Projects/SolutionFolder.cs: Fixed and simplified
	RemoveAllInDirectory.

2008-10-31  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Projects.Formats.MD1/MD1DotNetProjectHandler.cs: Delete
	satellite assembly directories when cleaning. Fixes bug #400420.

2008-10-31  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Projects.Formats.MD1/MD1DotNetProjectHandler.cs: Use the
	file service to delete files so that events are fired and the
	solution pad can be updated. 

2008-10-31  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Projects.Dom.Serialization/CodeCompletionDatabase.cs:
	Added helper methods and properties for accessing to the db file
	name.

	* MonoDevelop.Projects.Dom.Parser/ProjectDomService.cs: Don't pre-load
	the mscrolib database. It is not necessary anymore.

	* MonoDevelop.Projects.Dom.Serialization/AssemblyCodeCompletionDatabase.cs:
	When generating a database for an assembly, generate first in a temp
	file, and then move it to the original file. Also unlock the original
	file before copying. Fixes bug #440254.

2008-10-31  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Projects.Dom/DomCecilType.cs:
	* MonoDevelop.Projects.Dom/DomCecilField.cs:
	* MonoDevelop.Projects.Dom/DomCecilEvent.cs:
	* MonoDevelop.Projects.Dom/DomCecilMethod.cs:
	* MonoDevelop.Projects.Dom/DomCecilProperty.cs:
	* MonoDevelop.Projects.Dom/DomCecilCompilationUnit.cs: fixed 'Bug 440366
	- Cannot override base methods'.

2008-10-31  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Projects.Dom.Parser/ProjectDomService.cs:
	* MonoDevelop.Projects.Dom.Serialization/DatabaseProjectDom.cs:
	* MonoDevelop.Projects.Dom.Serialization/AssemblyCodeCompletionDatabase.cs:
	fixed 'Bug 436879 - 'exe' references not added to code completion'.

2008-10-31  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Projects.Dom/DomType.cs:
	* MonoDevelop.Projects.Dom/IMember.cs:
	* MonoDevelop.Projects.Dom/ResolveResult.cs:
	* MonoDevelop.Projects.Dom/AbstractMember.cs:
	* MonoDevelop.Projects.Dom/DomMemberDecorator.cs: Fixed protected member
	access.

2008-10-30  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Projects/DotNetProject.cs: When creating a project, use
	the provided project name when setting the assembly name. The project
	object name can't be used here because it is still not valid. Fixes
	bug #437392.

	* MonoDevelop.Projects.Formats.MSBuild/MSBuildProjectHandler.cs: Reset
	the default output assembly name before reading a configuration.

2008-10-30  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Projects.Dom/ResolveResult.cs:
	* MonoDevelop.Projects.Dom/AbstractMember.cs:
	* MonoDevelop.Projects.Dom/ExpressionContext.cs: Fixed speed issue.

2008-10-30  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Projects.Dom/DomReturnType.cs:
	* MonoDevelop.Projects.Dom.Serialization/NamespaceEntry.cs:
	* MonoDevelop.Projects.Dom.Serialization/CodeCompletionDatabase.cs:
	fixed 'Bug 436312 - Couldn't deal well with elements which have
	generic and non-generic presence at the same time'.

2008-10-30  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Projects.Dom/DomReturnType.cs: fixed "Bug 432434 - Code
	completion doesn't work with subclasses".

2008-10-29  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Projects/DotNetProject.cs: When creating a new
	configuration, give it a valid path and assembly name. Fixes bug
	#439047 - Cannot create makefiles.

2008-10-29  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Projects.Dom.Serialization/CodeCompletionDatabase.cs:
	Don't crash if the code completion database can't be created. Fixes
	bug #439113 - Exception when trying to close a solution which
	couldn't load all subprojects.

2008-10-29  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Projects/Project.cs: Fix bug 431720 - Build failed. XXX is
	a directory.

2008-10-29  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Projects.Dom/ResolveResult.cs:
	* MonoDevelop.Projects.Dom/AbstractMember.cs:
	* MonoDevelop.Projects.Dom/DomMemberDecorator.cs: Fixed accessible
	issue.

2008-10-28  Mike Kestner  <mkestner@novell.com>

	* MonoDevelop.Projects.Formats.MD1/MD1DotNetProjectHandler.cs:
	add compile warnings when assembly reference versions are "upgraded"
	to newer versions because the requested versions are not installed.

2008-10-28  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Projects/Solution.cs:
	* MonoDevelop.Projects/IBuildTarget.cs: Implemented CanExecute.

2008-10-28  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Projects/SolutionFolder.cs: In GetBuildableEntries,
	include entries belonging to other solution folders, if
	includeExternalReferences is specified. Fixes bug 389127 - Solution
	doesn't build while all their projects build.

2008-10-28  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Projects.Dom/ResolveResult.cs: don't show members for
	"System.Void".

2008-10-28  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Projects.Dom/IMethod.cs:
	* MonoDevelop.Projects.Dom/DomType.cs:
	* MonoDevelop.Projects.Dom/DomMethod.cs:
	* MonoDevelop.Projects.Dom/ResolveResult.cs: fixed 'Bug 431806 -
	Extension methods aren't shown in autocomplete'.

2008-10-28  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Projects.addin.xml: updated netambience reference.

2008-10-28  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Projects.Dom.Output/AmbienceService.cs: moved ambience
	extension node to project model.

2008-10-28  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Projects.addin.xml:
	* MonoDevelop.Projects.Dom.Parser/ProjectDomService.cs: fixed 'Bug
	399737 - Code completion busted for referenced assemblies that are
	not in GAC, are outside of the solution, and which are referenced by
	other non-GAC outside referenced assemblies'.

2008-10-27  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Projects.Dom/DomType.cs:
	* MonoDevelop.Projects.CodeGeneration/CodeRefactorer.cs: fixed 'Bug
	438139 - Refactory commands missing'.

2008-10-27  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Projects.Dom/DomCecilCompilationUnit.cs: filtered more
	types.

2008-10-27  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Projects.Dom/DomCecilType.cs:
	* MonoDevelop.Projects.Dom/DomCecilCompilationUnit.cs:
	* MonoDevelop.Projects.Dom.Serialization/CodeCompletionDatabase.cs:
	fixed 'Bug 438699 - Code completion shows too many options'.

2008-10-27  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Projects.CodeGeneration/BaseRefactorer.cs: fixed "Bug
	436951 - Overriding an abstract property is incorrect".

2008-10-27  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Projects.Dom.Parser/ProjectDom.cs: removed debug message.

2008-10-26  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Projects.Formats.MSBuild/MSBuildProjectHandler.cs: Read
	and write conditions for files and references.

	* MonoDevelop.Projects.Formats.MSBuild/MSBuildProject.cs: Remove the
	condition attribute when it has an empty value.

	* Makefile.am:
	* MonoDevelop.Projects.mdp:
	* MonoDevelop.Projects/ProjectReference.cs:
	* MonoDevelop.Projects.Formats.MSBuild.Conditions:
	* MonoDevelop.Projects.Formats.MSBuild.Conditions/Token.cs:
	* MonoDevelop.Projects.Formats.MD1/MD1DotNetProjectHandler.cs:
	* MonoDevelop.Projects.Formats.MSBuild.Conditions/ConditionParser.cs:
	* MonoDevelop.Projects.Formats.MSBuild.Conditions/ConditionTokenizer.cs:
	* MonoDevelop.Projects.Formats.MSBuild.Conditions/ConditionExpression.cs:
	* MonoDevelop.Projects.Formats.MSBuild.Conditions/ConditionOrExpression.cs:
	* MonoDevelop.Projects.Formats.MSBuild.Conditions/ConditionNotExpression.cs:
	* MonoDevelop.Projects.Formats.MSBuild.Conditions/ConditionAndExpression.cs:
	* MonoDevelop.Projects.Formats.MSBuild.Conditions/ExpressionParseException.cs:
	* MonoDevelop.Projects.Formats.MSBuild.Conditions/ConditionFactorExpresion.cs:
	* MonoDevelop.Projects.Formats.MSBuild.Conditions/InvalidProjectFileException.cs:
	* MonoDevelop.Projects.Formats.MSBuild.Conditions/ConditionFunctionExpression.cs:
	* MonoDevelop.Projects.Formats.MSBuild.Conditions/ConditionRelationalExpression.cs:
	Add support for conditions for files and references. Conditions are
	only evaluated and compile time, not when showing items in the IDE.

	* MonoDevelop.Projects/ProjectService.cs:
	* MonoDevelop.Projects/ProjectServiceExtension.cs:
	* MonoDevelop.Projects.Extensions/ProjectExtensionUtil.cs: Added hook
	which allows add-ins to change build data such as files and
	references. 

	* MonoDevelop.Projects/ProjectFile.cs: Add support for conditions.
	Conditions are only evaluated and compile time, not when showing
	items in the IDE.

2008-10-24  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Projects.Dom.Parser/ProjectDom.cs: Added cyclic check for 
	GetInheritanceTree.

2008-10-24  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Projects.Dom/DomType.cs:
	* MonoDevelop.Projects.Dom.Serialization/ClassEntry.cs:
	* MonoDevelop.Projects.Dom.Serialization/DomTypeProxy.cs:
	* MonoDevelop.Projects.Dom.Serialization/DomPersistence.cs: Fixed
	possible endless loop.

2008-10-24  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Projects.Dom.Serialization/CodeCompletionDatabase.cs:
	fixed issue in generic type lookup.

2008-10-23  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Projects.Formats.MSBuild/MSBuildProjectHandler.cs: Name of
	project in project references may contain some other info. Strip it.

2008-10-23  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Projects.Formats.MSBuild/MSBuildProject.cs:
	* MonoDevelop.Projects.Formats.MSBuild/MSBuildProjectHandler.cs: When
	loading a configuration, look for other configurations with the same
	name but with no platform specified. The properties must be merged
	when loading, and unmerged when saving.

2008-10-22  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Projects.Formats.MSBuild/MSBuildProjectHandler.cs:
	Deserialise Generator too.

2008-10-22  Michael Hutchinson  <mhutchinson@novell.com>

	* md1format.xml:
	* MonoDevelop.Projects/ProjectFile.cs:
	* MonoDevelop.Projects.Formats.MSBuild/MSBuildProjectHandler.cs: Added
	Generator property. Fixed Silverlight version mapping.

2008-10-22  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Projects.Dom.Parser/ProjectDomService.cs: Added protection
	against database collection changes while iterating to update
	references.

2008-10-22  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Projects.Formats.MSBuild/SlnFileFormat.cs: Improve warning
	message.

2008-10-22  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Projects.Formats.MSBuild/MSBuildProjectHandler.cs: If
	there isn't a common assembly name for all configurations, make sure
	the common name property is removed. Fixes bug Bug 433511 - project
	configurations are not preserved.

2008-10-22  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Projects.Dom/DomType.cs:
	* MonoDevelop.Projects.Dom/DomReturnType.cs: Worked on instantiated
	types.

2008-10-22  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Projects.Dom/InstantiatedType.cs:
	* MonoDevelop.Projects.Dom.Parser/ProjectDom.cs:
	* MonoDevelop.Projects.Dom.Serialization/ClassEntry.cs:
	* MonoDevelop.Projects.Dom.Serialization/NamespaceEntry.cs:
	* MonoDevelop.Projects.Dom.Serialization/CodeCompletionDatabase.cs:
	Fixed the lookup of generic classes in the custom code completion
	database.

2008-10-21  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Projects.Dom/InstantiatedType.cs: changed header.

2008-10-21  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Projects.Dom/DomType.cs:
	* MonoDevelop.Projects.Dom/InstantiatedType.cs:
	* MonoDevelop.Projects.Dom.Parser/ProjectDom.cs: Changed type
	instantiation.

2008-10-16  Andreia Gaita  <avidigal@novell.com>

	* MonoDevelop.Projects.Formats.MD1/CmbxFileFormat.cs: If the solution
	doesn't have a Configuration that matches the project's, add it.
	Fixes #435901

2008-10-21  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Projects/DotNetProject.cs: Add assembly key file to
	referenced files list.

2008-10-20  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Projects.Formats.MSBuild/MSBuildProjectHandler.cs: Handle
	"Folder" item type. Fixes Bug 436656 - empty folder disappears after
	close/reopen solution.

2008-10-18  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Projects.Dom/DomCecilType.cs:
	* MonoDevelop.Projects.Dom.Parser/ProjectDom.cs:
	* MonoDevelop.Projects.Dom/SearchTypeRequest.cs:
	* MonoDevelop.Projects.Dom.Serialization/DomPersistence.cs:
	* MonoDevelop.Projects.Dom.Serialization/CodeCompletionDatabase.cs:
	Worked on dom.

2008-10-16  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Projects.Dom/DomCecilEvent.cs: Load event's return type 
	  from the assembly. Fixes Bug 436315 - ReturnType of IEvents is null.

2008-10-16 Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Projects.Dom/AbstractMember.cs: fixed accessible issue.

2008-10-16 Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Projects.Dom/DomType.cs:
	* MonoDevelop.Projects.Dom/DomCecilMethod.cs:
	* MonoDevelop.Projects.Dom.Parser/ProjectDom.cs:
	* MonoDevelop.Projects.Dom.Serialization/ClassEntry.cs:
	* MonoDevelop.Projects.CodeGeneration/CodeRefactorer.cs:
	* MonoDevelop.Projects.Dom.Serialization/CodeCompletionDatabase.cs:
	Worked on dom & implement interfaces.

2008-10-16 Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Projects.Dom/DomType.cs: set source project dom for
	instantiated types.

2008-10-15 Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Projects.Dom/ResolveResult.cs: fixed failing unit test.

2008-10-15 Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Projects.Dom/ResolveResult.cs: filtered some members.

2008-10-15 Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Projects.Dom/DomProperty.cs:
	* MonoDevelop.Projects.Dom/AbstractMember.cs:
	* MonoDevelop.Projects.CodeGeneration/CodeRefactorer.cs:
	* MonoDevelop.Projects.CodeGeneration/BaseRefactorer.cs:
	* MonoDevelop.Projects.Dom.Serialization/DomPersistence.cs:
	* MonoDevelop.Projects.Dom.Serialization/CodeCompletionDatabase.cs:
	Worked on implement  interface feature / fixed explicit interface
	issue.

2008-10-15 Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Projects.Dom.Parser/ProjectDom.cs: fixed failing unit
	test.

2008-10-15 Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Projects.Dom/DomCecilType.cs:
	* MonoDevelop.Projects.Dom/ResolveResult.cs:
	* MonoDevelop.Projects.Dom/DomCecilProperty.cs:
	* MonoDevelop.Projects.Dom.Serialization/CodeCompletionDatabase.cs:
	fixed 'Bug 435253 - *Lots* of members missing from code completion'.

2008-10-13  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Projects.CodeGeneration/CodeRefactorer.cs: fixed 'Bug
	434126 - Implement interface explicitly doesn't do base interfaces'.

2008-10-13  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Projects.CodeGeneration/BaseRefactorer.cs: fixed interface
	implementation bug.

2008-10-13  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Projects.Dom/CompilationUnit.cs:
	* MonoDevelop.Projects.Dom/DomCecilCompilationUnit.cs:
	* MonoDevelop.Projects.Dom.Serialization/AssemblyCodeCompletionDatabase.cs:
	Worked on assembly compilation units.

2008-10-10  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Projects.CodeGeneration/BaseRefactorer.cs: fixed 'Bug
	434143 - Incorrect implementing of an interface'.

2008-10-09  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Projects.Dom.Serialization/ProjectCodeCompletionDatabase.cs:
	working on non gac assembly references.

2008-10-09  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Projects.Dom/ResolveResult.cs:
	* MonoDevelop.Projects.Dom/ExpressionContext.cs:
	* MonoDevelop.Projects.Dom.Parser/ProjectDomService.cs: fixed 'Bug
	432681 - Incorrect completion in nested classes'.

2008-10-09  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Projects.Dom/DomType.cs: fixed type parameter duplication.

2008-10-08  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Projects.Dom/DomType.cs:
	* MonoDevelop.Projects.Dom/DomField.cs:
	* MonoDevelop.Projects.Dom/DomEvent.cs:
	* MonoDevelop.Projects.Dom/DomUsing.cs:
	* MonoDevelop.Projects.Dom/Namespace.cs:
	* MonoDevelop.Projects.Dom/DomMethod.cs:
	* MonoDevelop.Projects.Dom/DomProperty.cs:
	* MonoDevelop.Projects.Dom/IDomVisitor.cs:
	* MonoDevelop.Projects.Dom/DomAttribute.cs:
	* MonoDevelop.Projects.Dom/DomParameter.cs:
	* MonoDevelop.Projects.Dom/LocalVariable.cs:
	* MonoDevelop.Projects.Dom/DomReturnType.cs:
	* MonoDevelop.Projects.Dom/AbstractMember.cs:
	* MonoDevelop.Projects.Dom/CompilationUnit.cs:
	* MonoDevelop.Projects.Dom.Output/Ambience.cs: Fix spelling.

2008-10-08  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Projects.Dom/DomType.cs: fixed regression bug.

2008-10-08  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Projects.Dom/DomType.cs: Changed inner type namespaces.

2008-10-08  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Projects.Dom.Parser/ProjectDomService.cs: exposed
	GetAssemblyInfo method.

2008-10-08  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.Projects.Dom/DomReturnType.cs: domreturntype now throws
	  null argument exception on null types. 

2008-10-07  Michael Hutchinson <mhutchinson@novell.com> 

	* MonoDevelop.Projects/DotNetProject.cs: Fix copying app.config.

2008-10-07  Michael Hutchinson <mhutchinson@novell.com> 

	* MonoDevelop.Projects/Project.cs: Don't try to copy a file to itself.

2008-10-07  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.Projects.Dom/DomType.cs: fixed possible nullreference.

2008-10-07  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.Projects.Dom.Parser/ProjectDomService.cs,
	  MonoDevelop.Projects.Dom.Serialization/CodeCompletionDatabase.cs:
	  Ensured that sourceprojectdom is set.

2008-10-07  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.Projects.Dom/DomType.cs: Instantiated generic types now
	  preserve generic parameters.

2008-10-07  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.Projects.Dom/DomCecilType.cs: fixed 'Bug 431761 - Code
	  completion is incorrect'.

2008-10-07  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.Projects.Dom/ExpressionContext.cs: worked on expression
	  context filter.

2008-10-07  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.Projects.Dom.Parser/ProjectDomService.cs: fixed 'Bug
	  432856 - Creation and editing broken for unsaved files'.

2008-10-06  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.Projects.Dom/ResolveResult.cs: fixed bug in base result.

2008-10-06  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.Projects.Dom/ResolveResult.cs: fixed a possible resolve
	  null reference.

2008-10-06  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.Projects.Dom/ResolveResult.cs: fixed bug in member
	  resolve result.

2008-10-06  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.Projects.Dom.Serialization/CodeCompletionDatabase.cs:
	  filtered compiler generated types.

2008-10-05  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.Projects.Dom/CompoundType.cs,
	  MonoDevelop.Projects.Dom.Serialization/DomPersistence.cs,
	  MonoDevelop.Projects.Dom.Serialization/CodeCompletionDatabase.cs:
	  Worked on compound type persistence.

2008-10-03  Michael Hutchinson <mhutchinson@novell.com> 

	* MonoDevelop.Projects/Project.cs: Skip unnecessary file write time
	  checks.
	* MonoDevelop.Projects.Dom.Parser/ProjectDomService.cs,
	  MonoDevelop.Projects.Dom/ParsedDocument.cs: Tweak flags API.
	* MonoDevelop.Projects/DotNetProjectConfiguration.cs: Avoid unnecessary
	  string creation/concat.

2008-10-01  Michael Hutchinson <mhutchinson@novell.com> 

	* MonoDevelop.Projects/FileCopyMode.cs,
	  MonoDevelop.Projects/FileCopySet.cs,
	  MonoDevelop.Projects/BuildAction.cs,
	  MonoDevelop.Projects/DotNetProject.cs,
	  MonoDevelop.Projects/ProjectFile.cs,
	  MonoDevelop.Projects/Project.cs,
	  MonoDevelop.Projects.Formats.MSBuild/MSBuildProjectHandler.cs,
	  MonoDevelop.Projects.Formats.MSBuild/MSBuildProject.cs,
	  md1format.xml,
	  MonoDevelop.Projects.Formats.MD1/MD1DotNetProjectHandler.cs,
	  MonoDevelop.Projects.Formats.MD1/MD1CustomDataItem.cs,
	  MonoDevelop.Projects.Formats.MD1/BuildActionDataType.cs: Add
	  support for arbitrary build actions, and implement "local copy" for
	  files and references, matching VS behaviour.
	* MonoDevelop.Projects.mdp, Makefile.am: Updated.

2008-09-29  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.Projects.Dom.Parser/ProjectDomService.cs,
	  MonoDevelop.Projects.Dom/ParsedDocument.cs: Added an
	  nonserializable flag for parsed documents.

2008-09-26  Michael Hutchinson <mhutchinson@novell.com> 

	* MonoDevelop.Projects.Dom.Parser/ProjectDomService.cs,
	  MonoDevelop.Projects.Dom/FoldingRegion.cs,
	  MonoDevelop.Projects.Dom/ParsedDocument.cs,
	  MonoDevelop.Projects.Dom/ParsedDocumentEventArgs.cs: Add filename
	  info to ParsedDocument so that parsers no longer have to return a
	  CompilationUnit to have filename info. Generalise fold generation
	  code -- add support for different fold types, moves folding logic
	  out of the source editor addin.

2008-09-26  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Projects/ItemConfiguration.cs: The PlatformTarget is not
	  the same as the platform specificed in the configuration name. It
	  may have a different value. Moved element to c# binding, since it
	  is a c# compiler option.
	* MonoDevelop.Projects.Formats.MSBuild/MSBuildProjectHandler.cs:
	  SubType must be serialized after DepenentUpon.
	* MonoDevelop.Projects.mdp, Makefile.am: Add missing reference.

2008-09-26  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.Projects.Dom/DomCecilParameter.cs,
	  MonoDevelop.Projects.Dom/DomCecilMethod.cs,
	  MonoDevelop.Projects.Dom/DomReturnType.cs: fixed Bug 371569 -
	  Refactor command 'implement interface' doesn't respect *ref* and
	  *out* parameters.

2008-09-25  Michael Hutchinson <mhutchinson@novell.com> 

	* MonoDevelop.Projects.Dom/FoldingRegion.cs,
	  MonoDevelop.Projects.Dom/ParsedDocument.cs: Break the folding
	  regions into Folds and UserRegions. Fixes regression where regions
	  were no longer shown in the document outline and the quick finder.

2008-09-26  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Projects/ProjectFile.cs,
	  MonoDevelop.Projects.Formats.MSBuild/MSBuildProjectHandler.cs,
	  md1format.xml: Read and store the SubType field. Fixes bugs #429241
	  and #429245.
	* MonoDevelop.Projects.Dom.Serialization/AssemblyCodeCompletionDatabase.cs:
	  Don't try to read the completion db if it has already been
	  disposed.
	* MonoDevelop.Projects.Dom.Serialization/CodeCompletionDatabase.cs:
	  Cosmetic fixes.

2008-09-25  Michael Hutchinson <mhutchinson@novell.com> 

	* MonoDevelop.Projects.Text/TextFile.cs: Fix incorrect g_convert
	  P/Invoke signature. Should fix "Bug 414144 - Cannot compile with MD
	  and LinearIL in x86_64 (MonoDevelop.Projects.Text.TextFile.Read
	  throw NRE exception)".

2008-09-24  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.Projects.Dom/DomCecilMethod.cs,
	  MonoDevelop.Projects.Dom/DomCecilEvent.cs,
	  MonoDevelop.Projects.Dom/DomCecilField.cs,
	  MonoDevelop.Projects.Dom/DomCecilProperty.cs,
	  MonoDevelop.Projects.Dom/DomCecilType.cs,
	  MonoDevelop.Projects.Dom/DomCecilAttribute.cs: Worked on cecil
	  layer/extension methods are now recognized.

2008-09-24  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.Projects.Dom.Parser/ProjectDom.cs: fixed anonymous type
	  bug.

2008-09-24  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.Projects.Dom.Output/OutputFlags.cs,
	  MonoDevelop.Projects.Dom.Output/Ambience.cs,
	  MonoDevelop.Projects.Dom/ResolveResult.cs,
	  MonoDevelop.Projects.Dom/DomType.cs,
	  MonoDevelop.Projects.Dom/IMethod.cs,
	  MonoDevelop.Projects.Dom/DomMethod.cs,
	  MonoDevelop.Projects.Dom/IType.cs,
	  MonoDevelop.Projects.Dom/AbstractMember.cs: Added support for C#3.0
	  extension methods.

2008-09-24  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.Projects.Dom/DomRegion.cs,
	  MonoDevelop.Projects.Dom/Comment.cs,
	  MonoDevelop.Projects.Dom/DomLocation.cs: Marked some classes as
	  serializable (for tag comment saving).

2008-09-24  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.Projects.Dom.Parser/CommentTasksChangedEventHandler.cs,
	  MonoDevelop.Projects.Dom.Parser/ProjectDom.cs,
	  MonoDevelop.Projects.Dom.Parser/ProjectDomService.cs,
	  MonoDevelop.Projects.Dom/Comment.cs,
	  MonoDevelop.Projects.Dom/Tag.cs,
	  MonoDevelop.Projects.Dom.Serialization/DatabaseProjectDom.cs,
	  MonoDevelop.Projects.Dom.Serialization/FileEntry.cs,
	  MonoDevelop.Projects.Dom.Serialization/CodeCompletionDatabase.cs:
	  Worked on tag comments.

2008-09-23  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Projects/SolutionItem.cs: Stop compilation when errors
	  are found.
	* MonoDevelop.Projects/Workspace.cs: Improved progress reporting of
	  build and other operations.

2008-09-23  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Projects.Dom/DomCecilMethod.cs,
	  MonoDevelop.Projects.Dom/DomCecilType.cs: Properly import
	  constructors.

2008-09-23  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.Projects.Dom/ConditionalRegion.cs,
	  MonoDevelop.Projects.Dom/ParsedDocument.cs: added preprocessor
	  directive #if folding.

2008-09-23  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Projects/Workspace.cs: Improved loading progress
	  feedback.
	* MonoDevelop.Projects.Dom.Parser/ProjectDom.cs,
	  MonoDevelop.Projects.Dom.Parser/ProjectDomService.cs: Properly
	  reference and unreference project doms.
	* MonoDevelop.Projects.Dom.Serialization/DomTypeProxy.cs: Don't use
	  HasContent() in IsObsolete since that method loads the wrapped
	  type, and that's not needed in this case. Same for HasParts.

2008-09-23  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.Projects.Dom/ResolveResult.cs: fixed exception in base
	  completion.

2008-09-23  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.Projects.Dom.Parser/ProjectDom.cs: fixed 'Bug 429022 -
	  Code Completion: inherited members not shown in automatic or
	  ctrl+space completion'.

2008-09-23  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.Projects.Dom/ResolveResult.cs,
	  MonoDevelop.Projects.Dom/ExpressionContext.cs: fixed 'Bug 429036 -
	  Object.Finalize should not be included in the completion list'.

2008-09-23  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.Projects.Dom.Output/OutputFlags.cs,
	  MonoDevelop.Projects.Dom.Output/Ambience.cs: Added highlight name
	  output flag.

2008-09-23  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.Projects.Dom.Parser/ProjectDomService.cs: fixed 'Bug
	  427700 - CodeCompletion not working properly in class constructor'.

2008-09-22  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.Projects.Dom/AbstractMember.cs,
	  MonoDevelop.Projects.Dom.Serialization/DomTypeProxy.cs,
	  MonoDevelop.Projects.Dom.Serialization/ClassEntry.cs,
	  MonoDevelop.Projects.Dom.Serialization/CodeCompletionDatabase.cs:
	  Added optimization for isobsolete.

2008-09-22  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.Projects.Dom/AbstractMember.cs: making abstract member
	  virtual.

2008-09-22  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.Projects.Dom/AbstractMember.cs: fixing possible
	  IsObsolete issue.

2008-09-22  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.Projects.Dom/AbstractMember.cs: fixed bug with interface
	  code completion.

2008-09-22  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.Projects.Dom/Modifiers.cs,
	  MonoDevelop.Projects.Dom/AbstractMember.cs: Worked on obsolete
	  detection.

2008-09-22  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.Projects.Dom.Parser/ProjectDom.cs,
	  MonoDevelop.Projects.Dom.Parser/ProjectDomService.cs: Changed
	  method name

2008-09-22  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.Projects.Dom.Parser/ProjectDomService.cs,
	  MonoDevelop.Projects.Dom.Serialization/ProjectCodeCompletionDatabase.cs:
	  projects now use their file name as key in the parser service.

2008-09-22  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.Projects.Dom.Parser/ProjectDom.cs,
	  MonoDevelop.Projects.Dom.Parser/ProjectDomService.cs,
	  MonoDevelop.Projects.Dom.Serialization/DatabaseProjectDom.cs: fixed
	  'Bug 427285 - Code Completion: Referenced projects not always shown
	  in code completion'.

2008-09-20  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.Projects.Dom/DomCecilCompilationUnit.cs,
	  MonoDevelop.Projects.Dom.Serialization/CodeCompletionDatabase.cs:
	  Fixed special name method bug.

2008-09-19  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Projects.Dom/CompoundType.cs: Remove file must return
	  true when removing the last file of the class.
	* MonoDevelop.Projects.Dom/ParsedDocument.cs: Fix some warnings.
	* MonoDevelop.Projects.Dom.Serialization/DomTypeProxy.cs,
	  MonoDevelop.Projects.Dom.Serialization/ClassEntry.cs,
	  MonoDevelop.Projects.Dom.Serialization/CodeCompletionDatabase.cs:
	  ClassEntry.Name must hold the class name without namespace.

2008-09-19  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.Projects.Dom.Parser/ProjectDom.cs,
	  MonoDevelop.Projects.Dom/ResolveResult.cs,
	  MonoDevelop.Projects.Dom/DomType.cs: fixed 'fixed 'Bug 427734 -
	  Code Completion issues with enums'.

2008-09-19  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.Projects.Dom/ResolveResult.cs: fixed enum issue.

2008-09-19  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.Projects.Dom/ResolveResult.cs: Removed debug
	  message/improved method resolve result.

2008-09-19  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.Projects.Dom/ResolveResult.cs,
	  MonoDevelop.Projects.Dom/IMember.cs,
	  MonoDevelop.Projects.Dom/AbstractMember.cs: fixed 'Bug 427649 -
	  Code Completion: protected methods shown in code completion'.

2008-09-19  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.Projects.Dom/ResolveResult.cs,
	  MonoDevelop.Projects.Dom/DomMethod.cs,
	  MonoDevelop.Projects.Dom.Serialization/DomPersistence.cs,
	  MonoDevelop.Projects.Dom.Serialization/CodeCompletionDatabase.cs:
	  fixed 'Bug 397930 - Navigation to generic method not working
	  correctly'.

2008-09-19  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.Projects.Dom/ResolveResult.cs: Found cleaner way for
	  method resolve result.

2008-09-18  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Projects.Dom/CompoundType.cs: Avoid adding duplicate
	  parts. Simplified the Update method. Properly set the base type of
	  the compound type.
	* MonoDevelop.Projects.Dom/DomAttribute.cs,
	  MonoDevelop.Projects.Dom/IAttribute.cs,
	  MonoDevelop.Projects.Dom/DomCecilAttribute.cs: Named and positional
	  arguments are now represented using CodeExpression objects.
	* MonoDevelop.Projects.Dom.Serialization/DomPersistence.cs: Store and
	  read attribute parameters.
	* MonoDevelop.Projects.Dom.Serialization/ClassEntry.cs: Set the
	  HasBaseTypes flag if the class has a base type.
	* MonoDevelop.Projects.Dom.Serialization/CodeCompletionDatabase.cs:
	  Bump db version.

2008-09-17  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Projects.Dom.Serialization/ProjectCodeCompletionDatabase.cs:
	  Remove debug code.

2008-09-17  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.Projects.Dom.Parser/ProjectDom.cs,
	  MonoDevelop.Projects.Dom/DomType.cs: fixed unit test issues.

2008-09-17  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.Projects.Dom.Parser/ProjectDom.cs: removed debug
	  message/fixed unit test little issue.

2008-09-17  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.Projects.Dom.Parser/ProjectDom.cs,
	  MonoDevelop.Projects.Dom.Parser/ProjectDomService.cs: Some changes
	  required for unit tests.

2008-09-16  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.Projects.Dom/DomMethod.cs,
	  MonoDevelop.Projects.Dom.Serialization/DomTypeProxy.cs: Removed
	  some debug messages.

2008-09-15  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.Projects.Dom/DomReturnType.cs,
	  MonoDevelop.Projects.Dom/DomParameter.cs,
	  MonoDevelop.Projects.Dom/DomMethod.cs,
	  MonoDevelop.Projects.Dom/DomProperty.cs,
	  MonoDevelop.Projects.Dom/AbstractMember.cs: CHANGE: DOM objects
	  that return collections now should always return != null.

2008-09-15  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.Projects.Dom/AbstractMember.cs: now recognizing internal
	  members in isaccessible.

2008-09-15  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Projects.Dom.Parser/ProjectDomService.cs,
	  MonoDevelop.Projects.mdp, Makefile.am: Renamed. Set correct path
	  for shared code completion data.

2008-09-15  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.Projects.Dom/ResolveResult.cs: Resolve result now gets
	  information about the calling member.

2008-09-15  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.Projects.Dom/DomMethod.cs: fixed regression 324907.

2008-09-15  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.Projects.Dom/ResolveResult.cs,
	  MonoDevelop.Projects.Dom.Serialization/DomTypeProxy.cs: worked on
	  resolve result bug.

2008-09-15  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.Projects.Dom.Output/OutputFlags.cs,
	  MonoDevelop.Projects.Dom.Output/Ambience.cs: Ambiences now take
	  care of the IncludeGenerics flag.

2008-09-12  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Projects.Dom.Parser/ProjectParserService.cs,
	  MonoDevelop.Projects.Dom/IType.cs: Set the source project dom to
	  types just after parsing.
	* MonoDevelop.Projects.Dom/DomType.cs: For inner types, return the
	  project dom of the parent class.

2008-09-12  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Projects.Dom/DomMethod.cs: Return an empty collection if
	  the method has no parameters.
	* MonoDevelop.Projects.Dom.Serialization/ParserDatabase.cs: Set the
	  source project to project doms.

2008-09-12  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.Projects.Dom.Parser/ProjectParserService.cs,
	  MonoDevelop.Projects.Dom/DomType.cs,
	  MonoDevelop.Projects.Dom/DomMethod.cs,
	  MonoDevelop.Projects.Dom/IType.cs,
	  MonoDevelop.Projects.Dom/AbstractMember.cs: Worked on monodoc xml
	  documentation optimization.

2008-09-12  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Projects.Dom.Parser/ITypeNameResolver.cs,
	  MonoDevelop.Projects.Dom.Parser/AbstractParser.cs,
	  MonoDevelop.Projects.Dom.Parser/ParseInformation.cs,
	  MonoDevelop.Projects.Dom.Parser/ParseInformationEventHandler.cs,
	  MonoDevelop.Projects.Dom.Parser/CommentTasksChangedEventHandler.cs,
	  MonoDevelop.Projects.Dom.Parser/ProjectParserService.cs,
	  MonoDevelop.Projects.Dom.Parser/TypeNameResolver.cs,
	  MonoDevelop.Projects.Dom.Parser/IParser.cs,
	  MonoDevelop.Projects.Dom.Parser/ProjectDomEventArgs.cs,
	  MonoDevelop.Projects.Dom.Parser/AssemblyInformationEventHandler.cs,
	  MonoDevelop.Projects.Dom.Parser/ProjectDom.cs,
	  MonoDevelop.Projects.Dom.Parser/IParserDatabase.cs,
	  MonoDevelop.Projects.Dom/ResolveResult.cs,
	  MonoDevelop.Projects.Dom/DomReturnType.cs,
	  MonoDevelop.Projects.Dom/TypeParameter.cs,
	  MonoDevelop.Projects.Dom/IUsing.cs,
	  MonoDevelop.Projects.Dom/DomAttribute.cs,
	  MonoDevelop.Projects.Dom/SearchTypeRequest.cs,
	  MonoDevelop.Projects.mdp,
	  MonoDevelop.Projects.CodeGeneration/RefactorerContext.cs,
	  MonoDevelop.Projects.CodeGeneration/BaseRefactorer.cs,
	  MonoDevelop.Projects.CodeGeneration/CodeRefactorer.cs, Makefile.am,
	  MonoDevelop.Projects.Dom.Serialization/ClassInformationEventHandler.cs,
	  MonoDevelop.Projects.Dom.Serialization/DatabaseProjectDom.cs,
	  MonoDevelop.Projects.Dom.Serialization/ProjectCodeCompletionDatabase.cs,
	  MonoDevelop.Projects.Dom.Serialization/ParserDatabase.cs,
	  MonoDevelop.Projects.Dom.Serialization/DomTypeProxy.cs,
	  MonoDevelop.Projects.Dom.Serialization/SimpleCodeCompletionDatabase.cs,
	  MonoDevelop.Projects.Dom.Serialization/DomPersistence.cs,
	  MonoDevelop.Projects.Dom.Serialization/IParserService.cs,
	  MonoDevelop.Projects.Dom.Serialization/ClassEntry.cs,
	  MonoDevelop.Projects.Dom.Serialization/AssemblyCodeCompletionDatabase.cs,
	  MonoDevelop.Projects.Dom.Serialization/CodeCompletionDatabase.cs:
	  Ported old code completion database to new dom.
	* MonoDevelop.Projects.Dom/DomCecilMethod.cs,
	  MonoDevelop.Projects.Dom/DomCecilType.cs: Properly read generics
	  information.
	* MonoDevelop.Projects.Dom/IMember.cs,
	  MonoDevelop.Projects.Dom/IType.cs: Removed unneeded setters.
	* MonoDevelop.Projects.Dom/DomType.cs: Factorized some type resolving
	  code into AbstractMember. Avoid returning null on collection
	  getters. Made member counters virtual.
	* MonoDevelop.Projects.Dom/DomUsing.cs: Avoid returning null on
	  collection getters.
	* MonoDevelop.Projects.Dom/DefaultParserContext.cs,
	  MonoDevelop.Projects.Dom/IParserContext.cs: Unused, removed.
	* MonoDevelop.Projects.Dom/DomMethod.cs,
	  MonoDevelop.Projects.Dom/DomEvent.cs,
	  MonoDevelop.Projects.Dom/DomField.cs,
	  MonoDevelop.Projects.Dom/DomProperty.cs,
	  MonoDevelop.Projects.Dom/AbstractMember.cs: Factorized some type
	  resolving code into AbstractMember.
	* MonoDevelop.Projects.Dom/ExpressionContext.cs: FilterEntry: Fix
	  filter condition. Should return true if the object has to be
	  filtered out.

2008-09-11  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.Projects.Dom/ParsedDocument.cs: Worked on fold
	  information update.

2008-09-10  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.Projects.Dom/DomType.cs,
	  MonoDevelop.Projects.Dom.Serialization/DatabaseProjectDom.cs,
	  MonoDevelop.Projects.Dom.Serialization/DomTypeProxy.cs: Worked on
	  type lookup.

2008-09-10  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.Projects.Dom/DomUsing.cs,
	  MonoDevelop.Projects.Dom/IUsing.cs: Added the information to
	  IUsing, if it came from namespace declaration.

2008-09-10  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.Projects.Dom.Parser/AbstractParser.cs,
	  MonoDevelop.Projects.Dom.Parser/ProjectParserService.cs,
	  MonoDevelop.Projects.Dom.Parser/IParser.cs,
	  MonoDevelop.Projects.Dom.Parser/ProjectDom.cs,
	  MonoDevelop.Projects.Dom/ParsedDocumentEventArgs.cs,
	  MonoDevelop.Projects.Dom/IDocumentMetainformation.cs,
	  MonoDevelop.Projects.Dom/ParsedDocument.cs,
	  MonoDevelop.Projects.Dom/CompilationUnit.cs,
	  MonoDevelop.Projects.Dom/ICompilationUnit.cs,
	  MonoDevelop.Projects.Dom/CompilationUnitEventArgs.cs,
	  MonoDevelop.Projects.CodeGeneration/BaseRefactorer.cs,
	  MonoDevelop.Projects.Dom.Serialization/DatabaseProjectDom.cs,
	  MonoDevelop.Projects.Dom.Serialization/ProjectCodeCompletionDatabase.cs,
	  MonoDevelop.Projects.Dom.Serialization/DomTypeProxy.cs: Changed
	  compilation unit/document meta information interface.

2008-09-10  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Projects.CodeGeneration/BaseRefactorer.cs,
	  MonoDevelop.Projects.CodeGeneration/CodeRefactorer.cs,
	  MonoDevelop.Projects.Dom.Output/Ambience.cs,
	  MonoDevelop.Projects.Dom.Output/AmbienceService.cs,
	  MonoDevelop.Projects.Dom.Output/NetAmbience.cs,
	  MonoDevelop.Projects.Dom.Serialization/DomTypeProxy.cs,
	  MonoDevelop.Projects.Dom/DomLocation.cs,
	  MonoDevelop.Projects.Dom/DomRegion.cs,
	  MonoDevelop.Projects.Dom/ExpressionContext.cs,
	  MonoDevelop.Projects.Dom/Namespace.cs: Fix warnings.

2008-09-09  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.Projects.Dom.Parser/ProjectParserService.cs,
	  MonoDevelop.Projects.Dom/CompoundType.cs,
	  MonoDevelop.Projects.Dom/CompilationUnit.cs,
	  MonoDevelop.Projects.Dom/ICompilationUnit.cs,
	  MonoDevelop.Projects.Dom/IType.cs,
	  MonoDevelop.Projects.Dom.Serialization/DatabaseProjectDom.cs,
	  MonoDevelop.Projects.Dom.Serialization/DomTypeProxy.cs,
	  MonoDevelop.Projects.Dom.Serialization/CodeCompletionDatabase.cs:
	  Worked on dom.

2008-09-09  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.Projects.Dom.Parser/ProjectParserService.cs,
	  MonoDevelop.Projects.Dom.Parser/ProjectDom.cs,
	  MonoDevelop.Projects.Dom/ResolveResult.cs,
	  MonoDevelop.Projects.Dom/DomType.cs,
	  MonoDevelop.Projects.Dom/IMethod.cs,
	  MonoDevelop.Projects.Dom/IProperty.cs,
	  MonoDevelop.Projects.Dom/DomMethod.cs,
	  MonoDevelop.Projects.Dom.Database/SqliteUtils.cs,
	  MonoDevelop.Projects.Dom.Database/HyenaSqliteCommand.cs,
	  MonoDevelop.Projects.Dom.Database/CodeCompletionDatabase.cs,
	  MonoDevelop.Projects.Dom.Database/DateTimeUtil.cs,
	  MonoDevelop.Projects.Dom.Database/DatabaseProjectDom.cs,
	  MonoDevelop.Projects.Dom.Database/MonoDevelopDatabaseConnection.cs,
	  MonoDevelop.Projects.Dom.Database/DatabaseCommand.cs,
	  MonoDevelop.Projects.Dom.Database/DatabaseParameter.cs,
	  MonoDevelop.Projects.Dom.Database/DatabaseMethod.cs,
	  MonoDevelop.Projects.Dom.Database/HyenaSqliteConnection.cs,
	  MonoDevelop.Projects.Dom.Database/DatabaseType.cs,
	  MonoDevelop.Projects.Dom.Database/DatabaseEvent.cs,
	  MonoDevelop.Projects.Dom.Database/DatabaseColumnAttribute.cs,
	  MonoDevelop.Projects.Dom.Database/DatabaseField.cs,
	  MonoDevelop.Projects.Dom.Database/DatabaseProperty.cs,
	  MonoDevelop.Projects.CodeGeneration/CodeRefactorer.cs,
	  MonoDevelop.Projects.Dom.Serialization/DatabaseProjectDom.cs,
	  MonoDevelop.Projects.Dom.Serialization/DomTypeProxy.cs,
	  MonoDevelop.Projects.Dom.Serialization/DomPersistence.cs,
	  MonoDevelop.Projects.Dom.Serialization/CodeCompletionDatabase.cs:
	  Activated custom code completion database.

2008-09-08  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.Projects.Dom/TypeParameter.cs,
	  MonoDevelop.Projects.Dom/DomUsing.cs,
	  MonoDevelop.Projects.Dom/IUsing.cs,
	  MonoDevelop.Projects.Dom/Modifiers.cs: Fixed some issues found by
	  unit testing.

2008-09-05  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.Projects.Dom.Parser/ProjectParserService.cs,
	  MonoDevelop.Projects.Dom.Parser/ProjectDom.cs,
	  MonoDevelop.Projects.Dom/DomCecilProperty.cs,
	  MonoDevelop.Projects.Dom/IProperty.cs,
	  MonoDevelop.Projects.Dom/DomProperty.cs,
	  MonoDevelop.Projects.Dom.Database/DatabaseProperty.cs,
	  MonoDevelop.Projects.Dom.Serialization/DatabaseProjectDom.cs,
	  MonoDevelop.Projects.Dom.Serialization/NamespaceEntry.cs,
	  MonoDevelop.Projects.Dom.Serialization/ProjectCodeCompletionDatabase.cs,
	  MonoDevelop.Projects.Dom.Serialization/FileEntry.cs,
	  MonoDevelop.Projects.Dom.Serialization/SimpleCodeCompletionDatabase.cs,
	  MonoDevelop.Projects.Dom.Serialization/DomTypeProxy.cs,
	  MonoDevelop.Projects.Dom.Serialization/DomPersistence.cs,
	  MonoDevelop.Projects.Dom.Serialization/ClassEntry.cs,
	  MonoDevelop.Projects.Dom.Serialization/AssemblyCodeCompletionDatabase.cs,
	  MonoDevelop.Projects.Dom.Serialization/CodeCompletionDatabase.cs:
	  Readded custom (binary) database.

2008-09-04  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.Projects.Dom.Parser/ProjectParserService.cs: Changed
	  parser threading.

2008-09-04  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.Projects.Dom.Database/CodeCompletionDatabase.cs: fixed
	  possible null ref.

2008-09-04  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.Projects.Dom.Database/CodeCompletionDatabase.cs: fixed
	  possible null ref.

2008-09-04  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.Projects.Dom.Database/HyenaSqliteCommand.cs,
	  MonoDevelop.Projects.Dom.Database/CodeCompletionDatabase.cs: Added
	  a lock for insert compilation unit.

2008-09-04  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.Projects.Dom.Database/HyenaSqliteCommand.cs: add debug
	  command tracing.

2008-09-04  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.Projects.Dom.Database/HyenaSqliteCommand.cs,
	  MonoDevelop.Projects.Dom.Database/HyenaSqliteConnection.cs: Changed
	  error message.

2008-09-04  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.Projects.Dom/ResolveResult.cs: fixed some resolve result
	  issues.

2008-09-04  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.Projects.Dom.Database/HyenaSqliteCommand.cs: changed
	  error message.

2008-09-04  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.Projects.Dom/DomAttribute.cs,
	  MonoDevelop.Projects.Dom/DomProperty.cs,
	  MonoDevelop.Projects.Dom.Database/CodeCompletionDatabase.cs: Some
	  dom enhancements.

2008-09-03  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.Projects.Dom.Parser/DatabaseProjectDom.cs,
	  MonoDevelop.Projects.Dom.Parser/ProjectParserService.cs,
	  MonoDevelop.Projects.mdp,
	  MonoDevelop.Projects.Dom.Database/DatabaseProjectDom.cs,
	  Makefile.am, MonoDevelop.Projects.Dom.Serialization,
	  MonoDevelop.Projects.Dom.Serialization/NamespaceEntry.cs,
	  MonoDevelop.Projects.Dom.Serialization/ProjectCodeCompletionDatabase.cs,
	  MonoDevelop.Projects.Dom.Serialization/FileEntry.cs,
	  MonoDevelop.Projects.Dom.Serialization/SimpleCodeCompletionDatabase.cs,
	  MonoDevelop.Projects.Dom.Serialization/DomTypeProxy.cs,
	  MonoDevelop.Projects.Dom.Serialization/DomPersistence.cs,
	  MonoDevelop.Projects.Dom.Serialization/ClassEntry.cs,
	  MonoDevelop.Projects.Dom.Serialization/AssemblyCodeCompletionDatabase.cs,
	  MonoDevelop.Projects.Dom.Serialization/CodeCompletionDatabase.cs:
	  Worked on custom database layer.

2008-09-03  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.Projects.Dom/AbstractMember.cs: member attributes are now
	  always != null.

2008-09-02  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.Projects.Dom.Parser/DatabaseProjectDom.cs: fixed bug with
	  compound types.

2008-08-22  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Projects/Project.cs: Fix nullref.
	* MonoDevelop.Projects.mdp: Updated.

2008-08-22  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.Projects.Dom/DomType.cs,
	  MonoDevelop.Projects.Dom/DomReturnType.cs,
	  MonoDevelop.Projects.Dom/AbstractMember.cs,
	  MonoDevelop.Projects.Dom.Database/HyenaSqliteConnection.cs,
	  MonoDevelop.Projects.Dom.Database/CodeCompletionDatabase.cs:
	  Optimized database layer.

2008-08-21  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.Projects.Dom/DomCecilProperty.cs,
	  MonoDevelop.Projects.Dom/DomProperty.cs: Fixed cecil indexer
	  loading.

2008-08-20  Dean Brettle <dean@brettle.com>

	* MonoDevelop.Projects.Formats.MD1/MD1DotNetProjectHandler.cs:
	Fixed bug 417791 by using "resgen1" (for ClrVersion.Net_1_1 )
	and "resgen2" for ClrVersion.Net_2_0, but only when the current
	runtime major version is greater than 1.

2008-08-20  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.Projects.Dom/ExpressionContext.cs: fixed possible null
	  ref.

2008-08-19  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.Projects.CodeGeneration/BaseRefactorer.cs: Fixed todos in
	  base refactorer.

2008-08-19  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.Projects.Dom.Parser/ProjectParserService.cs,
	  MonoDevelop.Projects.Dom/DomType.cs,
	  MonoDevelop.Projects.Dom/DomParameter.cs,
	  MonoDevelop.Projects.Dom/DomMethod.cs: Worked on dom.

2008-08-18  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Projects.Formats.MSBuild/MSBuildProjectHandler.cs: Commit
	  fix for bug bug #410408 - HintPath handling invalid. Based on patch
	  by Scott McNally.

2008-08-18  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.Projects.Dom/AbstractMember.cs: Worked on completion.

2008-08-15  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.Projects.Dom.Parser/ProjectParserService.cs,
	  MonoDevelop.Projects.Dom.Parser/ProjectDom.cs,
	  MonoDevelop.Projects.Dom/ResolveResult.cs,
	  MonoDevelop.Projects.Dom/ExpressionContext.cs: Removed some debug
	  messages.

2008-08-11  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.Projects.Dom/LocalVariable.cs: Changed  local variable
	  interface.

2008-08-08  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.Projects.Dom.Parser/ProjectDom.cs,
	  MonoDevelop.Projects.Dom/DomRegion.cs,
	  MonoDevelop.Projects.Dom/DomUsing.cs,
	  MonoDevelop.Projects.Dom/DomLocation.cs,
	  MonoDevelop.Projects.Dom.Database/HyenaSqliteCommand.cs,
	  MonoDevelop.Projects.Dom.Database/DatabaseType.cs,
	  MonoDevelop.Projects.Dom.Database/CodeCompletionDatabase.cs: Fixed
	  some bugs/worked on dom.

2008-08-08  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.Projects.Dom.Parser/DatabaseProjectDom.cs,
	  MonoDevelop.Projects.Dom/DomType.cs,
	  MonoDevelop.Projects.Dom.Database/HyenaSqliteCommand.cs,
	  MonoDevelop.Projects.Dom.Database/CodeCompletionDatabase.cs: Fixed
	  some bugs in the database layer.

2008-08-07  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.Projects.Dom.Output/NetAmbience.cs,
	  MonoDevelop.Projects.Dom/ResolveResult.cs,
	  MonoDevelop.Projects.Dom/IDomVisitor.cs,
	  MonoDevelop.Projects.Dom/LocalVariable.cs,
	  MonoDevelop.Projects.CodeGeneration/IRefactorer.cs,
	  MonoDevelop.Projects.CodeGeneration/BaseRefactorer.cs,
	  MonoDevelop.Projects.CodeGeneration/CodeRefactorer.cs: Worked on
	  dom

2008-08-07  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.Projects.Dom/AbstractMember.cs,
	  MonoDevelop.Projects.Dom.Database/DatabaseType.cs,
	  MonoDevelop.Projects.Dom.Database/CodeCompletionDatabase.cs: Worked
	  on database security & speedup.

2008-08-06  Eric Butler <eric@extremeboredom.net>

	* MonoDevelop.Projects/DotNetProject.cs: Add additional null check.

2008-08-06  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.Projects.Dom.Parser/DatabaseProjectDom.cs,
	  MonoDevelop.Projects.Dom.Parser/ProjectParserService.cs,
	  MonoDevelop.Projects.Dom.Database/DatabaseType.cs,
	  MonoDevelop.Projects.Dom.Database/CodeCompletionDatabase.cs: Worked
	  on code completion database.

2008-08-05  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Projects/ProjectService.cs: Request file edit permissions
	  when saving a project or solution.


2008-08-05  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.Projects.Dom.Parser/DatabaseProjectDom.cs,
	  MonoDevelop.Projects.Dom.Parser/ProjectParserService.cs,
	  MonoDevelop.Projects.Dom/IParserContext.cs,
	  MonoDevelop.Projects.Dom.Database/HyenaSqliteCommand.cs,
	  MonoDevelop.Projects.Dom.Database/CodeCompletionDatabase.cs: Worked
	  on datatabase layer.

2008-08-05  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.Projects.Dom.Database/CodeCompletionDatabase.cs: fixed
	  bug in sql statement.

2008-08-04  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.Projects.Dom.Parser/AbstractParser.cs,
	  MonoDevelop.Projects.Dom.Parser/ProjectParserService.cs,
	  MonoDevelop.Projects.Dom.Parser/IParser.cs,
	  MonoDevelop.Projects.Dom/DomCecilType.cs,
	  MonoDevelop.Projects.Dom.Database/DatabaseType.cs,
	  MonoDevelop.Projects.Dom.Database/CodeCompletionDatabase.cs: Worked
	  on dom/code completion db/parser and fixed a bug in the dom cecil
	  type loading.

2008-08-04  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.Projects.Dom.Parser/ProjectDom.cs,
	  MonoDevelop.Projects.Dom/ResolveResult.cs,
	  MonoDevelop.Projects.Dom/DomType.cs,
	  MonoDevelop.Projects.Dom/DomReturnType.cs,
	  MonoDevelop.Projects.Dom/IReturnType.cs: Worked on C#3 code
	  completion.

2008-08-04  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.Projects.Dom/DomReturnType.cs: fixed fullname bug in
	  return type.

2008-08-01  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.Projects.Dom.Parser/ProjectParserService.cs,
	  MonoDevelop.Projects.Dom/DomCecilMethod.cs,
	  MonoDevelop.Projects.Dom/DomReturnType.cs,
	  MonoDevelop.Projects.Dom/DomCecilType.cs,
	  MonoDevelop.Projects.Dom/IReturnType.cs,
	  MonoDevelop.Projects.Dom.Database/DatabaseType.cs,
	  MonoDevelop.Projects.Dom.Database/CodeCompletionDatabase.cs:
	  Changed return type representation (now it's possible to represent
	  types of the form A.B.C<GenArg>.Inner1<a1,...>,...,InnerN<aN,...>)

2008-08-01  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.Projects.Dom.Parser/DatabaseProjectDom.cs,
	  MonoDevelop.Projects.Dom.Parser/ProjectDom.cs,
	  MonoDevelop.Projects.Dom.Database/DatabaseType.cs,
	  MonoDevelop.Projects.Dom.Database/CodeCompletionDatabase.cs: Added
	  getsubclasslist operation.

2008-08-01  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.Projects.Dom/Namespace.cs,
	  MonoDevelop.Projects.Dom.Database/CodeCompletionDatabase.cs: Fixed
	  bug in getnamespace contents.

2008-07-31  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.Projects.Dom/ResolveResult.cs: worked on C#3 code
	  completion.

2008-07-30  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.Projects.Dom.Parser/DatabaseProjectDom.cs,
	  MonoDevelop.Projects.Dom.Parser/ProjectParserService.cs,
	  MonoDevelop.Projects.Dom.Parser/ProjectDom.cs,
	  MonoDevelop.Projects.Dom.Database/HyenaSqliteCommand.cs,
	  MonoDevelop.Projects.Dom.Database/DatabaseType.cs,
	  MonoDevelop.Projects.Dom.Database/CodeCompletionDatabase.cs: Worked
	  on code completion database, optimized SQL a bit. Tried out single
	  code completion database for assemblies.

2008-07-30  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.Projects.Dom.Parser/ProjectParserService.cs: Added
	  GetAssemblyProjectDom method.

2008-07-29  Michael Hutchinson <mhutchinson@novell.com> 

	* MonoDevelop.Projects.Dom.Database/MonoDevelopDatabaseConnection.cs,
	  MonoDevelop.Projects.Dom.Database/CodeCompletionDatabase.cs,
	  Makefile.am, MonoDevelop.Projects.mdp: Set some PRAGMAs (borrowed
	  from banshee) to make the database more performant. Threading's
	  looking worrying though.

2008-07-29  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.Projects/DotNetProject.cs, Makefile.am,
	  MonoDevelop.Projects.mdp: Removed some parts of the documentation
	  service.

2008-07-29  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.Projects/ILanguageBinding.cs,
	  MonoDevelop.Projects/ProjectsServices.cs,
	  MonoDevelop.Projects/LanguageBindingService.cs,
	  MonoDevelop.Projects/IDotNetLanguageBinding.cs,
	  MonoDevelop.Projects/Project.cs,
	  MonoDevelop.Projects.Dom.CodeGeneration,
	  MonoDevelop.Projects.Dom.CodeGeneration/CodeRefactorer.cs,
	  MonoDevelop.Projects.Dom.CodeGeneration/ICodeGenerator.cs,
	  MonoDevelop.Projects.Documentation,
	  MonoDevelop.Projects.Documentation/IDocumentationService.cs,
	  MonoDevelop.Projects.Dom.Parser/ProjectParserService.cs,
	  MonoDevelop.Projects.Dom.Output/AmbienceService.cs,
	  MonoDevelop.Projects.Dom/ReferenceEntry.cs,
	  MonoDevelop.Projects.Dom/DomRegion.cs, MonoDevelop.Projects.mdp,
	  MonoDevelop.Projects.Parser,
	  MonoDevelop.Projects.Parser/AbstractDecoration.cs,
	  MonoDevelop.Projects.Parser/ReturnTypeList.cs,
	  MonoDevelop.Projects.Parser/GenericParameter.cs,
	  MonoDevelop.Projects.Parser/IClass.cs,
	  MonoDevelop.Projects.Parser/MemberCollectionBase.cs,
	  MonoDevelop.Projects.Parser/AttributeCollection.cs,
	  MonoDevelop.Projects.Parser/ReflectionClass.cs,
	  MonoDevelop.Projects.Parser/ReferenceEntry.cs,
	  MonoDevelop.Projects.Parser/ParseInformationEventHandler.cs,
	  MonoDevelop.Projects.Parser/ParseInformation.cs,
	  MonoDevelop.Projects.Parser/PersistentClass.cs,
	  MonoDevelop.Projects.Parser/AssemblyCodeCompletionDatabase.cs,
	  MonoDevelop.Projects.Parser/IMethod.cs,
	  MonoDevelop.Projects.Parser/MethodCollection.cs,
	  MonoDevelop.Projects.Parser/IProperty.cs,
	  MonoDevelop.Projects.Parser/EventCollection.cs,
	  MonoDevelop.Projects.Parser/IUsing.cs,
	  MonoDevelop.Projects.Parser/FieldCollection.cs,
	  MonoDevelop.Projects.Parser/IDecoration.cs,
	  MonoDevelop.Projects.Parser/PersistentMethod.cs,
	  MonoDevelop.Projects.Parser/TypedCSharpCollection.cs,
	  MonoDevelop.Projects.Parser/DefaultIndexer.cs,
	  MonoDevelop.Projects.Parser/TypeNameResolver.cs,
	  MonoDevelop.Projects.Parser/PersistentProperty.cs,
	  MonoDevelop.Projects.Parser/DefaultComment.cs,
	  MonoDevelop.Projects.Parser/AbstractUsing.cs,
	  MonoDevelop.Projects.Parser/DatabaseGeneratorTool.cs,
	  MonoDevelop.Projects.Parser/CompoundClass.cs,
	  MonoDevelop.Projects.Parser/ClassInformationEventHandler.cs,
	  MonoDevelop.Projects.Parser/Tag.cs,
	  MonoDevelop.Projects.Parser/IAttribute.cs,
	  MonoDevelop.Projects.Parser/NamespaceEntry.cs,
	  MonoDevelop.Projects.Parser/LanguageItemCollection.cs,
	  MonoDevelop.Projects.Parser/DefaultParserService.cs,
	  MonoDevelop.Projects.Parser/CommentTasksChangedEventHandler.cs,
	  MonoDevelop.Projects.Parser/ICompilationUnitBase.cs,
	  MonoDevelop.Projects.Parser/PersistentAttribute.cs,
	  MonoDevelop.Projects.Parser/AssemblyInformation.cs,
	  MonoDevelop.Projects.Parser/AssemblyInformationEventHandler.cs,
	  MonoDevelop.Projects.Parser/ICompilationUnit.cs,
	  MonoDevelop.Projects.Parser/IParameter.cs,
	  MonoDevelop.Projects.Parser/PersistentGenericParamater.cs,
	  MonoDevelop.Projects.Parser/IEvent.cs,
	  MonoDevelop.Projects.Parser/IReturnType.cs,
	  MonoDevelop.Projects.Parser/ReflectionParameter.cs,
	  MonoDevelop.Projects.Parser/AbstractMember.cs,
	  MonoDevelop.Projects.Parser/ReflectionEvent.cs,
	  MonoDevelop.Projects.Parser/Namespace.cs,
	  MonoDevelop.Projects.Parser/IField.cs,
	  MonoDevelop.Projects.Parser/IRegion.cs,
	  MonoDevelop.Projects.Parser/ReflectionField.cs,
	  MonoDevelop.Projects.Parser/IExpressionFinder.cs,
	  MonoDevelop.Projects.Parser/PersistentParameter.cs,
	  MonoDevelop.Projects.Parser/FileEntry.cs,
	  MonoDevelop.Projects.Parser/PersistentReturnType.cs,
	  MonoDevelop.Projects.Parser/PersistentEvent.cs,
	  MonoDevelop.Projects.Parser/PersistentField.cs,
	  MonoDevelop.Projects.Parser/ExpressionContext.cs,
	  MonoDevelop.Projects.Parser/AbstractNamedEntity.cs,
	  MonoDevelop.Projects.Parser/IParser.cs,
	  MonoDevelop.Projects.Parser/PersistentAttributeSection.cs,
	  MonoDevelop.Projects.Parser/GenericParameterList.cs,
	  MonoDevelop.Projects.Parser/DefaultClass.cs,
	  MonoDevelop.Projects.Parser/ITypeNameResolver.cs,
	  MonoDevelop.Projects.Parser/CommentCollection.cs,
	  MonoDevelop.Projects.Parser/IMember.cs,
	  MonoDevelop.Projects.Parser/ProjectCodeCompletionDatabase.cs,
	  MonoDevelop.Projects.Parser/DefaultMethod.cs,
	  MonoDevelop.Projects.Parser/ClassEntry.cs,
	  MonoDevelop.Projects.Parser/TagCollection.cs,
	  MonoDevelop.Projects.Parser/DefaultProperty.cs,
	  MonoDevelop.Projects.Parser/ReflectionMethod.cs,
	  MonoDevelop.Projects.Parser/ParameterCollection.cs,
	  MonoDevelop.Projects.Parser/ExpressionResult.cs,
	  MonoDevelop.Projects.Parser/ReflectionProperty.cs,
	  MonoDevelop.Projects.Parser/PropertyCollection.cs,
	  MonoDevelop.Projects.Parser/Comment.cs,
	  MonoDevelop.Projects.Parser/SimpleCodeCompletionDatabase.cs,
	  MonoDevelop.Projects.Parser/ClassWrapper.cs,
	  MonoDevelop.Projects.Parser/IIndexer.cs,
	  MonoDevelop.Projects.Parser/ClassType.cs,
	  MonoDevelop.Projects.Parser/DefaultAttribute.cs,
	  MonoDevelop.Projects.Parser/ReflectionIndexer.cs,
	  MonoDevelop.Projects.Parser/ILanguageItem.cs,
	  MonoDevelop.Projects.Parser/IComment.cs,
	  MonoDevelop.Projects.Parser/PersistentIndexer.cs,
	  MonoDevelop.Projects.Parser/ClassCollection.cs,
	  MonoDevelop.Projects.Parser/DefaultCompilationUnit.cs,
	  MonoDevelop.Projects.Parser/ModifierEnum.cs,
	  MonoDevelop.Projects.Parser/DefaultParameter.cs,
	  MonoDevelop.Projects.Parser/IParserService.cs,
	  MonoDevelop.Projects.Parser/DefaultReturnType.cs,
	  MonoDevelop.Projects.Parser/DefaultEvent.cs,
	  MonoDevelop.Projects.Parser/DefaultField.cs,
	  MonoDevelop.Projects.Parser/DefaultRegion.cs,
	  MonoDevelop.Projects.Parser/CodeCompletionDatabase.cs,
	  MonoDevelop.Projects.Parser/ReflectionReturnType.cs,
	  MonoDevelop.Projects.Parser/ParameterModifier.cs,
	  MonoDevelop.Projects.Parser/LocalVariable.cs,
	  MonoDevelop.Projects.Parser/AttributeSectionCollection.cs,
	  MonoDevelop.Projects.Parser/IUsingCollection.cs: Removed old dom
	  (GPLed code goes down from over 30% to under 10%)

2008-07-29  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.Projects.Dom.Parser/ProjectDom.cs,
	  MonoDevelop.Projects.Dom.Output/OutputFlags.cs,
	  MonoDevelop.Projects.Dom/IMember.cs,
	  MonoDevelop.Projects.Dom/DomParameter.cs,
	  MonoDevelop.Projects.Dom/IParameter.cs,
	  MonoDevelop.Projects.Dom/AbstractMember.cs,
	  MonoDevelop.Projects.CodeGeneration/RefactorerContext.cs,
	  MonoDevelop.Projects.CodeGeneration/IRefactorer.cs,
	  MonoDevelop.Projects.CodeGeneration/BaseRefactorer.cs,
	  MonoDevelop.Projects.CodeGeneration/CodeRefactorer.cs: Converted
	  refactoring infrastructure to new dom.

2008-07-28  Michael Hutchinson <mhutchinson@novell.com> 

	* MonoDevelop.Projects.Dom/CompilationUnit.cs,
	  MonoDevelop.Projects.Dom/ICompilationUnit.cs: Use the FoldingRegion
	  class for folding regions.

2008-07-27  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.Projects.Dom.Database/DatabaseType.cs: database type
	  caches compilation unit.

2008-07-27  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.Projects.Dom.CodeGeneration,
	  MonoDevelop.Projects.Dom.CodeGeneration/CodeRefactorer.cs,
	  MonoDevelop.Projects.Dom.CodeGeneration/ICodeGenerator.cs,
	  MonoDevelop.Projects.Dom.Parser/DatabaseProjectDom.cs,
	  MonoDevelop.Projects.Dom.Parser/AbstractParser.cs,
	  MonoDevelop.Projects.Dom.Parser/ProjectParserService.cs,
	  MonoDevelop.Projects.Dom.Parser/IParser.cs,
	  MonoDevelop.Projects.Dom.Parser/ProjectDom.cs,
	  MonoDevelop.Projects.Dom.Parser/IResolver.cs,
	  MonoDevelop.Projects.Dom.Output/Ambience.cs,
	  MonoDevelop.Projects.Dom.Output/AmbienceService.cs,
	  MonoDevelop.Projects.Dom.Output/NetAmbience.cs,
	  MonoDevelop.Projects.Dom/ResolveResult.cs,
	  MonoDevelop.Projects.Dom/DomCecilParameter.cs,
	  MonoDevelop.Projects.Dom/DomType.cs,
	  MonoDevelop.Projects.Dom/DomCecilField.cs,
	  MonoDevelop.Projects.Dom/DomCecilProperty.cs,
	  MonoDevelop.Projects.Dom/PreProcessorDefine.cs,
	  MonoDevelop.Projects.Dom/IDocumentMetainformation.cs,
	  MonoDevelop.Projects.Dom/IAttribute.cs,
	  MonoDevelop.Projects.Dom/NamespaceEntry.cs,
	  MonoDevelop.Projects.Dom/CompilationUnit.cs,
	  MonoDevelop.Projects.Dom/DomMethod.cs,
	  MonoDevelop.Projects.Dom/DomCecilType.cs,
	  MonoDevelop.Projects.Dom/DomTypeProxy.cs,
	  MonoDevelop.Projects.Dom/ICompilationUnit.cs,
	  MonoDevelop.Projects.Dom/IReturnType.cs,
	  MonoDevelop.Projects.Dom/AbstractMember.cs,
	  MonoDevelop.Projects.Dom/IExpressionFinder.cs,
	  MonoDevelop.Projects.Dom/FileEntry.cs,
	  MonoDevelop.Projects.Dom/DomLocation.cs,
	  MonoDevelop.Projects.Dom/ProjectCodeCompletionDatabase.cs,
	  MonoDevelop.Projects.Dom/DomCecilMethod.cs,
	  MonoDevelop.Projects.Dom/IMember.cs,
	  MonoDevelop.Projects.Dom/DomReturnType.cs,
	  MonoDevelop.Projects.Dom/DomRegion.cs,
	  MonoDevelop.Projects.Dom/DomUsing.cs,
	  MonoDevelop.Projects.Dom/FoldingRegion.cs,
	  MonoDevelop.Projects.Dom/ClassEntry.cs,
	  MonoDevelop.Projects.Dom/Comment.cs,
	  MonoDevelop.Projects.Dom/SimpleCodeCompletionDatabase.cs,
	  MonoDevelop.Projects.Dom/DomAttribute.cs,
	  MonoDevelop.Projects.Dom/DefaultParserContext.cs,
	  MonoDevelop.Projects.Dom/DomCecilReturnType.cs,
	  MonoDevelop.Projects.Dom/Modifiers.cs,
	  MonoDevelop.Projects.Dom/DomPersistence.cs,
	  MonoDevelop.Projects.Dom/DomProperty.cs,
	  MonoDevelop.Projects.Dom/CodeCompletionDatabase.cs,
	  MonoDevelop.Projects.Dom/DomCecilAttribute.cs,
	  MonoDevelop.Projects.Dom.Database,
	  MonoDevelop.Projects.Dom.Database/SqliteUtils.cs,
	  MonoDevelop.Projects.Dom.Database/DatabaseCommand.cs,
	  MonoDevelop.Projects.Dom.Database/HyenaSqliteCommand.cs,
	  MonoDevelop.Projects.Dom.Database/DatabaseMethod.cs,
	  MonoDevelop.Projects.Dom.Database/DatabaseParameter.cs,
	  MonoDevelop.Projects.Dom.Database/HyenaSqliteConnection.cs,
	  MonoDevelop.Projects.Dom.Database/DatabaseColumnAttribute.cs,
	  MonoDevelop.Projects.Dom.Database/DatabaseType.cs,
	  MonoDevelop.Projects.Dom.Database/DatabaseEvent.cs,
	  MonoDevelop.Projects.Dom.Database/DatabaseField.cs,
	  MonoDevelop.Projects.Dom.Database/CodeCompletionDatabase.cs,
	  MonoDevelop.Projects.Dom.Database/DatabaseProperty.cs,
	  MonoDevelop.Projects.Dom.Database/DateTimeUtil.cs,
	  MonoDevelop.Projects.Parser/DefaultParserService.cs: Worked on new
	  dom/completion/database.

2008-07-21  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Projects.Extensions/ProjectExtensionUtil.cs:
	  EndLoadOperation: properly check for an existing load operation.

2008-07-21  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Projects/PropertyBag.cs: Fix creation of default value in
	  GetValue.

2008-07-21  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Projects/Project.cs: Don't set the dirty flag when the
	  project is being loaded.

2008-07-21  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Projects/AbstractProjectConfiguration.cs,
	  MonoDevelop.Projects/DotNetProject.cs: Allow specifying env vars to
	  be set when running the project.
	* Makefile.am: Moved serialization engine to MonoDevelop.Core.

2008-07-21  Lluis Sanchez Gual <lluis@novell.com> 

	* md1format.xml, MonoDevelop.Projects.Formats.MD1/CmbxFileFormat.cs,
	  MonoDevelop.Projects.Formats.MD1/CombineConfiguration.cs,
	  MonoDevelop.Projects.Formats.MD1/CombineConfigurationEntry.cs,
	  MonoDevelop.Projects.Formats.MD1/CombineConfigurationSet.cs,
	  MonoDevelop.Projects.Formats.MD1/CombineStartupMode.cs,
	  MonoDevelop.Projects.Formats.MD1/MD1CustomDataItem.cs,
	  MonoDevelop.Projects.Formats.MD1/MD1FileFormat.cs,
	  MonoDevelop.Projects.Formats.MD1/MD1ProjectService.cs,
	  MonoDevelop.Projects.Formats.MD1/PrjxFileFormat.cs,
	  MonoDevelop.Projects.Formats.MSBuild/MSBuildProjectHandler.cs,
	  MonoDevelop.Projects.Formats.MSBuild/MSBuildProjectService.cs,
	  MonoDevelop.Projects.Formats.MSBuild/SlnFileFormat.cs,
	  MonoDevelop.Projects.mdp, MonoDevelop.Projects.Serialization,
	  MonoDevelop.Projects.Serialization/ArrayHandler.cs,
	  MonoDevelop.Projects.Serialization/ArrayListHandler.cs,
	  MonoDevelop.Projects.Serialization/ClassDataType.cs,
	  MonoDevelop.Projects.Serialization/CollectionDataType.cs,
	  MonoDevelop.Projects.Serialization/DataCollection.cs,
	  MonoDevelop.Projects.Serialization/DataContext.cs,
	  MonoDevelop.Projects.Serialization/DataIncludeAttribute.cs,
	  MonoDevelop.Projects.Serialization/DataItem.cs,
	  MonoDevelop.Projects.Serialization/DataItemAttribute.cs,
	  MonoDevelop.Projects.Serialization/DataNode.cs,
	  MonoDevelop.Projects.Serialization/DataSerializer.cs,
	  MonoDevelop.Projects.Serialization/DataType.cs,
	  MonoDevelop.Projects.Serialization/DataValue.cs,
	  MonoDevelop.Projects.Serialization/EnumDataType.cs,
	  MonoDevelop.Projects.Serialization/ExpandedCollectionAttribute.cs,
	  MonoDevelop.Projects.Serialization/GenericCollectionHandler.cs,
	  MonoDevelop.Projects.Serialization/ICollectionHandler.cs,
	  MonoDevelop.Projects.Serialization/ICustomDataItemHandler.cs,
	  MonoDevelop.Projects.Serialization/IExtendedDataItem.cs,
	  MonoDevelop.Projects.Serialization/ILoadController.cs,
	  MonoDevelop.Projects.Serialization/IPropertyFilter.cs,
	  MonoDevelop.Projects.Serialization/ISerializationAttributeProvider.cs,
	  MonoDevelop.Projects.Serialization/ItemProperty.cs,
	  MonoDevelop.Projects.Serialization/ItemPropertyAttribute.cs,
	  MonoDevelop.Projects.Serialization/PrimitiveDataType.cs,
	  MonoDevelop.Projects.Serialization/SerializationContext.cs,
	  MonoDevelop.Projects.Serialization/TypeAttributeProvider.cs,
	  MonoDevelop.Projects.Serialization/XmlDataSerializer.cs,
	  MonoDevelop.Projects.Serialization/XmlElementDataType.cs,
	  MonoDevelop.Projects.Serialization/XmlMapAttributeProvider.cs,
	  MonoDevelop.Projects/CustomCommand.cs,
	  MonoDevelop.Projects/DotNetProjectBinding.cs,
	  MonoDevelop.Projects/DotNetProjectConfiguration.cs,
	  MonoDevelop.Projects/GenericProjectBinding.cs,
	  MonoDevelop.Projects/IProjectService.cs,
	  MonoDevelop.Projects/ItemConfiguration.cs,
	  MonoDevelop.Projects/IWorkspaceObject.cs,
	  MonoDevelop.Projects/Project.cs,
	  MonoDevelop.Projects/ProjectFile.cs,
	  MonoDevelop.Projects/ProjectPathItemPropertyAttribute.cs,
	  MonoDevelop.Projects/ProjectReference.cs,
	  MonoDevelop.Projects/ProjectService.cs,
	  MonoDevelop.Projects/PropertyBag.cs,
	  MonoDevelop.Projects/Solution.cs,
	  MonoDevelop.Projects/SolutionConfiguration.cs,
	  MonoDevelop.Projects/SolutionEntityItem.cs,
	  MonoDevelop.Projects/SolutionFolder.cs,
	  MonoDevelop.Projects/SolutionItem.cs,
	  MonoDevelop.Projects/SolutionItemConfiguration.cs,
	  MonoDevelop.Projects/SolutionItemReference.cs,
	  MonoDevelop.Projects/UnknownConfiguration.cs,
	  MonoDevelop.Projects/Workspace.cs,
	  MonoDevelop.Projects/WorkspaceItem.cs: Moved serialization engine
	  to MonoDevelop.Core. Use new syntax for specifying attribute scope.

2008-07-21  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Projects.Formats.MSBuild/MSBuildProjectHandler.cs: Read
	  and write the RequiredTargetFramework property for ProjectReference
	  objects.

2008-07-21  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Projects.Formats.MSBuild/MSBuildProjectHandler.cs: (Save)
	  Use the referenced project's ID, not our ID. Patch by Casey
	  Marshall.

2008-07-17  Mike Kestner <mkestner@novell.com> 

	* MonoDevelop.Projects.CodeGeneration/BaseRefactorer.cs:
	* MonoDevelop.Projects.CodeGeneration/CodeRefactorer.cs:
	* MonoDevelop.Projects.CodeGeneration/IRefactorer.cs:
	* MonoDevelop.Projects.CodeGeneration/RefactorOperations.cs:
	  New AddAttribute refactoring operation to insert attributes
	  on class declarations.

2008-07-17  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Projects.Serialization/XmlDataSerializer.cs,
	  MonoDevelop.Projects.Serialization/DataValue.cs: Improve
	  serialization of DataNodes into xml.

2008-07-16  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.Projects.Parser/DefaultParserService.cs: fixed Bug 409542
	  - Code completion database regeneration yielding empty databases.

2008-07-16  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.Projects.Dom.Parser/ProjectDom.cs,
	  MonoDevelop.Projects.Dom/ExpressionResult.cs: some bugfixes.

2008-07-16  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.Projects.Dom/DomType.cs,
	  MonoDevelop.Projects.Dom/DomMethod.cs,
	  MonoDevelop.Projects.Dom/IReturnType.cs,
	  MonoDevelop.Projects.Dom/AbstractMember.cs,
	  MonoDevelop.Projects.Dom/IMember.cs: Added monodoc documentation
	  support.

2008-07-16  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.Projects.Dom.Parser/ProjectParserService.cs,
	  MonoDevelop.Projects.Dom/ResolveResult.cs,
	  MonoDevelop.Projects.Dom/DomType.cs,
	  MonoDevelop.Projects.Dom/IProperty.cs,
	  MonoDevelop.Projects.Dom/DomMethod.cs,
	  MonoDevelop.Projects.Dom/DomCecilType.cs,
	  MonoDevelop.Projects.Dom/AbstractMember.cs,
	  MonoDevelop.Projects.Dom/Namespace.cs,
	  MonoDevelop.Projects.Dom/IMember.cs,
	  MonoDevelop.Projects.Dom/DomEvent.cs,
	  MonoDevelop.Projects.Dom/DomField.cs,
	  MonoDevelop.Projects.Dom/DomProperty.cs: Added help support for new
	  dom.

2008-07-15  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.Projects.Dom.Parser/ProjectParserService.cs,
	  MonoDevelop.Projects.Dom.Parser/ProjectDom.cs,
	  MonoDevelop.Projects.Dom/DomType.cs,
	  MonoDevelop.Projects.Dom/IParserContext.cs,
	  MonoDevelop.Projects.Dom/IType.cs,
	  MonoDevelop.Projects.Dom/ExpressionContext.cs,
	  MonoDevelop.Projects.Dom/ProjectCodeCompletionDatabase.cs,
	  MonoDevelop.Projects.Dom/DomReturnType.cs,
	  MonoDevelop.Projects.Dom/DefaultParserContext.cs,
	  MonoDevelop.Projects.Dom/CodeCompletionDatabase.cs: Worked on new
	  dom. 

2008-07-15  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.Projects.Dom.Parser/ProjectParserService.cs,
	  MonoDevelop.Projects.Dom.Parser/ProjectDom.cs: Fixed referenced
	  projects bug in new dom.

2008-07-15  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.Projects.Dom.Parser/ProjectParserService.cs,
	  MonoDevelop.Projects.Dom.Parser/ProjectDom.cs,
	  MonoDevelop.Projects.Dom/DomCecilType.cs,
	  MonoDevelop.Projects.Dom/DomCecilCompilationUnit.cs,
	  MonoDevelop.Projects.Parser/DefaultParserService.cs: Optimized
	  cecil loading.

2008-07-14  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.Projects.Dom.Parser/ProjectParserService.cs,
	  MonoDevelop.Projects.Dom.Parser/ProjectDom.cs: Added parserdatabase
	  update thread.

2008-07-14  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.Projects.Dom.Parser/AbstractParser.cs,
	  MonoDevelop.Projects.Dom.Parser/ProjectParserService.cs,
	  MonoDevelop.Projects.Dom.Parser/IParser.cs,
	  MonoDevelop.Projects.Dom.Output/AmbienceService.cs,
	  MonoDevelop.Projects.Dom/PreProcessorDefine.cs,
	  MonoDevelop.Projects.Dom/IDocumentMetainformation.cs,
	  MonoDevelop.Projects.Dom/NamespaceEntry.cs,
	  MonoDevelop.Projects.Dom/FoldingRegion.cs,
	  MonoDevelop.Projects.Dom/ClassEntry.cs,
	  MonoDevelop.Projects.Dom/ConditionalRegion.cs: Added support for
	  comments/foldings (old) and pre processor defines/conditional
	  regions (new) to the new dom infrastructure.

2008-07-14  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.Projects.Dom.Parser/ProjectDom.cs,
	  MonoDevelop.Projects.Dom/ResolveResult.cs,
	  MonoDevelop.Projects.Dom/DomType.cs: Fixed inner types.

2008-07-13  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.Projects.Dom.Parser/ProjectDom.cs,
	  MonoDevelop.Projects.Dom/AbstractMember.cs,
	  MonoDevelop.Projects.Dom/ExpressionContext.cs,
	  MonoDevelop.Projects.Dom/IMember.cs: Worked on code completion.

2008-07-12  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.Projects.Dom/DomType.cs,
	  MonoDevelop.Projects.Dom/IType.cs: Some dom changes.

2008-07-11  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.Projects.Dom/DomType.cs,
	  MonoDevelop.Projects.Dom/DomMethod.cs,
	  MonoDevelop.Projects.Dom/IParameter.cs,
	  MonoDevelop.Projects.Dom/IType.cs,
	  MonoDevelop.Projects.Dom/ExpressionContext.cs,
	  MonoDevelop.Projects.Dom/DomParameter.cs: Worked on new dom.

2008-07-11  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.Projects.Dom.Parser/ProjectParserService.cs: changed
	  parser serivce thread safety.

2008-07-10  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.Projects.Dom.Output/NetAmbience.cs,
	  MonoDevelop.Projects.Dom/ResolveResult.cs,
	  MonoDevelop.Projects.Dom/DomType.cs,
	  MonoDevelop.Projects.Dom/DomTypeProxy.cs,
	  MonoDevelop.Projects.Dom/ExpressionContext.cs,
	  MonoDevelop.Projects.Dom/DomPersistence.cs,
	  MonoDevelop.Projects.Parser/DefaultParserService.cs: Worked on code
	  completion.

2008-07-10  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.Projects.Dom.Parser/ProjectDom.cs,
	  MonoDevelop.Projects.Dom/ExpressionContext.cs,
	  MonoDevelop.Projects.Dom/ExpressionResult.cs: Worked on code
	  completion.

2008-07-09  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Projects.Formats.MSBuild/MSBuildProjectHandler.cs,
	  MonoDevelop.Projects.Extensions/ProjectExtensionUtil.cs,
	  MonoDevelop.Projects.Extensions/ISolutionItemHandler.cs: Added
	  support for path encoding/decoding specific to the file format.

2008-07-09  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.Projects.Dom/ResolveResult.cs,
	  MonoDevelop.Projects.Dom/DomReturnType.cs: Worked on new dom.

2008-07-09  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.Projects.Dom/CompoundType.cs: Worked on dom.

2008-07-09  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.Projects.Dom.Parser/ProjectDom.cs,
	  MonoDevelop.Projects.Dom.Output/Ambience.cs,
	  MonoDevelop.Projects.Dom.Output/NetAmbience.cs,
	  MonoDevelop.Projects.Dom/ResolveResult.cs,
	  MonoDevelop.Projects.Dom/DomType.cs,
	  MonoDevelop.Projects.Dom/IType.cs: Worked on method completion.

2008-07-08  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.Projects.Dom.Parser/ProjectParserService.cs,
	  MonoDevelop.Projects.Dom.Parser/ProjectDom.cs,
	  MonoDevelop.Projects.Dom/ResolveResult.cs,
	  MonoDevelop.Projects.Dom/DomType.cs,
	  MonoDevelop.Projects.Dom/IType.cs: Worked on completion.

2008-07-08  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.Projects.Dom/DomType.cs,
	  MonoDevelop.Projects.Dom/AbstractMember.cs,
	  MonoDevelop.Projects.Dom/Namespace.cs,
	  MonoDevelop.Projects.Dom/ClassEntry.cs,
	  MonoDevelop.Projects.Dom/StringRegistry.cs: Removed string registry
	  (it's obsolete).

2008-07-08  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.Projects.Dom.Parser/ProjectParserService.cs,
	  MonoDevelop.Projects.Dom/DomCecilParameter.cs,
	  MonoDevelop.Projects.Dom/DomCecilEvent.cs,
	  MonoDevelop.Projects.Dom/DomType.cs,
	  MonoDevelop.Projects.Dom/DomCecilField.cs,
	  MonoDevelop.Projects.Dom/DomCecilProperty.cs,
	  MonoDevelop.Projects.Dom/StringRegistry.cs,
	  MonoDevelop.Projects.Dom/DomMethod.cs,
	  MonoDevelop.Projects.Dom/DomCecilType.cs,
	  MonoDevelop.Projects.Dom/AbstractMember.cs,
	  MonoDevelop.Projects.Dom/Namespace.cs,
	  MonoDevelop.Projects.Dom/DomCecilCompilationUnit.cs,
	  MonoDevelop.Projects.Dom/DomCecilMethod.cs,
	  MonoDevelop.Projects.Dom/DomUsing.cs,
	  MonoDevelop.Projects.Dom/CompoundType.cs,
	  MonoDevelop.Projects.Dom/ClassEntry.cs,
	  MonoDevelop.Projects.Dom/DomAttribute.cs,
	  MonoDevelop.Projects.Dom/DomParameter.cs,
	  MonoDevelop.Projects.Dom/DomEvent.cs,
	  MonoDevelop.Projects.Dom/DomField.cs,
	  MonoDevelop.Projects.Dom/DomPersistence.cs,
	  MonoDevelop.Projects.Dom/DomProperty.cs,
	  MonoDevelop.Projects.Dom/CodeCompletionDatabase.cs: Did some memory
	  optimizations.

2008-07-07  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.Projects.Dom/ResolveResult.cs: Worked on completion.

2008-07-07  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.Projects.Dom.Parser/ProjectParserService.cs,
	  MonoDevelop.Projects.Dom.Parser/ProjectDom.cs,
	  MonoDevelop.Projects.Dom/ResolveResult.cs,
	  MonoDevelop.Projects.Dom/DomType.cs,
	  MonoDevelop.Projects.Dom/AssemblyCodeCompletionDatabase.cs,
	  MonoDevelop.Projects.Dom/CompilationUnit.cs,
	  MonoDevelop.Projects.Dom/ICompilationUnit.cs,
	  MonoDevelop.Projects.Dom/Namespace.cs,
	  MonoDevelop.Projects.Dom/ExpressionContext.cs,
	  MonoDevelop.Projects.Dom/DomCecilCompilationUnit.cs,
	  MonoDevelop.Projects.Dom/CodeCompletionDatabase.cs: Worked on dom.

2008-07-04  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.Projects.Parser/DefaultCompilationUnit.cs: fixed Bug
	  405930 - FoldingRegions in compilation units are all folded by
	  default

2008-07-03  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.Projects.Dom.Parser/ProjectParserService.cs,
	  MonoDevelop.Projects.Dom.Parser/ProjectDom.cs,
	  MonoDevelop.Projects.Dom/AssemblyCodeCompletionDatabase.cs,
	  MonoDevelop.Projects.Dom/DomCecilCompilationUnit.cs: Worked on new
	  dom. (resolving in the c# backend now works).

2008-07-03  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.Projects.Dom.Parser/ProjectParserService.cs,
	  MonoDevelop.Projects.Dom.Parser/ProjectDom.cs,
	  MonoDevelop.Projects.Dom/ResolveResult.cs,
	  MonoDevelop.Projects.Dom/DomType.cs,
	  MonoDevelop.Projects.Dom/AssemblyCodeCompletionDatabase.cs,
	  MonoDevelop.Projects.Dom/DomMethod.cs,
	  MonoDevelop.Projects.Dom/DomCecilType.cs,
	  MonoDevelop.Projects.Dom/DomTypeProxy.cs,
	  MonoDevelop.Projects.Dom/DomReturnType.cs,
	  MonoDevelop.Projects.Dom/CompoundType.cs,
	  MonoDevelop.Projects.Dom/ClassEntry.cs,
	  MonoDevelop.Projects.Dom/DomPersistence.cs,
	  MonoDevelop.Projects.Dom/CodeCompletionDatabase.cs: Worked on new
	  dom.

2008-07-02  Ankit Jain  <jankit@novell.com>

	Fix bug #371569.
	* MonoDevelop.Projects.CodeGeneration/BaseRefactorer.cs
	(CreateImplementation): Handle out/ref/params modifiers.

2008-06-25  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.Projects.Dom.Parser/ProjectDom.cs,
	  MonoDevelop.Projects.Dom/ResolveResult.cs: Worked on code
	  completion.

2008-06-25  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.Projects.Dom.Parser/ProjectParserService.cs,
	  MonoDevelop.Projects.Dom.Parser/ProjectDom.cs: Added support for
	  project doms without project attached.

2008-06-24  Michael Hutchinson <mhutchinson@novell.com> 

	* MonoDevelop.Projects/DotNetProject.cs,
	  MonoDevelop.Projects/Project.cs, md1format.xml: Add serialisation
	  map for UseParentDirectoryAsNamespace. Move
	  UseParentDirectoryAsNamespace from Project to DotNetProject to
	  increase consistency.

2008-06-24  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.Projects.Dom.Parser/ProjectParserService.cs,
	  MonoDevelop.Projects.Dom.Parser/ProjectDom.cs,
	  MonoDevelop.Projects.Dom/DomType.cs,
	  MonoDevelop.Projects.Dom/AbstractMember.cs,
	  MonoDevelop.Projects.Dom/IMember.cs,
	  MonoDevelop.Projects.Dom/ExpressionResult.cs,
	  MonoDevelop.Projects.Dom/DomPersistence.cs: Worked on dom.

2008-06-20  Michael Hutchinson <mhutchinson@novell.com> 

	* MonoDevelop.Projects.CodeGeneration/IRefactorer.cs,
	  MonoDevelop.Projects.CodeGeneration/BaseRefactorer.cs,
	  MonoDevelop.Projects.CodeGeneration/CodeRefactorer.cs,
	  MonoDevelop.Projects.CodeGeneration/RefactorOperations.cs: Add and
	  implement API for bulk adding/implementing members at one location.
	  Avoids reparsing the file after each individual addition, so
	  increases performance substantially, and allows members to be
	  created in contiguous blocks. Also implement APIs for creating
	  folding regions, and for creating/implementing members within them.
	  Implement interfaces in folding regions.

2008-06-20  Ankit Jain  <jankit@novell.com>

	* BaseRefactorer.cs (ImplementMember): Fix emitting 'override'.
	* MonoDevelop.Projects.CodeGeneration/CodeRefactorer.cs
	(FindOverridables): Move here from CSharpTextEditorExtension.

2008-06-19  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.Projects.Dom.Parser/ProjectDom.cs,
	  MonoDevelop.Projects.Dom/ResolveResult.cs,
	  MonoDevelop.Projects.Dom/DomLocation.cs,
	  MonoDevelop.Projects.Dom/DomRegion.cs: Worked on code completion
	  infrastructure.

2008-06-19  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.Projects.Dom.Parser/ProjectParserService.cs,
	  MonoDevelop.Projects.Dom.Parser/ProjectDom.cs: Worked on assembly
	  code completion database.

2008-06-18  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.Projects.Dom.Parser/ProjectParserService.cs,
	  MonoDevelop.Projects.Dom/DomType.cs,
	  MonoDevelop.Projects.Dom/DomPersistence.cs: Worked on dom
	  persistence.

2008-06-18  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.Projects.Dom/DomType.cs,
	  MonoDevelop.Projects.Dom/DomTypeProxy.cs,
	  MonoDevelop.Projects.Dom/DomPersistence.cs,
	  MonoDevelop.Projects.Dom/CodeCompletionDatabase.cs,
	  MonoDevelop.Projects.Dom/IType.cs: Worked on dom.

2008-06-17  Michael Hutchinson <mhutchinson@novell.com> 

	* MonoDevelop.Projects/DotNetProject.cs: Sanitise autogenerated default
	  namespaces properly.

2008-06-17  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.Projects.Dom/DomReturnType.cs,
	  MonoDevelop.Projects.Dom/DomPersistence.cs: Fixed some dom
	  persistence bugs.

2008-06-17  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.Projects.Dom.Parser/ProjectParserService.cs,
	  MonoDevelop.Projects.Dom.Parser/ProjectDom.cs,
	  MonoDevelop.Projects.Dom/ProjectCodeCompletionDatabase.cs,
	  MonoDevelop.Projects.Dom/DomReturnType.cs,
	  MonoDevelop.Projects.Dom/DefaultParserContext.cs,
	  MonoDevelop.Projects.Dom/IParserContext.cs,
	  MonoDevelop.Projects.Dom/DomPersistence.cs,
	  MonoDevelop.Projects.Dom/CodeCompletionDatabase.cs,
	  MonoDevelop.Projects.Parser/DefaultParserService.cs: Worked on new
	  dom.

2008-06-16  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Projects/WorkspaceItem.cs,
	  MonoDevelop.Projects/SolutionItem.cs: Added Loading flag.
	* MonoDevelop.Projects/ProjectService.cs,
	  MonoDevelop.Projects/Workspace.cs,
	  MonoDevelop.Projects.Formats.MD1/CmbxFileFormat.cs: Track api
	  changes.
	* MonoDevelop.Projects/SolutionFolder.cs: Added new method for adding
	  an item which creates the solution configurations if required.
	* MonoDevelop.Projects/Solution.cs: Properly create child
	  configurations in AddConfiguration. Added ConvertToFormat method.
	* MonoDevelop.Projects/SolutionEntityItem.cs: Implement
	  ConvertToFormat. Return the default configuration if no active
	  configuration is found.
	* MonoDevelop.Projects/IWorkspaceObject.cs: Removed setter for
	  FileFormat, and in replacement added a new ConvertToFormat method
	  which allows recuresively converting child objects.
	* MonoDevelop.Projects.Formats.MSBuild/MSBuildProjectHandler.cs,
	  MonoDevelop.Projects.Formats.MSBuild/SlnFileFormat.cs,
	  MonoDevelop.Projects.Serialization/ILoadController.cs,
	  MonoDevelop.Projects.mdp,
	  MonoDevelop.Projects.Formats.MD1/MD1FileFormat.cs, Makefile.am,
	  MonoDevelop.Projects.Extensions/ProjectExtensionUtil.cs: Added a
	  Loading flag to WorkspaceITem and SolutionITem which is set when an
	  item is being deserialized from a file.

2008-06-16  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.Projects.Dom.Parser/ProjectParserService.cs,
	  MonoDevelop.Projects.Dom.Parser/ProjectDom.cs,
	  MonoDevelop.Projects.Dom/ProjectCodeCompletionDatabase.cs,
	  MonoDevelop.Projects.Dom/DomReturnType.cs,
	  MonoDevelop.Projects.Dom/DefaultParserContext.cs,
	  MonoDevelop.Projects.Dom/IParserContext.cs,
	  MonoDevelop.Projects.Dom/CompilationUnit.cs,
	  MonoDevelop.Projects.Dom/DomPersistence.cs,
	  MonoDevelop.Projects.Dom/ICompilationUnit.cs,
	  MonoDevelop.Projects.Dom/CodeCompletionDatabase.cs,
	  MonoDevelop.Projects.Dom/IReturnType.cs,
	  MonoDevelop.Projects.Dom/IType.cs,
	  MonoDevelop.Projects.Dom/TypeUpdateInformation.cs: Worked on new
	  dom.

2008-06-13  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.Projects.Dom.Parser/AbstractParser.cs,
	  MonoDevelop.Projects.Dom.Parser/IParser.cs,
	  MonoDevelop.Projects.Dom/DomRegion.cs,
	  MonoDevelop.Projects.Dom/ExpressionResult.cs,
	  MonoDevelop.Projects.Dom/ExpressionContext.cs: Worked on new dom.

2008-06-12  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Projects/Solution.cs: When assigning a format to the
	  solution, don't convert all items, only those that need to be
	  converted.

2008-06-10  Michael Hutchinson <mhutchinson@novell.com> 

	* MonoDevelop.Projects/ProjectFile.cs,
	  MonoDevelop.Projects/ProjectFileCollection.cs: Handle resolving
	  DependentFiles.

2008-06-10  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.Projects.Dom/ProjectCodeCompletionDatabase.cs,
	  MonoDevelop.Projects.Dom/ExpressionResult.cs,
	  MonoDevelop.Projects.Dom/IParserContext.cs,
	  MonoDevelop.Projects.Dom/IExpressionFinder.cs,
	  MonoDevelop.Projects.Dom/ExpressionContext.cs,
	  MonoDevelop.Projects.Parser/ExpressionResult.cs: Worked on dom.

2008-06-10  Andres G. Aragoneses <aaragoneses@novell.com> 

	* MonoDevelop.Projects/Solution.cs,
	  MonoDevelop.Projects/DotNetProject.cs: Cosmetic.

2008-06-06  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Projects/BuildTool.cs: The file to build can now be
	  specified without the -f argument. Added argument for selecting the
	  target and configuration to build.

2008-06-06  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Projects.Parser/DefaultParserService.cs: Delay as much as
	  possible the initialization of the core assembly database. Fixes
	  some performance issues at MD startup.

2008-06-06  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.Projects.Dom.Parser/ProjectParserService.cs,
	  MonoDevelop.Projects.Dom/DomCecilCompilationUnit.cs,
	  MonoDevelop.Projects.Dom/DomCecilParameter.cs,
	  MonoDevelop.Projects.Dom/DomCecilMethod.cs,
	  MonoDevelop.Projects.Dom/DomCecilEvent.cs,
	  MonoDevelop.Projects.Dom/DomCecilField.cs,
	  MonoDevelop.Projects.Dom/DomCecilProperty.cs,
	  MonoDevelop.Projects.Dom/CompoundType.cs,
	  MonoDevelop.Projects.Dom/AssemblyCodeCompletionDatabase.cs,
	  MonoDevelop.Projects.Dom/SimpleCodeCompletionDatabase.cs,
	  MonoDevelop.Projects.Dom/DomCecilType.cs,
	  MonoDevelop.Projects.Dom/DomCecilReturnType.cs,
	  MonoDevelop.Projects.Dom/DomTypeProxy.cs,
	  MonoDevelop.Projects.Dom/CodeCompletionDatabase.cs,
	  MonoDevelop.Projects.Dom/DomCecilAttribute.cs: Worked on dom and
	  code completion database.

2008-06-05  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Projects.Formats.MSBuild/SlnFileFormat.cs: Cosmetic fix.

2008-06-05  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.Projects.Dom/DomType.cs,
	  MonoDevelop.Projects.Dom/DomReturnType.cs,
	  MonoDevelop.Projects.Dom/CompoundType.cs,
	  MonoDevelop.Projects.Dom/DomPersistence.cs,
	  MonoDevelop.Projects.Dom/CodeCompletionDatabase.cs,
	  MonoDevelop.Projects.Dom/IReturnType.cs: Worked on new dom

2008-06-04  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Projects/Solution.cs,
	  MonoDevelop.Projects/SolutionEntityItem.cs,
	  MonoDevelop.Projects/SolutionItem.cs,
	  MonoDevelop.Projects/DotNetProject.cs,
	  MonoDevelop.Projects/Project.cs: Changed how the configuration
	  parameter is interpreted in SolutionItem and subclasses. This
	  parameter will always be a solution configuration, even when used
	  in projects. So for example, project.Build (mm, "Debug") will not
	  build the Debug configuration of the project, but the configuration
	  mapped to the Debug solution configuration. The same for all other
	  methods taking a configuration as parameter.  This is needed to
	  ensure the consistency of operations which involve several
	  projects.

2008-06-04  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.Projects.Dom.Output/NetAmbience.cs,
	  MonoDevelop.Projects.Dom/DomType.cs,
	  MonoDevelop.Projects.Dom/DomReturnType.cs,
	  MonoDevelop.Projects.Dom/IMethod.cs,
	  MonoDevelop.Projects.Dom/DomAttribute.cs,
	  MonoDevelop.Projects.Dom/IDomVisitor.cs,
	  MonoDevelop.Projects.Dom/DomParameter.cs,
	  MonoDevelop.Projects.Dom/DomMethod.cs,
	  MonoDevelop.Projects.Dom/DomEvent.cs,
	  MonoDevelop.Projects.Dom/DomField.cs,
	  MonoDevelop.Projects.Dom/DomTypeProxy.cs,
	  MonoDevelop.Projects.Dom/DomProperty.cs,
	  MonoDevelop.Projects.Dom/IParameter.cs,
	  MonoDevelop.Projects.Dom/CodeCompletionDatabase.cs,
	  MonoDevelop.Projects.Dom/IReturnType.cs,
	  MonoDevelop.Projects.Dom/AbstractMember.cs,
	  MonoDevelop.Projects.Dom/Namespace.cs,
	  MonoDevelop.Projects.Dom/FileEntry.cs: Worked on new dom.

2008-06-04  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Projects.Formats.MSBuild/MSBuildProject.cs: Preserve the
	  new line char when saving a project.

2008-06-04  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Projects/ProjectReference.cs,
	  MonoDevelop.Projects.Formats.MSBuild/MSBuildProjectHandler.cs: Fix
	  bug 374497 - csproj: References' <Private> tag not taken into
	  account.

2008-06-04  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Projects/CustomCommand.cs: Add new variables.

2008-06-04  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Projects/Solution.cs: Clean startup item references when
	  an item is removed.

2008-06-04  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Projects.addin.xml: Bump MD version.

2008-06-04  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Projects.Formats.MD1/CmbxFileFormat.cs,
	  MonoDevelop.Projects.Formats.MD1/CombineStartupMode.cs: Properly
	  implement start mode loading and writing.

2008-06-04  Ankit Jain  <jankit@novell.com>

	* MonoDevelop.Projects.CodeGeneration/IRefactorer.cs (EncapsulateField):
	Add params for visibility and generateSetter.
	* MonoDevelop.Projects.CodeGeneration/BaseRefactorer.cs (EncapsulateField):
	Update.
	* MonoDevelop.Projects.CodeGeneration/CodeRefactorer.cs (EncapsulateField):
	Track api changes.

2008-06-03  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Projects.Formats.MD1/CmbxFileFormat.cs: Added missing
	  null check.

2008-06-03  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Projects/WorkspaceItem.cs,
	  MonoDevelop.Projects/ProjectService.cs,
	  MonoDevelop.Projects/SolutionItem.cs,
	  MonoDevelop.Projects/DotNetProject.cs,
	  MonoDevelop.Projects/ProjectServiceExtension.cs: Added method for
	  checking if a solution item can be executed for the given execution
	  context.
	* MonoDevelop.Projects/Solution.cs,
	  MonoDevelop.Projects/ExecutionContext.cs,
	  MonoDevelop.Projects.Formats.MSBuild/MSBuildProjectHandler.cs,
	  MonoDevelop.Projects.Formats.MSBuild/SlnFileFormat.cs,
	  MonoDevelop.Projects.Formats.MD1/CmbxFileFormat.cs: Added support
	  for projects with multiple startup items.

2008-06-03  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.Projects.Dom/ReferenceEntry.cs,
	  MonoDevelop.Projects.Dom/DomType.cs,
	  MonoDevelop.Projects.Dom/DomReturnType.cs,
	  MonoDevelop.Projects.Dom/ClassEntry.cs,
	  MonoDevelop.Projects.Dom/Tag.cs,
	  MonoDevelop.Projects.Dom/NamespaceEntry.cs,
	  MonoDevelop.Projects.Dom/DomPersistence.cs,
	  MonoDevelop.Projects.Dom/CodeCompletionDatabase.cs,
	  MonoDevelop.Projects.Dom/IReturnType.cs,
	  MonoDevelop.Projects.Dom/IType.cs,
	  MonoDevelop.Projects.Dom/TypeUpdateInformation.cs,
	  MonoDevelop.Projects.Dom/FileEntry.cs, MonoDevelop.Projects.mdp,
	  MonoDevelop.Projects.Parser/CodeCompletionDatabase.cs: Worked on
	  dom persistence.

2008-06-02  Lluis Sanchez Gual <lluis@novell.com> 

	* md1format.xml: Add missing field.

2008-06-02  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.Projects.Dom/DomType.cs,
	  MonoDevelop.Projects.Dom/IMethod.cs,
	  MonoDevelop.Projects.Dom/DomMethod.cs,
	  MonoDevelop.Projects.Dom/DomParameter.cs,
	  MonoDevelop.Projects.Dom/DomEvent.cs,
	  MonoDevelop.Projects.Dom/DomPersistence.cs,
	  MonoDevelop.Projects.Dom/DomProperty.cs,
	  MonoDevelop.Projects.Dom/IParameter.cs: Worked on dom persistence.

2008-06-02  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Projects/SolutionFolder.cs,
	  MonoDevelop.Projects/SolutionItem.cs: Fix infinite recursion when
	  determinig the base directory of a solution folder.

2008-05-30  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Projects/BuildResult.cs: New method for checking if a
	  build failed.
	* MonoDevelop.Projects/DotNetProject.cs: Set properly set debug mode
	  when creating a project.

2008-05-30  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Projects/SolutionFolder.cs,
	  MonoDevelop.Projects/SolutionEntityItem.cs,
	  MonoDevelop.Projects/SolutionItem.cs,
	  MonoDevelop.Projects/DotNetProject.cs,
	  MonoDevelop.Projects/Project.cs,
	  MonoDevelop.Projects.Parser/ProjectCodeCompletionDatabase.cs: When
	  notifying that a project has changed, provide information about
	  what changed.
	* MonoDevelop.Projects/CombineEntryEventArgs.cs,
	  MonoDevelop.Projects/SolutionItemEventArgs.cs,
	  MonoDevelop.Projects.mdp, Makefile.am: Renamed file.

2008-05-29  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.Projects.Dom/DomField.cs: checked in domfield.

2008-05-29  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.Projects.Dom/IMember.cs,
	  MonoDevelop.Projects.Dom/DomReturnType.cs,
	  MonoDevelop.Projects.Dom/DomRegion.cs,
	  MonoDevelop.Projects.Dom/DomField.cs,
	  MonoDevelop.Projects.Dom/DomPersistence.cs,
	  MonoDevelop.Projects.Dom/CodeCompletionDatabase.cs,
	  MonoDevelop.Projects.Dom/IReturnType.cs,
	  MonoDevelop.Projects.Dom/AbstractMember.cs,
	  MonoDevelop.Projects.Dom/DomLocation.cs: Worked on code completion
	  database for the new dom layer.

2008-05-29  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Projects.Formats.MSBuild/MSBuildProjectHandler.cs: Fix
	  property metadata deserialization.

2008-05-28  Michael Hutchinson <mhutchinson@novell.com> 

	* MonoDevelop.Projects/DotNetProject.cs: Make CompileTarget virtual.

2008-05-28  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Projects.Formats.MD1/MD1DotNetProjectHandler.cs: Fix bug
	  379485 - Empty project causes a compile error.

2008-05-28  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.Projects.Dom/DomType.cs,
	  MonoDevelop.Projects.Dom/DomMethod.cs,
	  MonoDevelop.Projects.Dom/DomEvent.cs,
	  MonoDevelop.Projects.Dom/DomField.cs,
	  MonoDevelop.Projects.Dom/DomProperty.cs: worked on dom.

2008-05-28  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.Projects.Dom/DomType.cs,
	  MonoDevelop.Projects.Dom/DomReturnType.cs,
	  MonoDevelop.Projects.Dom/DomField.cs: Added some dom functions.

2008-05-27  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.Projects.Dom.Parser/ProjectParserService.cs: Fixed some
	  bugs in the new dom parsing.

2008-05-27  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.Projects.Dom.Parser,
	  MonoDevelop.Projects.Dom.Parser/AbstractParser.cs,
	  MonoDevelop.Projects.Dom.Parser/ProjectParserService.cs,
	  MonoDevelop.Projects.Dom.Parser/IParser.cs,
	  MonoDevelop.Projects.Dom.Parser/ProjectDomEventArgs.cs,
	  MonoDevelop.Projects.Dom.Parser/ProjectDom.cs,
	  MonoDevelop.Projects.Dom.Output,
	  MonoDevelop.Projects.Dom.Output/OutputFlags.cs,
	  MonoDevelop.Projects.Dom.Output/Ambience.cs,
	  MonoDevelop.Projects.Dom.Output/AmbienceService.cs,
	  MonoDevelop.Projects.Dom.Output/NetAmbience.cs,
	  MonoDevelop.Projects.Dom, MonoDevelop.Projects.Dom/IMember.cs,
	  MonoDevelop.Projects.Dom/DomType.cs,
	  MonoDevelop.Projects.Dom/DomReturnType.cs,
	  MonoDevelop.Projects.Dom/ParameterModifiers.cs,
	  MonoDevelop.Projects.Dom/TypeParameter.cs,
	  MonoDevelop.Projects.Dom/DomRegion.cs,
	  MonoDevelop.Projects.Dom/DomUsing.cs,
	  MonoDevelop.Projects.Dom/IMethod.cs,
	  MonoDevelop.Projects.Dom/Error.cs,
	  MonoDevelop.Projects.Dom/IProperty.cs,
	  MonoDevelop.Projects.Dom/IUsing.cs,
	  MonoDevelop.Projects.Dom/Comment.cs,
	  MonoDevelop.Projects.Dom/DomAttribute.cs,
	  MonoDevelop.Projects.Dom/ClassType.cs,
	  MonoDevelop.Projects.Dom/IDomVisitor.cs,
	  MonoDevelop.Projects.Dom/IAttribute.cs,
	  MonoDevelop.Projects.Dom/CompilationUnit.cs,
	  MonoDevelop.Projects.Dom/DomParameter.cs,
	  MonoDevelop.Projects.Dom/DomMethod.cs,
	  MonoDevelop.Projects.Dom/Modifiers.cs,
	  MonoDevelop.Projects.Dom/DomEvent.cs,
	  MonoDevelop.Projects.Dom/DomField.cs,
	  MonoDevelop.Projects.Dom/DomProperty.cs,
	  MonoDevelop.Projects.Dom/ICompilationUnit.cs,
	  MonoDevelop.Projects.Dom/IParameter.cs,
	  MonoDevelop.Projects.Dom/IEvent.cs,
	  MonoDevelop.Projects.Dom/IReturnType.cs,
	  MonoDevelop.Projects.Dom/IType.cs,
	  MonoDevelop.Projects.Dom/AbstractMember.cs,
	  MonoDevelop.Projects.Dom/IField.cs,
	  MonoDevelop.Projects.Dom/CompilationUnitEventArgs.cs,
	  MonoDevelop.Projects.Dom/CommentType.cs,
	  MonoDevelop.Projects.Dom/DomLocation.cs,
	  MonoDevelop.Projects.Dom/AttributeTarget.cs,
	  MonoDevelop.Projects.mdp, Makefile.am: Added new dom & new class
	  browser.

2008-05-26  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Projects/BuildTool.cs: Updated documentation.

2008-05-23  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Projects/ProjectService.cs,
	  MonoDevelop.Projects/Solution.cs,
	  MonoDevelop.Projects/SolutionEntityItem.cs,
	  MonoDevelop.Projects.Formats.MSBuild/MSBuildFileFormat.cs,
	  MonoDevelop.Projects.Formats.MD1/MD1SolutionEntityItemHandler.cs,
	  MonoDevelop.Projects.Formats.MD1/MD1FileFormat.cs,
	  MonoDevelop.Projects.Extensions/IFileFormat.cs: Add support for
	  solutions with mixed file formats. The MD1 file format supports it.

2008-05-23  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Projects/SolutionFolder.cs,
	  MonoDevelop.Projects/SolutionItem.cs: Fix build counts.

2008-05-22  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Projects/WorkspaceItem.cs,
	  MonoDevelop.Projects/SolutionFolder.cs,
	  MonoDevelop.Projects/SolutionItem.cs: Base directory management
	  fixes.

2008-05-22  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Projects/SolutionFolder.cs: Improved logic for guessing
	  the physical path of a solution folder.

2008-05-22  Lluis Sanchez Gual <lluis@novell.com> 

